Name:           obs-studio
Version:        26.1.1
Release:        pm151.1.1
Summary:        A recording/broadcasting program
Group:          Productivity/Multimedia/Video/Editors and Convertors
License:        GPL-2.0
URL:            https://obsproject.com/
Source:         %{name}-%{version}.tar.xz
Patch0:         fix-luajit-include-path.patch
Patch1:         modinfo-use-full-path.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  update-desktop-files
BuildRequires:  cmake >= 2.8.12
BuildRequires:  fdk-aac-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype2-devel
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  libXcomposite-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libcurl-devel
BuildRequires:  libjansson-devel
BuildRequires:  libpulse-devel
BuildRequires:  libqt5-qtbase-devel >= 5.3
BuildRequires:  libqt5-qtsvg-devel
BuildRequires:  libqt5-qtx11extras-devel >= 5.3
BuildRequires:  libudev-devel
BuildRequires:  libv4l-devel
BuildRequires:  libx264-devel
BuildRequires:  mbedtls-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(jack)
# Restricted to avoid segfault on Tumbleweed:
# - https://bugs.links2linux.org/browse/PM-143
# - https://obsproject.com/mantis/view.php?id=1315
BuildRequires:  pkgconfig(libavcodec) = 57.107.100
BuildRequires:  pkgconfig(libavdevice) = 57.10.100
BuildRequires:  pkgconfig(libavfilter) = 6.107.100
BuildRequires:  pkgconfig(libavformat) = 57.83.100
BuildRequires:  pkgconfig(libavutil) = 55.78.100
BuildRequires:  pkgconfig(libswresample) = 2.9.100
BuildRequires:  pkgconfig(libswscale) = 4.8.100
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(luajit)
BuildRequires:  python3-devel
%if 0%{?suse_version} != 1315 || 0%{?is_opensuse}
BuildRequires:  speexdsp-devel
%endif
BuildRequires:  swig
BuildRequires:  vlc-devel
ExclusiveArch:  i586 x86_64

%description
Open Broadcaster Software is free and open source software for video recording and live streaming.

%package devel
Summary:        A recording/broadcasting program - Development Files
Group:          Development/Multimedia
Requires:       %{name} = %{version}

%description devel
Open Broadcaster Software is free and open source software for video recording and live streaming.

%prep
%autosetup -p1

%build
mkdir -p build && cd build
# does not like cmake macro as it fails to link in math.h (-lm)
cmake \
  -DUNIX_STRUCTURE=1 \
%if "%{_lib}" == "lib64"
  -DOBS_MULTIARCH_SUFFIX=64 \
%endif
  -DCMAKE_INSTALL_PREFIX=/usr \
  -DOBS_VERSION_OVERRIDE="$(echo "%{version}" | grep -oE "^[^+]+")" \
  ..

%install
%cmake_install
%suse_update_desktop_file com.obsproject.Studio

%post
/sbin/ldconfig
%icon_theme_cache_postun

%postun
/sbin/ldconfig
%icon_theme_cache_postun

%files
%{_bindir}/obs
%{_bindir}/obs-ffmpeg-mux
# Upstream forces libs dir regardless of arch and building plugins is encumbered
# by moving them to the proper directory.
%{_libdir}/obs-plugins
%{_libdir}/libobs.so.0
%{_libdir}/libobs-frontend-api.so.*
%{_libdir}/libobs-opengl.so.*
%{_libdir}/libobs-scripting.so
%{_libdir}/obs-scripting
%{_libdir}/libobsglad.so.0
%dir %{_datadir}/metainfo
%{_datadir}/metainfo/com.obsproject.Studio.appdata.xml
%{_datadir}/applications/com.obsproject.Studio.desktop
%{_datadir}/icons/hicolor/256x256/apps/com.obsproject.Studio.png
%{_datadir}/obs

%files devel
%{_libdir}/cmake
%{_libdir}/libobs.so
%{_libdir}/libobs-frontend-api.so
%{_libdir}/libobs-opengl.so
%{_libdir}/libobsglad.so
%{_libdir}/pkgconfig/libobs.pc
%{_includedir}/obs

%changelog
* Wed Jan  6 2021 jimmy@boombatower.com
- Update to version 26.1.1:
  * win-dshow: Fix dshowcapture not linking audio of certain devices
  * linux-jack: fix deadlock when closing the client
  * linux-jack: mark ports as JackPortIsTerminal
  * linux-jack: fix timestamp calculation
  * obs-browser: Initialize CEF early to fix macOS crash
  * libobs: Update version to 26.1.1
  * rtmp-services: Add Loola.tv service
  * rtmp-services: Fix json formatting
  * libobs: Avoid unnecessary mallocs in audio processing
  * UI: Fix padding on Acri context bar buttons
  * image-source: Fix slideshow transition bug when randomized
  * docs/sphinx: Add missing obs_frontend_open_projector
  * libobs: Update to SIMDe 0.7.1
  * libobs: Set lock state when duplicating scene item
  * libobs: Add definitions in ARCH_SIMD_DEFINES
  * cmake: Add ARCH_SIMD_DEFINES variable
  * coreaudio-encoder: Fix cmake for mingw
  * Revert "UI: Only apply new scaling behavior on newer installs"
  * UI: Only apply new scaling behavior on newer installs
  * UI: Support fractional scaling for Canvas/Base size
  * mac-virtualcam: Remove unnecessary logging
  * mac-virtualcam: Mark parameters as unused
  * image-source: Add .webp to "All formats" option
  * image-source: Add webp to file filter
  * CI: Remove jack, speex and fdk-aac from default builds for macOS
  * libobs, obs-ffmpeg: Use correct value for EINVAL error check
  * UI/updater: Increase number of download workers
  * UI/updater: Enable HTTP2 and TLS 1.3
  * UI: Fix name of kab-KAB locale
  * decklink: Fix automatic pixel format detection
  * CI: Fix macOS 10.13 crashes due to unsupported library symbols
  * UI/installer: Add additional VS2019 DLL check
  * mac-virtualcam: Fix file mode
  * CI: Run make with -j$(nproc)
  * CI: Remove obsolete and unused files
  * libobs: Add texture sharing support for macOS/OpenGL
  * CI: Add necessary changes for CEF 4183
  * UI/updater: Move in-use files away before writing
  * UI/updater: Always clean up temporary files
  * UI: Remove Smashcast from AutoConfig
  * rtmp-services: Remove Smashcast
* Tue Dec 15 2020 Jimmy Berry <jimmy@boombatower.com>
- Add modinfo-use-full-path.patch for new v4l2lookback support.
* Tue Dec 15 2020 jimmy@boombatower.com
- Update to version 26.1.0:
  * UI: Add deferred function to update context bar
  * UI: Fix installer/updater check for vs2019 32bit
  * Update translations from Crowdin
  * Revert #3856
  * linux-jack: fix timestamp calculation
  * linux-jack: fix deadlock when closing the client
  * linux-jack: mark ports as JackPortIsTerminal
  * linux-pulseaudio: fix race conditions
  * obs-browser: Add obsExit event
  * UI: Determine rate control after creating encoders
  * UI: Handle (de)select scene items queued
  * CI: Update macOS to Qt 5.15.2 and deps 2020-12-11
  * libobs: fix the pending stop trick
  * UI/updater: Fix dll check
  * UI: Remove jansson requirement from UI and updater
  * UI/updater: Update redist checks to VS2019
  * deps/json11: Update to most recent version
  * rtmp-services: Update Steam
  * libobs: Update version to 26.1.0
  * sndio: remove strerror_l
  * UI: Fix weird spacing in adv output FFmpeg recording
  * linux-v4l2: Fix bashism in v4l2loopback module detection
  * obs-scripting: Fix removing signal handlers in lua
  * UI: Correctly unregister Virtual Camera & Source Toolbar hotkeys
  * UI: Scale Interact cursor position based on display DPI
  * UI: Sync 'Copy Filters' enabled state in the Source context menu
  * mac-virtualcam: Build a universal x86_64+arm64 binary for M1 Macs
  * vlc-video: Free media struct
  * mac-virtualcam: Fix remaining global namespaces
  * UI: Allow enabling vod track on custom via ini
  * UI: Fix vod track working with custom server
  * UI: Fix vod track not working with twitch soundtrack
  * UI: Fix aac encoder name
  * libobs: Ignore non-fatal ffmpeg return values during remux
  * UI: Fix disabled sliders
  * UI: Remove redundant setting
  * UI: fix typo
  * UI/installer: Add additional VS2019 DLL check
  * UI: Use Qt::MiddleButton instead of deprecated Qt::MidButton
  * obs-browser: Update to 2.9.0
  * UI: Don't round non-integer High DPI scale
  * CI: Add decklink-captions to dylibbundler fixups
  * enc-amf: Fix inability to set bitrate in latest AMD driver
  * UI: Fix filter window rendering and accessible names
  * UI: Log success/failure for scene collection importer
  * UI: Prevent import failure for collections with slash in name
  * UI: Prevent name collision during scene collection import
  * UI: Various screen reader fixes
  * Update translations from Crowdin
  * libobs: Allow wrapping D3D11 object with gs_texture_t
  * UI: Fix Save Replay button staying highlighted
  * frontend-tools: Don't give every loaded filter focus
  * UI: Set default source toolbar visibility to true
  * obs-outputs: Log unhandled status description as debug level
  * mac-virtualcam: Fix global namespace issues in DAL plugin
  * cmake: Make sure to copy other mbedtls libraries
  * obs-browser: Don't inject CSS if the property is empty
  * UI: Force plugins to use our Qt5Network, not their own
  * cmake: Add Qt5Network to copied windows libs
  * CI: Remove explicit LANGUAGE flags for cmake 3.19+
  * obs-ffmpeg: Treat non-network errors as fatal too
  * Revert "obs-ffmpeg: Treat errors as fatal for non-network streams in ffmpeg-mux"
  * mac-virtualcam: Remove old test card
  * UI: fix build on older FreeBSD versions
  * win-capture: Update hook version
  * obs-ffmpeg: Treat errors as fatal for non-network streams in ffmpeg-mux
  * obs-ffmpeg: Treat EINVAL as non-fatal in ffmpeg-mux
  * win-capture: Clean up remaining /W4 warnings
  * obs-ffmpeg: Treat AVERROR_INVALIDDATA as non-fatal
  * obs-ffmpeg: Add error detection to ffmpeg-mux network streams
  * deps/media-playback: Fix audio segment duration calc
  * autotools: Remove config module
  * Revert "obs-ffmpeg: Add error detection to ffmpeg-mux"
  * mac-virtualcam: Update locales
  * UI: Detect other instances of obs on FreeBSD
  * win-capture: Fix our own Vulkan spec violation
  * Add sndio support (#3715)
  * Add OpenBSD support
  * UI: Add Twitch VOD track to simple output mode
  * cmake: Put decklink-captions in source folders
  * win-dshow: Add support for YUY2 in virtualcam
  * UI: Move "changed" when recreating output res widget
  * UI: Show service max resolution/framerate values to user
  * UI: Add service res/fps limitation support to settings
  * libobs: Change service max res. to res. list
  * UI: Allow blocking all signals if resetting downscales
  * UI: Add SetComboItemEnabled
  * win-capture: Warning fixes
  * libobs-winrt: Fix misnamed function
  * UI: Use macOS app icon for Qt app on macOS
  * UI: Fix tray icon menu handling on macOS
  * UI: Update macOS app icon
  * UI: Update tray icons to use masks on macOS
  * win-capture: Fix unused variables
  * UI: Fix compiler-specific error
  * UI: Move "enforce" setting to "ignore" stream section
  * UI: Refactor to make it easier to get service object
  * libobs: Implement obs_service func to get max bitrates
  * rtmp-services: Increase twitch audio bitrate
  * decklink: Fix compiling on linux
  * rnnoise: Explicit double to float conversions
  * rtmp-services: Add missing int cast
  * obs-ffmpeg: Add missing int cast
  * libobs-winrt: Fix BOOL/bool mismatch warning
  * libobs: Fix bad type and size mismatch
  * UI: Add VOD track support in advanced output
  * decklink: Clean up warnings introduced by caption code
  * CI: Remove caching of obs-deps for Github CI
  * decklink: Upgrade sdk to version 11.6
  * Remove BUILD_CAPTIONS build flag
  * decklink: Fix format detection loop
  * decklink: Add ability to ingest/embed cea 708 captions
  * linux-v4l2: avoid OOB write
  * linux-v4l2: Hide modinfo from terminal
  * UI: Don't update source context bar when hidden
  * vlc-video: Use case insensitive compare for valid extension check
  * CONTRIBUTING.rst: Update CONTRIBUTING doc
  * UI: Disable stream encoder setting in simple output with active output
  * Add virtualcam plugin to OBS codebase
  * UI: Detect other instances of obs on Linux
  * UI/installer: Use random temp directory for security
  * libobs: Add desktop session type to Linux log
  * rtmp-services: Add YouTube RTMPS beta service
  * rmtp-services: Add Viloud service
  * linux-v4l2: Add virtual camera output
  * win-dshow: Fix virtualcam crash and reference bug
  * UI: Add max cx/cy/fps clamp (if service specifies)
  * rtmp-services: Add max recommended cx/cy/fps for Facebook
  * rtmp-services: Add specifiable max cx/cy/fps in json
  * libobs: Add ability to get max cx/cy/fps from service
  * obs-ffmpeg: Add MX350 to blacklist
  * UI: Run Autoconfig Wizard on New Profile Creation
  * CI: Update macOS build script to support alternative build configs
  * obs-transitions: Expose hardware decoding for Stingers
  * libobs: Return default obj and array rather than current
  * UI: Report detailed output errors for Replay Buffer
  * CI: Fix Windows artifact issues and housekeeping
  * UI: Fix replay buffer saved event in advanced mode
  * docs: Fix GitHub Actions doc check warnings
  * linux-alsa: Support more device formats
  * UI: Detect other instances of obs on macOS
  * UI: Add duplicate filter
  * obs-filter: Fix potential symbol clashing on Linux
  * UI: Update Twitch Get Stream Key link
  * UI: Apply minimum width to Stats fields
  * UI, libobs: Add ability to copy/paste single filter
  * UI: Keep showing time when paused
  * obs-ffmpeg/ffmpeg-mux: Fix issue with HLS
  * obs-ffmpeg: Add ability to debug ffmpeg-mux subprocess
  * UI: Fix text clipping on non-English locales in certain locations
  * win-capture: Fix D3D leaks on swap chain release
  * rtmp-services: Add YouTube HLS service selection
  * obs-ffmpeg: Add HLS output
  * obs-ffmpeg: Allow using stream keys with muxer
  * obs-ffmpeg: Allow specifying mux settings directly
  * obs-ffmpeg/ffmpeg-mux: Use separate printable URL target
  * obs-ffmpeg/ffmpeg-mux: Set codec->time_base if avformat < 59
  * obs-ffmpeg/ffmpeg-mux: Add ability to get FFmpeg logging
  * UI: Find YouTube via starting string, not full match
  * UI: Add support for "More Info" link from service
  * obs-ffmpeg/ffmpeg-mux: Fix variable case
  * obs-ffmpeg: Move muxer structure/funcs to header
  * UI: Fix replay buffer frontend event not triggering
  * UI/obs-frontend-api: Fix replay buffer save event ABI break
  * UI: Add replay buffer saved event to the frontend api (#3592)
  * UI: Prevent disabling replay buffer if it's active
  * CI: Add virtualcam GUID to win builds
  * CI: Remove deprecated use of `set-env` in Github Actions
  * Docs: Fix Frontend Finish Loading event
  * UI: Set focus back to label after source rename
  * UI: Apply custom_rtmp service settings to srt output
  * rtmp-services/rtmp-custom: Apply repeat_headers video setting to srt output
  * obs-ffmpeg: Allow video headers repetition in IDR and bitstream for jim-nvenc
  * obs-x264: Allow repeat_headers and annexb parameters to be set
* Mon Oct 19 2020 Jimmy Berry <jimmy@boombatower.com>
- Remove c7f84f8fc4e90ef779a204ac268f5ee1a962e324.patch.
- Add fix-luajit-include-path.patch from palica@liguros.net to
  resolve Lua script building.
* Wed Oct  7 2020 jimmy@boombatower.com
- Update to version 26.0.2:
  * UI: Fix selecting correct transition when deleting
  * UI: Fix non-default transitions going below add vals
  * libobs: Update version to 26.0.2
  * UI/installer: Add avutil/swscale to file in use check
  * coreaudio-encoder: Actually fix coreaudio loading
  * libobs: Update version to 26.0.1
* Mon Oct  5 2020 jimmy@boombatower.com
- Update to version 26.0.1:
  * coreaudio-encoder: Fix path on windows
  * coreaudio-encoder: Refactor windows import
  * rtmp-services: Update AfreecaTV
  * Revert "UI: Delete existing fullscreen projector"
  * win-capture: Update hook version
  * win-dshow: Fix decoupled audio with EVGA/magewell
  * libobs-winrt: Use native cursor draw for WGC
  * win-capture: Violate Vulkan spec for compatibility
  * obs-ffmpeg: Add error detection to ffmpeg-mux
  * obs-ffmpeg: Signal a remote disconnect for network streams from ffmpeg-mux
  * Revert "mac-capture: show actual windows in Window Capture sources"
  * UI: Greatly improve main window repaint performance
  * win-capture: Fix mask handling on some color cursors
  * CI: Fix swig dependency on FreeBSD
  * cmake: Fix finding libfdk header path
  * UI: Fix tab order for controls dock
  * CI: Use tag number only for macOS plist when triggered by version tag
  * rtmp-services: Remove weabook.live
  * UI: Skip ChromeOS test on FreeBSD
  * rtmp-services: Set actual integer value of bframes in services
  * UI: Implement exit on CTRL + Q for linux
  * UI: Disable QT's implicit colourspace conversion on macOS
  * UI: Move "Add [transition]" to bottom of combo
  * UI/updater: Fix cmd prompts popping up registering vcam
  * UI/updater: Fix race condition
* Mon Sep 28 2020 jimmy@boombatower.com
- Update to version 26.0.0:
  * libobs: Update version to 26.0.0
  * Fix translator names
  * Update translations from Crowdin
  * UI: Clarify system tray code
  * UI: Fix formatting
  * UI: Miscellaneous code cleanups
  * UI: Fix "Add [transition]" not being translated
  * UI: Add translation for "Add [x]"
  * UI: Always parse log contents for Log Viewer as UTF-8
  * v4l2-linux: Fix fourcc order
  * v4l2-linux: Fix nv12 linesize
  * UI: Fix screenshots preventing auto-remux
  * UI: Use correct APPDATA for installer
  * UI: Various installer script updates
  * rtmp-services: Updatge Vaughn Live / iNSTAGIB & Breakers
  * deps/media-playback: Fix time at non-standard speeds
  * libobs: Check if output active when setting encoders
  * frontend-tools: Free xdisplay on Linux auto scene switcher
  * UI: Add file-in-use check for virtualcam module dlls
  * rtmp-services: Added Mux to services.json
  * UI: Create output before calling start stream event
  * UI: Do not always have log viewer loaded
  * win-dshow: Set current working directory in VirtualCam scripts
  * linux-v4l2: Fix boolean and menu control types
  * UI: Fix certain buttons turning up white in dark theme
  * obs-scripting: Fix script_path() python mem corruption
  * UI:Fix crash on log upload
  * CI: Update notarisation process for Github CI
  * obs-ffmpeg: Add missing translable string for "Profile"
  * CI: Sign and notarize macOS builds on new tags
  * win-capture: Increment graphics hook version
  * CI: Fix Azure macOS pipeline to use new build script
  * obs-filters: Remove unnecessary files
  * obs-filters: Use builtin rnnoise dep if not found
  * CI: Bump macOS-deps version to include rnnoise
  * obs-ffmpeg: fix crash with rawvideo
  * UI: Fix recording check when using url output
  * CMake: Set PIC for all library targets
  * UI: Unset bandwidth test on non-Twitch service / disconnect
  * UI: Don't warn about bandwidth test mode if not authed
  * rtmp-services: Add SHOWROOM
  * win-capture: Improve game capture messages
  * deps/media-playback: Fix fast-forward after reset
  * win-dshow: Fix bug determining closest audio config
  * UI: Fix vcam button not changing colors when checked
  * UI: Replace/simplify device toolbar
  * win-dshow: Add "activate" proc to proc handler
  * win-dshow: Fix 24bit audio not being detected correctly
  * win-dshow: Fix AJA devices crashing
  * UI: Remove duplicate media timer code
  * libobs: Deprecate service multitrack check
  * deps/media-playback: Fix pause continually running loop
  * UI: Remove redundant word
  * enc-amf: Update AMD encoder submodule
  * UI: Fix scene tree event handling
  * Update VIDEO_CS_DEFAULT to mean 709 instead of 601
  * win-dshow: Add VirtualCam installer scripts
  * cmake: Add function for installing data from abs path
  * win-dshow: Use cmake-based GUID for virtualcam
  * UI: Ensure tray icon is themed in all cases
  * UI: Change the default color setting in the UI from sRGB to 709
  * UI: Refine context bar
  * UI: Allow adjusting media slider with arrow buttons
  * UI: Use correct constant for CryptDecodeObjectEx
  * libobs/media-io: Fix suspicious memset behavior
  * UI: Set restart state when there is no media
  * UI: Make SetupOutputs virtual instead of ignoring vcam
  * UI: Save Freetype Text source color from Source Toolbar
  * win-capture: Put window capture update data in a mutex
  * UI: Fix auto-remux not working w/ slash filesnames
  * UI: Do not show tray icon if not active
  * UI: Do not show media controls on network media source
  * UI: Fix crash when starting vcam before other outputs
  * UI: Fix maximum size on image source toolbar
  * UI: Fix source toolbar color selection on color source
  * UI: Fix studio mode load bug
  * UI: Fix rec time left not showing in stats
  * vlc-video: Fix format conversion typos
  * UI: Fix memory leak when dropping files
  * UI: Fix source ref bug causing crash on exit
  * mac-capture: Filter non-trivial windows
  * win-capture: Fix Vulkan crash on minimize restore
  * win-capture: Add Vulkan instance creation fallback
  * win-capture: Vulkan variable naming consistency
  * UI: Fix compiler warning about needing parenthesis
  * docs/sphinx: Fix mismatched typedefs
  * docs/sphinx: Fix incorrect callback information
  * CI: Remove clang format Mac check
  * win-dshow: Add file description for virtual camera DLL
  * obs-vst: Support older Qt versions
  * win-dshow: Use constant reference for virtualcam CLSID
  * win-dshow: Reduce size of virtualcam placeholder image
  * libobs: Check data validity for media sources
  * vlc-video: Fix possible undefined behavior in format conversion
  * obs-vst: Fix VST detection in home directory on Linux
  * obs-browser: Update to 2.8.7
  * CI: Update macOS deps to fix crash from invalid linking
  * obs-filters: Cleanup CMake
  * UI: Add missing tab stop fields in Settings
  * UI: Fix compile warnings about deprecated QT usage
  * libobs: Log Windows 10 Hardware GPU Scheduler
  * plugins: Clear compile warnings on Linux
  * UI: Fix output channels not being deleted
  * UI: Disable scene rename shortcut key while renaming
  * UI: Fix tray icon appearing when disabled in settings
  * win-capture: Fix excessive window capture logging
  * UI: Remove unnecessary obs_properties_apply_settings
  * UI: Defer device properties to separate thread
  * UI: Put context combo box operations in functions
  * CI: Update macOS CLI build script
  * UI: Make image source toolbar expand
  * UI: Disable properties button if no properties
  * UI: Remove null source warnings
  * UI: Clear context bar on scene collection change
  * UI: Align Advanced Audio Percent toggle to Volume text
  * UI: Add maximize and minimize support to Log Viewer
  * UI: Bring Log Viewer to front instead of closing
  * CI: Add Sphinx Docs generator Github Action
  * obs-outputs: Remove legacy multitrack code
  * UI: Don't open second dialog if close event is ignored
  * obs-ffmpeg: Fix crash when seeking with no media
  * UI: Fix projector not working on secondary monitors
  * obs-filters/obs-outputs: Cleanup unused var warns
  * win-capture: Robust Vulkan swap chain handling
  * UI: Fix always on top w/ projectors on Linux
  * UI: Add OBSBasic::ClearProjectors()
  * UI: Fix transition enumeration
  * UI: Change cursor when interacting with the preview
  * UI: Fix hotkeys auto repeating
  * obs-filters: Fix building without noise reduction
  * win-capture: Update graphics hook version
  * obs-outputs: Check support for mbedtls func
  * obs-outputs: Fix Windows memory leak
  * UI: Fix multiview update regression
  * obs-outputs: Add support for metadata-based multitrack
  * obs-outputs: Don't assume @setDataFrame
  * obs-x264: Fix memory leak
  * libobs: Fix underlinking X11
  * text-freetype2: Fix x,y bounds for text outline and shadow
  * libobs-winrt: Device loss crash prevention
  * win-capture: Remove unused strings
  * UI: Do not process unnamed sources for hotkeys
  * UI: Render tabs and spaces in Log Viewer
  * obs-outputs: Enable Windows mbedTLS threading support
  * UI: Change default sample rate to 48 kHz
  * obs-filters: Add option to use RNNoise for noise reduction
  * UI: Fix obsolete filters showing up
  * oss-audio: Improve /dev/sndstat parsing on FreeBSD
  * obs-x264: Discard excess warning for e2k
  * cmake: Discard excess warnings for e2k
  * cmake: Enable SIMD for Elbrus architecture
  * cmake: Conditionalize -fopenmp-simd
  * UI: Source Toolbar
  * image-source: Transition when restarting slideshow
  * obs-scripting: Fix removing signal handlers in python Closes #3218
  * UI: Provide Open button in the Log Viewer
  * UI:Show "Get Stream Key" to users of Facebook CDN
  * image-source: Use media control api for slideshow
  * Revert "image-source: Add proc handler calls to slideshow"
  * CI: Add QtNetwork to bundle to restore Streamdeck support
  * README.rst: Remove Mantis
  * libobs: Add functions to get locale text from modules
  * libobs: Add function to get module pointer
  * libobs: Add OBSRef::Get()
  * image-source: Add proc handler calls to slideshow
  * image-source: Play if play_pause() called while stopped
  * UI: Add missing refresh icon to acri qss file
  * libobs: Fix undefined behavior
  * win-capture: Remove Vulkan CTS workaround
  * mac-decklink: Fix C++ virtual function warnings
  * CI: Update macOS deps version to fix unmet Qt plugin dependencies
  * libobs: Fix deferred update sometimes using stale data
  * UI: Clarify and improve locale text
  * UI: Move View -> Toolbars -> Listboxes
  * UI: Remove unused action
  * UI: Mac fix — remove wizard background padding
  * UI: Check and fail when launched under ChromeOS
  * UI: Remove unused variable
  * UI: Add log viewer window
  * frontend-tools: Add "Open file location" menu item for scripts
  * frontend-tools: Add context menu to Scripts list
  * UI: Redesign transitions dock
  * UI: Use case-insensitive sort for "show all" services
  * UI: Add ability to make screenshots
  * UI: Simplify path generation code
  * oss-audio: Use util_mul_div64() to do time scaling
  * obs-ffmpeg: Set async video frame immediately when seeking
  * deps/media-playback: Add seek callback
  * libobs: Add func to set async video frame immediately
  * CI: Fix Brew Bundler breaking without prior brew update
  * rtmp-services: Add api.video service
  * rtmp-services: Add Nimo TV auto server
  * UI: Make macOS 'always on top' more aggressive
  * UI: Fix clickable text on properties with tooltips
  * libobs: Add util/sse2neon.h to CMakeLists
  * obs-qsv11: Fix bug mapping old qsv settings to new
  * libobs: Call enum_all_sources in check for enum_all_sources
  * win-capture: Make Vulkan frame data local to queue
  * win-capture: Hide Vulkan linked list internals
  * win-capture: Improve Vulkan hook stability
  * obs-ffmpeg: Clear texture when starting playback
  * libobs: Update async texture when showing preloaded video
  * UI: Remove OBSContext class and shutdown in run_program
  * CI: Disable Python on macOS
  * CI: Disable Python for Mac PR automation
  * CI: Remove Mixer cmake variables
  * rtmp-services: Remove Mixer servers and checks
  * UI: Remove Mixer integration
  * deps/media-playback: Don't EOF while paused and seeking
  * deps/media-playback: Preload video when seeking paused
  * win-dshow: Fix virtual camera filter name
  * win-dshow: Fix virtual camera enable bug
  * rtmp-services: Fix memory leak
  * obs-ffmpeg: Fix race and deprecation warnings
  * libobs/media-io: Add missing codec_tag set
  * deps/media-playback: Remove unused #define
  * deps/libff: Remove very old version check
  * UI: Fix warning about missing override
  * UI: Switch 601 to sRGB as default color space
  * UI: Add sRGB option to colorSpace output setting
  * media-playback: Leverage VIDEO_CS_SRGB
  * obs-x264: Improve color space handling
  * obs-ffmpeg: Improve color space handling
  * libobs: Add VIDEO_CS_SRGB support
  * obs-ffmpeg: Fix FFmpeg deprecation warnings
  * libobs/media-io: Fix FFmpeg deprecation warnings
  * libobs: Fix FFmpeg deprecation warnings
  * UI: Add flag/file to disable built-in updater
  * frontend-tools: Make links in script description clickable
  * UI: Use non-native file dialog w/ Linux
  * rtmp-services: drop Restream.io FTL support
  * libobs: Add arm support
  * UI, obs-ffmpeg, obs-filters: Fix compile warnings
  * coreaudio-encoder: Fix encoding of 4.0 speaker layout
  * deps/media-playback: Reset TS when seeking
  * CI: Disable building OBS with Python scripting support on macOS
  * CI: Add fix for macOS builds failing on push for Azure CI
  * rtmp-services: Update Uscreen service
  * win-capture: Log duplicator display when updating properties
  * linux-v4l2: Fix case of variables to snake_case
  * obs-outputs: Use FLV codec IDs for videocodecid/audiocodecid
  * obs-ffmpeg: Fix play pause crash
  * libobs/util: Use is_padding() for wcsdepad as well
  * libobs/util: Fix potential crash
  * Revert "UI: Match Windows taskbar state to tray icon"
  * Revert "Merge pull request #3110 from WizardCM/taskbar-color-setting"
  * libobs: Translate F13-F24 hotkeys on Windows
  * win-capture: Remove fixed-size Vulkan arrays
  * rtmp-services: Add "Taryana - Apachat" streaming service
  * UI: Add setting for taskbar color
  * UI: Add informative messages to auto-config dialog
  * UI: Set remove prompt default action
  * win-capture: Fix 32-bit Vulkan capture
  * CI: Update build script to use pre-built SWIG and QT dependencies
  * obs-qsv11: Simplify UI quality parameters
  * obs-qsv11: Enable VDEnc on ICL+
  * obs-qsv11: Add latency mode to QSV settings
  * UI: Update Facebook get stream key URL
  * UI: Make color consistent, don't show alpha value
  * obs-qsv11: Set preference for encode to iGPU in case of i+i
  * UI: Delete projector when monitor is disconnected
  * obs-ffmpeg: Allow continuous network streaming
  * UI: Show help text for launch parameters on Windows
  * libobs: Fix video scalar copy heights
  * UI: Add virtual camera to UI
  * win-dshow: Add Virtual Camera (Windows)
  * UI: Add TBar controls to obs-frontend-api
  * UI: Allow the use of Esc key to quit settings window
  * frontend-tools: Add defaults button to script dialog
  * obs-ffmpeg: Add auto reconnect to remote media sources
  * UI: Fix scene switcher not detecting some windows
  * UI: Fix unreadable Connecting Stream button
  * win-capture: Don't use Chrome classes for priority
  * win-capture: Decouple swap and frame indices
  * obs-ffmpeg, UI: Allow slash in recording names
  * UI: Add always on top checkbox to projector context menu
  * mac-capture: Add several virtual audio drivers to Desktop audio
  * libobs: Add sample unit tests leveraging cmocka
  * CI: Quick fix to cover pre-installed Homebrew dependencies for macOS
  * UI: Add window projector option "fit to content"
  * rtmp-services: Add weabook.live
  * UI: Fix pause/replay buttons having large width
  * rtmp-services: Update Lahzenegar RTMP
  * win-capture: Remove game capture scaling
  * UI: Update volmeters at 60hz
  * UI: Fix warnings for Qt 5.15
  * rtmp-services: Remove offline servers/services
  * win-capture: Reset command pool rather than buffer
  * rtmp-services: Add VIMM
  * color-source: Change default color to d1d1d1
  * rtmp-services: Update AfreecaTV
  * UI: Enable Get Stream Key Button for Trovo service
  * rtmp-services: Update Madcat service
  * UI: Add 64bit windows checks to installer
  * libobs: Reset audio data on timestamp jump
  * rtmp-services: add angelthump
  * UI/updater: Use 1 MB static memory for hashing
  * UI/updater: Fix running updater as different user
  * UI/updater: Exit with error if elevation failed
  * obs-outputs: Log unhandled rtmp status responses
  * obs-outputs: Handle rtmp NetStream.Publish.BadName response
  * UI: Don't try to create service if missing file
  * UI: Don't try to load replay buffer hotkey if null
  * libobs: Fix right edge for "video scaler"
  * libobs: Fix right edge of some videos
  * libobs: Fix right edge for JPEG images
  * UI: Auto update projector settings
  * UI: Fix projector always on top not working on Linux
  * UI: Delete existing fullscreen projector
  * deps/media-playback: Use SWS_POINT instead of SWS_FAST_BILINEAR
  * deps/media-playback: Use OBS YUV(A)444P to RGB conversion
  * libobs: Use autoreleasepool for graphics thread
  * win-capture: Remove dead VkResult values
  * libobs/media-io: Remove unused code
  * oss-audio: Add en-US translation data file
  * UI: Fix GetPreferredLocales locale detection
  * cmake: Update minimum Windows SDK version
  * UI: Update NSIS installer script
  * libobs-winrt: Require Windows 10 SDK 19041
  * image-source: Don't check for changes when hidden
  * Revert "Merge pull request #2993 from brittneysclark/enable_vdenc"
  * rtmp-services: Add Mixcloud
  * libobs: Unload modules while OBS core is active
  * libobs: Remove excessive null checks
  * libobs: Use correct data pointer for hotkey pair
  * win-capture: Improve Vulkan synchronization
  * libobs: Fix os_get_executable_path_ptr on Linux
  * libobs-winrt: Move project to core VS filter
  * cmake: SIMDe & GCC? then enable OpenMP 4 SIMD
  * libos: Freshen SIMDe code copy
  * docs: Remove Doxyfile
  * docs: Remove Doxygen
  * obs-qsv11: Simplify UI subjective quality parameters
  * UI: Change audio device string in settings
  * CI: Improve formatcode.sh efficiency
  * obs-filters: Misc code cleanups detected by PVS Studio
  * linux-v4l2: Selective stream restart
  * obs-ffmpeg: Show friendly error for NV_ENC_ERR_INVALID_VERSION
  * UI: Set 8x8 as minimum selectable resolution
  * UI: Add percent checkbox to advanced audio dialog
  * win-capture: Better matching of internal UWP windows
  * UI: Don't show alpha value for color source
  * UI: Fixed case to match what the files are named
  * CI: Require VLC in CI builds, Fix VLC
  * cmake: Fix warnings and normalize variables/errors
  * libobs: Fix potential truncation warnings
  * libobs: WinRT and dispatcher init on graphics thread
  * libobs-winrt: Add dispatcher queue API
  * Revert "Merge pull request #2637 from kkartaltepe/cmake-variety-fixes"
  * UI: Install public headers for frontend-api
  * obs-vst: Fix crash when the blocksize is smaller than frames
  * obs-vst: Compile the vst plugin on linux
  * UI: Fix wrong path in the crash message dialog
  * UI: Swap to new srt output
  * obs-ffmpeg: Use obs-ffmpeg-mux for mpegts network output
  * obs-ffmpeg: Move file read error to separate function
  * UI: Fix GetUnusedSceneCollectionFile filename creation
  * UI: Make select/deselect signals work w/ group items
  * obs-ffmpeg: Enable mpegts network URL for ffmpeg-mux
  * UI: Allow drag & drop reorder of property lists
  * UI: Fix bug where stats dock steals focus of main windows
  * UI: Hide script tabs if no python settings
  * obs-x264: Log ignored options
  * obs-x264: Log only options given to libx264
  * obs-x264: Refactor tokenizing of options
  * win-capture: Ignore cloaked windows
  * obs-qsv11: Enable VDEnc on ICL+
  * obs-qsv11: Add latency mode to QSV settings
  * UI: Log monitoring type for global audio devices
  * libobs-winrt: Fix WGC minimize handling
  * libobs: Return target instead of current in calc_torquef
  * win-capture: Reset WGC fail flag for new window
  * cmake: Add cmake folders
  * win-capture: Fail on unsupported Vulkan formats
  * UI: Restore theme if settings window exit with [x]
  * frontend-tools: Automatically select scripts
  * libobs: Remove log entry for CoInitializeEx pass
  * libobs/util: Fix POSIX event bugs
  * libobs: Fix da_reserve early return logic
  * mac-capture: Use resize instead of reserve
  * CI: Add all-in-one macOS build script
  * win-capture: Log window capture method
  * UI: Match Windows taskbar state to tray icon
  * libobs-winrt: win-capture: Detect GraphicsCaptureItem closure
  * CI: Update Github Actions with caching and macOS improvements
  * obs-ffmpeg: Fix AVFrame handling in FFmpeg output
  * UI/updater: Fix launching OBS as admin post-update
  * deps/glad: Fix build with GCC-10
  * vlc-video: Allow metadata retrieval through proc_handler
  * rtmp-services: Update Switchboard Live servers
  * rtmp-services: Add Xlovecam.com streaming service
  * libobs: Use SetThreadDescription if possible
  * libobs: Fix unnecessary duplication
  * UI: Remove unused variable
  * libobs: Update version to 25.0.8
  * libobs-opengl: Lock Mac parent context during present
  * plugins: Add oss-audio plugin
  * libobs: Add Windows 10 release version to crash log
  * obs-ffmpeg: Update error message in process_packet
  * text-freetype2: Add Enable Antialiasing option
  * rtmp-services: Update GameTips.TV
  * obs-text: Add Enable Antialiasing option
  * obs-scripting: Expose platform functions to scripts
  * obs-plugins: Check if sources are showing for media hotkeys
  * vlc-video: Enable building the plugin on FreeBSD
  * libobs: add ppc64(le) specific flags to libobs.pc
  * rtmp-services: Add Nimo TV
  * linux-capture: Add support for cropping input source
  * libobs: Don't check filter compatibility on not loaded sources
  * UI: Remove first run auto-config prompts
  * libobs: Don't allow duplicating scene sources
  * UI: Highlight unknown audio device label in settings
  * UI: sort audio sources by name locale aware
  * obs-filters: 3D LUT tetrahedral interpolation
  * UI: Add button to Analyzer in the Log Reply window
  * UI: Add description to Log Reply window
  * UI: Differentiate between crash & session log dialogs
  * UI: Hide Help icon in Log Reply window
  * libobs: Implement and use better scaling function for 64-bit integers
  * cmake: Fix warnings and normalize variables/errors
  * obs-ffmpeg: Rename and add more VAAPI levels
  * obs-ffmpeg: Expose VAAPI profile choices
  * win-capture: Verify VK_KHR_external_memory_win32 support
  * win-capture: Cleaner COM usage
  * win-capture: Use VkAllocationCallbacks
  * UI: Remove language region
  * UI: Use standard resolutions with auto-config
  * libobs-opengl: Support 3D texelFetch
  * obs-filters: Implement CUBE LUT domain properly
  * UI: Don't clip meters when resizing with no input
  * UI: Fix buttons changing minimum window width
  * media-playback: Unbuffered Media Source
- Remove c7f84f8fc4e90ef779a204ac268f5ee1a962e324.patch.
* Wed Jul  8 2020 Jimmy Berry <jimmy@boombatower.com>
- Add c7f84f8fc4e90ef779a204ac268f5ee1a962e324.patch to resolve
  gcc10 build failure.
* Mon Apr 27 2020 jimmy@boombatower.com
- Update to version 25.0.8:
  * Revert "Merge pull request #1786 from brittneysclark/qsv_texture_based_encoding"
  * libobs: Update version to 25.0.8
  * CI: Update macOS deps to fix lua
  * obs-ffmpeg: Add error message for non-zero GPU
  * obs-ffmpeg: Add localization for NVENC error messages
  * libobs: Clear last error on encoder shutdown
  * obs-ffmpeg: Preserve error message from new NVENC
  * obs-ffmpeg: Log why new NVENC might not be used
  * UI: Remove requirement for replay buffer hotkey
  * obs-filters: Add a user label to the LUT filter
  * CI: Fix Azure Pipelines macOS runs
  * obs-browser, obs-vst: Fix formatting
  * UI: Update OSX to macOS in English translation
  * rtmp-services: Add VirtWish service
  * rtmp-services: Change Stripchat streaming service
  * UI: Add white icons for dock titles
  * Revert "UI: Remove unnecessary global variables"
  * libobs-opengl: Fix viewport flip
  * CI: Add main Github Actions workflow for branch pushes and PRs
  * UI: Remove unnecessary global variables
  * UI: Adjust a few margins
  * obs-vst: Fix formatting
  * obs-browser: Fix formatting
  * UI: Remove all scenes in ClearSceneData
  * libobs: Don't save removed sources
  * rtmp-services: Update ChathostessModels service (#2745)
  * obs-qsv11: Enable QSV texture-based encoding
  * libobs: Fix plugin folder search path case on macOS
  * UI: Add status icons for recording and streaming
  * CI: Add freetype dep on osx
  * rtmp-services: Add WASDTV (#2697)
  * docs/sphinx: Add Property Grouping
  * libobs: Update version to 25.0.6 (mac release)
  * obs-vst: Don't allow widget close on macOS
  * CI: Add qt5-xml package for FreeBSD build task
  * linux-jack: Fix conversion from channels to speaker layout
  * obs-ffmpeg: Fix media source not closing file when inactive
  * UI: Refuse drop operations from our own widgets
  * UI: Fix projector on other than primary display
  * linux-v4l2: Fix build with Clang 10.0
  * obs-ffmpeg: Add error text for NVENC AVERROR_EXTERNAL
  * obs-ffmpeg: Use new encoder error handling functions
  * libobs: Add support functions for encoder error handling
  * mac-syphon: Move the syphon plugin over to ARC
  * CI: Rewrite new deps paths in obs-ouputs.so
  * CI: Move clang format check into a seperate github workflow
  * UI: Fix warning when compiling with Clang 10
  * UI: Properly apply hide cursor on fullscreen projectors
  * rtmp-services: Add niconico
  * rtmp-services: Update castr.io rtmp ingest list
  * UI: Fix missing includes
  * libobs: Update version to 25.0.5 (mac release)
  * libobs-opengl: Fix atan2 HLSL->GLSL transpile
  * libobs-opengl: Add sincos to HLSL->GLSL transpile
  * obs-browser: Fix formatting
  * libobs/util: FreeBSD/Dragonfly exec path support
  * UI: Log global audio devices and their filters
  * CI: Update dependencies on macOS
  * mac-capture: update owner_pid in `update_window`
  * mac-capture: Use int in place of NSNumber for owner_pid
  * deps: lzma: also use .note.GNU-stack on FreeBSD
  * mac-capture: Only find window by window id when owner name and pid match
  * mac-capture: Use window id to identify windows on MacOS
  * plugins: Build ALSA plugin for FreeBSD
  * UI: Fix previewLabel styling
  * obs-outputs: Fix warnings WITH_RTMPS=OFF
  * UI: Require selected source for Transform shortcut
  * CI: Update macOS dependencies
  * rtmp-services: Fix memory leak when update rtmp-custom-service.
  * CI: Make processor count consistent
  * rtmp-services: Update Bongacams servers and settings
  * UI: Don't open Studio Mode's Program label in a window
  * CMake: Build Windows modules with file descriptors
* Sun Apr  5 2020 jimmy@boombatower.com
- Update to version 25.0.4:
  * libobs: Update version to 25.0.4
  * win-capture: Update graphics hook version to 1.1.4
  * UI: Don't stretch server field in Qt 5.14
  * obs-browser: Fix interact keyboard input on Linux
  * Decklink: Fix crash when no matching device
  * libobs: Fix macOS 10.15 hotkey crash (temporary)
  * win-capture: Fix crash if GPU can't Vulkan capture
  * docs/sphinx: Bump major OBS version
  * UI: Use Qt dialogs for Font & Color Pickers on Linux
  * obs-qsv11: Fix QuickSync LA_ICQ encoder settings
  * rtmp-services: Remove executable bits from json files
  * obs-ffmpeg: Expose old NVENC on Windows 7
  * UI: Fix text handling for dialogs
  * libobs-winrt: Stronger exception handling
  * UI: Fix silent scenes with imported SL scenes
* Tue Mar 24 2020 jimmy@boombatower.com
- Update to version 25.0.3:
  * libobs: Update to 25.0.3 (linux hotfix once again)
  * linux-v4l2: Fixup invalid id
  * libobs-d3d11: Log device PCI IDs
  * obs-outputs: Fix mbed TLS build issues
* Mon Mar 23 2020 jimmy@boombatower.com
- Update to version 25.0.2:
  * linux-v4l2: readonly controls cause infinite loop
  * libobs: Update version to 25.0.2 (linux hotfix)
  * UI: Set correct window title for fullscreen projector
  * CI: Update Linux CI from Ubuntu 16.04 to 18.04
  * UI: Make links in updater clickable
  * obs-filters: Fix LUT file extension filter on Linux
  * win-wasapi: Fix leaking IPropertyStore
  * win-wasapi: Fix crash on certain devices
  * obs-qsv11: Fix target usage values
  * UI: Fix crash on settings update
  * libobs: Add move assignment operator for BPtr
  * libobs: Fix missing assignment operator return
  * libobs: Fix size mismatch warning
  * libobs: Handle noexcept warnings
  * UI: Make Importer destructor virtual
  * UI: Add setting for Mixer add-on choice
  * linux-capture: Use RandR monitors for screen information
* Thu Mar 19 2020 jimmy@boombatower.com
- Update to version 25.0.1:
  * libobs: Update version to 25.0.1
  * libobs-winrt: Fix missing parentheses
  * UI: Fix memory leak
  * Revert "win-capture, libobs: Show names of displays in Display Capture"
  * obs-browser: Fix a few crashes
  * UI: Fix preview state when minimizing to tray
  * UI: Remove unnecessary vertices for preview
  * UI: Get actual projector monitor name on windows
  * obs-ffmpeg: Make sure to show FFmpeg NVENC on non-windows
  * libobs-winrt: Catch more hresult exceptions
  * win-capture: Retry with last known window if first fails
  * UI: Restart when browser hardware acceleration changed
  * libobs-winrt: win-capture: Clean up error handling
* Wed Mar 18 2020 jimmy@boombatower.com
- Update to version 25.0.0:
  * win-capture: Fix potential crash due to unhandled exceptions
  * libobs: Update version to 25.0.0
  * Update translations from Crowdin
  * rtmp-services: Add getloconow
  * rtmp-services: Fix formatting
  * UI: Fix closing OBS before showing whats new dialog
  * obs-browser: Fix crash with certain settings combo
  * libobs: Fix audio not playing back with audio lines
  * UI: Enable BTTV login popup
  * UI: Turn off T-bar mode when going out of studio mode
  * libobs: Reset manual state when forcing transition target
  * Revert "libobs: Add extra reference when source is displayed"
  * Revert "libobs: Only manipulate input source ref counts"
  * win-capture: Destroy winrt in graphics thread
  * libobs: Remove repeated semicolons
  * libobs: Add task scheduling features
  * UI: Increment filter name automatically
  * UI: Update stream key link for YouStreamer
  * libobs: Fix another group id comparison
  * Make cert revocation check fails non-fatal on Win
  * win-capture/graphics-hook: Separate some debugging stuff
  * win-capture: Vulkan surface refactor
  * UI: Support Unicode for Windows fullscreen projectors
  * UI: Fix filter rename crash
  * UI: Update Contribute link in about box
  * libobs: Check return value from obs_scene_add_internal
  * UI: Fix preview scaling on scene collection change
  * obs-vst: Fix lockup/race on shutdown
  * Revert "graphics: libobs-d3d11: Use DXGI_SWAP_EFFECT_FLIP_DISCARD on Windows 10"
  * win-capture/graphics-hook: Add a bit of logging
  * win-capture: Handle vkCreateSwapchainKHR errors
  * libobs: Remove legacy libobs data search path
  * libobs: Remove legacy module search path
  * win-capture: Try window handle 0 if actual handle fails
  * win-capture: Use full app obj name for keepalive mutex
  * libobs: Don't render audio if context not initialized
  * libobs: Fix groups not being recognized as groups
  * libobs: Handle removed plugins for versioned sources
  * libobs: Don't return false, return NULL
  * libobs: Fix crash when querying versioned id
  * tests: fix missing parameter when calling obs_display_create
  * win-capture/graphics-hook: Make vulkan layer all capital
  * libobs: Fix source type versioning system
  * image-source: Don't use video info for color source size
  * libobs: Compare scene/group ids by strcmp
  * win-capture: Increment graphics hook version
  * win-capture/graphics-hook: Fix reacquire bug
  * win-capture: Always copy file when debugging
  * win-capture/graphics-hook: Log vulkan capture dimensions
  * UI: Fix windowed multiview title
  * obs-scripting: Add missing Python imports
  * win-capture, libobs: Show names of displays in Display Capture
  * UI: Show monitor names for projectors
  * win-capture: Allow write permission on graphics hook
  * win-capture: If elevated, replace HKCU reg entry with HKLM
  * win-capture: Remove SYNCHRONIZE permission
  * libobs-winrt: win-capture: HDC cursor capture for WGC
  * win-capture: Restore Vulkan 1.1 version hack
  * win-capture: Support VK_FORMAT_A8B8G8R8_UNORM_PACK32
  * obs-ffmpeg: Make sure hotkeys are actually pressed
  * win-capture/graphics-hook: Fix wrong HWND
  * win-dshow: Fix rotation not working in all cases
  * win-capture: Set ALL APPLICATION PACKAGES perms if elevated
  * UI/updater: Add perms for ALL APPLICATION PACKAGES
  * win-capture: Remove microsoft store from capture blacklist
  * linux-v4l2: Use LP64 macro to determine pointer size
  * win-capture: Vulkan capture clean-up
  * win-capture: Clean up various VC++ warnings
  * obs-outputs: Fix RTMP authentication
  * win-capture: Fix format string warning
  * win-capture: Increment graphics hook version
  * libobs: Only manipulate input source ref counts
  * win-capture: Handle NULL VkApplicationInfo
  * UI: Fix override transition not working
  * UI: Do not disable t-bar
  * UI: Fix scenes as sources for SL import
  * UI: Lower minimum dock size
  * win-capture: Find correct window even if it's minimized
  * CI: macOS use qt 5.14.1
  * obs-ffmpeg: Fix some incorrect settings for srt output
  * UI: Remove unused variable
  * UI: Call setWindowFlags before setupUi
  * UI: Fix importing SL collections with repeated names
  * obs-browser: Fix CEF initialization conflict
  * UI: Dynamically set widget index when renaming sources
  * CMake: Disable incremental linking on Windows
  * win-capture: Disable correct capture method index
  * CMake: Enable /OPT:REF for Windows
  * CI: Remove merge conflict bot for now
  * CI: Fix some macOS build settings
  * win-capture: Prevent WGC being selected when unavailable
  * UI: Move OBSBasicSettings to scoped block
  * UI: Don't add removed sources when refreshing LoadAudioSources
  * UI: Use invokeMethod to refresh LoadAudioSources
  * UI: Fix preview not being re-enabled on maximize
  * win-dshow: Add support for devices that relay rotation
  * libobs: Add ability to rotate async sources
  * UI: Show help icon for properties with tooltips
  * obs-ffmpeg: Fix type conversion warning
  * win-capture: Fix registry lookup bug
  * win-capture: Check hook version before capture init
  * win-capture: Add Vulkan capture
  * win-capture: Use full DLL path for inject helper
  * win-capture/graphics-hook: Don't allow multiple hooks
  * cmake: Add FindVulkan module
  * win-capture: Refactor create_hook_info
  * win-capture/graphics-hook: Refactor mutex check
  * libobs/util: Add dll version compare func
  * libobs/util: Use MAX_PATH for absolute path funcs
  * win-capture/graphics-hook: Fix OBS detection
  * win-capture/graphics-hook: Add flog and flog_hr
  * CI: Fix case of PlugIns directory
  * obs-outputs: Update FTL sdk to latest version
  * Revert "libobs: Fix audio keyframe issue"
  * obs-browser: Fix crash with replay buffer events
  * win-capture: Preserve current window setting
  * win-capture: Move window capture method below window
  * Decklink: Fix crash when no device selected
  * frontend-plugins: Refactor Decklink out UI
  * UI: Remove dock margins
  * libobs-d3d11: Enable NV12 for Intel on newer platforms
  * obs-browser: Update to 2.8.2
  * UI: Fix compiling error with older QT
  * CI: Build CEF on Linux
  * obs-browser: Enable Linux support
  * libobs: Handle empty path in os_get_path_extension
  * libobs-opengl: Fix Mac VAO created without context
  * libobs-winrt: win-capture: Support client area toggle for WGC
  * win-capture: Hide settings if Automatic is WGC
  * UI: Use deleteLater() rather than explicit delete
  * UI: Reserve correct number of elements in vector
  * cmake: Copy a few missing dependency files
  * UI: Reserve correct number of elements in vector
  * UI: Make t-bar smaller
  * obs-browser: Fix formatting
  * deps/media-playback: Fix formatting
  * obs-browser: Update browser to 2.8.0
  * libobs: Pump graphics loop one final time for cleanup
  * UI: Fix compilation warning re signed/unsigned
  * libobs/util: Retry pipe writes to avoid short-write failures
  * win-capture: Add 'auto' method to window capture
  * CMake: Add check for Win SDK 10.0.18362.0 or above
  * CMake: Rquire CMake 3.16
  * libobs-winrt: Add PCH
  * win-capture: Windows Graphics Capture support
  * libobs-winrt: Add module for WinRT functionality
  * CI: Use VS 2019 and windows-2019 VM image
  * win-capture: Add support for finding windows via EnumWindows
  * libobs: Add extra reference when source is displayed
  * libobs: Pump Win32 messages on the graphics thread
  * libobs: Support device loss registration
  * libobs: Make ComPtr header self-sufficient
  * libobs: Don't strip whitespace from config values
  * UI: Return 0 when launch cancelled or failed
  * CI: Remove unused Linux script
  * obs-outputs: Properly reset stream count on RTMP_Close
  * UI: Don't set audio encoder track index in Adv Output
  * UI: Fix Import Profile in Portable Mode
  * obs-scripting: Update text source IDs
  * UI: Allow custom browser delete button to fill the cell
  * UI: Fix table heading visibility in Acri
  * win-ivcam: Fix build issue with CMake 3.16
  * image-source: Increase slideshow limit to 400MB
  * rtmp-services: Add Whalebone.tv
  * obs-ffmpeg: Mark FFmpeg NVENC as internal
  * UI: Hide encoder if marked internal
  * UI: Allow rescaling for texture-based encoders
  * obs-ffmpeg: Fall back to FFmpeg nvenc if recale active
  * libobs: Add obs_encoder_scaling_enabled()
  * win-capture: Fix hook collisions with multiple game captures
  * decklink: Fix crash when no outputs are available
  * CI: Add github workflow to tag merge conflicts
  * UI: Fix locked sources being transformed
  * obs-vth264: Manually mark priority bits for VideoToolbox frames
  * UI: Add ability to lock volume
  * UI: Restart program when audio/locale changed
  * UI: Use OBS dock menu instead of Qt dock context menu
  * UI: Add advanced scene collection importer
  * Revert "mac-vth264: Manually mark priority bits for frames"
  * UI: Fix preview not being disabled when minimized
  * deps/media-playback: Fix buffering/sync issues
  * libobs: Remove unused variable
  * libobs: Fix audio keyframe issue
  * UI: Allow resizing docks when hotkeys are disabled
  * rtmp-services: Add Madcat
  * rtmp-services: updating castr.io rtmp ingests
  * rtmp-services: Uncanny.gg
  * obs-ffmpeg: Use callbacks when starting/ending
  * deps/media-playback: Simplify seek/time code
  * libobs: Restore order
  * CI: Fail osx and linux on build failures. Fix decklink clang-format
  * UI: Add missing function declaration
  * decklink: Fix formatting
  * decklink: Log decklink API version on plugin load
  * UI: Add Chromium-compatible NSApplication subclass
  * libobs: fix obs_sceneitem_group_XXX_item API
  * docs/sphinx: Fix missing parameter in documentation
  * libobs: Add group functions that can signal refresh
  * libobs: Make group subitem add/remove funcs signal refresh
  * UI: Watch for refresh signal in source list
  * libobs: Add refresh signal to scenes
  * docs/sphinx: Fix typo
  * libobs: Fix Mac linker error
  * docs/sphinx: add media controls
  * docs/sphinx: add source icon
  * README.rst: Remove retired CI services
  * obs-ffmpeg: Add media hotkeys
  * obs-ffmpeg: Add media control support
  * vlc-video: Add media control support
  * UI: Fix transitions being disabled
  * UI: Use absolute path for portable mode multi check
  * UI: Show source icons in Advanced Audio Properties
  * win-capture: Faster display / window capture updates
  * UI: Always prompt when updates are available
  * libobs/util: Fix incorrect assertion in darray_insert_array
  * UI: Fix incorrect parameter
  * UI: Fix incorrect parameter value
  * deps/media-playback: Fix formatting
  * obs-transitions: Halve stinger padding to 250ms
  * libobs: Add media control support to backend
  * obs-outputs: Remove hard-coded certificate paths on Linux
  * mac-capture: Fix redundant call
  * UI: Fix transtions not enabled
  * UI: Use input validator on resolution line edit
  * libobs: Add obs_scene_find_source_recursive
  * UI: Don't allow resolutions too large
  * obs-outputs: Remove server support from librtmp
  * obs-outputs: Remove unused variable
  * obs-outputs: Fix build with older mbedtls versions
  * CI: Add libmbedtls-dev
  * obs-outputs: Show UI error if the root certs don't load
  * obs-outputs: Enable logging before calling RTMP_Init
  * obs-outputs: Add additional paths for root certificates on Linux
  * obs-transitions: Set stinger media source's name
  * enc-amf: Update to 2.7.0
  * obs-outputs: Fix librtmp mbedtls thread safety
  * UI: Fix aspect ratio triggering settings change
  * UI: Fix t-bar not working with transition override
  * linux-v4l2: Mark aarch64 and mips n64 as known platform
  * libobs: Build SIMDE on platforms without SSE2
  * rtmp-services: Add Uscreen
  * libobs, obs-x264: Fix compiler warnings
  * deps/obs-scripting: Fix incorrect parameter type
  * UI: Add option to toggle source icons to View menu
  * UI: Fix Qt 5.14 deprecation warnings
  * libobs: Rename DEPRECATED to OBS_DEPRECATED
  * docs/sphinx: Add obs_group_from_source
  * docs/sphinx: Add obs_enum_scenes
  * audio-monitoring: Fix Pulse Audio crash
  * libobs: Add VIDEO_CS_SRGB enum value
  * image-source: Fix color source default size
  * rtmp-services: Update SermonAudio entry (#2324)
  * Remove Appveyor
  * obs-text: Change default size of text to 256
  * text-freetype2: Change default size of text to 256
  * image-source: Change default size to size of canvas
  * libobs: Add the ability to make sources obsolete
  * UI: Fix studio mode transition bugs
  * win-dshow: Fix upside-down RGB DIBs
  * UI: Support DnD overlay in linuxbrowser
  * UI: Add drag and drop for URLs
  * UI: Make dropped HTML files use canvas size
  * obs-filters: Add Cube LUT samples
  * obs-filters: Add Cube LUT file support
  * libobs: Add basic support for half floats
  * libobs-opengl: Fix missing GL_HALF_FLOAT usages
  * librtmp: Allow partial success for mbedtls
  * UI: Fix audio restart message not hiding
  * UI: Display aspect ratios in video settings
  * media-playback: Add functions to pause/seek media source
  * docs/sphinx: Fix obs_property_list_item_disable entry
  * obs-outputs: Fix mbedtls use of deprecated functions
  * rtmp-services: Update/remove services
  * UI: Upgrade stream key link to button in Wizard
  * libobs: Log windows release version
  * libobs: Find windows version
  * UI: Fix QResizeEvent leaks
  * mac-vth264: Fix encoder list leak
  * CMake: Fix build on ppc64
  * libobs-opengl: Fix volume texture leak
  * obs-ffmpeg: Fix VC++ warnings
  * obs-scripting: Add Python functions for frontend events
  * libobs-d3d11: Don't allow volume render targets
  * libobs-opengl: Don't allow volume render targets
  * UI: Supply Windows manifest file
  * UI: Properly inform user if recording path is invalid
  * rtmp-services: Add show-it.tv
  * UI: Change remux file paths to OS style separators
  * libobs/UI: Support monospace font in multiline text property
  * UI: Halve width of tab in multiline text property
  * UI: Fix scene/source list item spacing
  * UI: Add t-bar to studio mode
  * libobs: Add manual transition "torque" support
  * libobs: Add manual transitioning support (T-bar)
  * UI: Add Active/Inactive status to adv audio props
  * UI: Add "Active Sources Only" option to adv audio props
  * UI: Add setThemeID to qt-wrappers
  * obs-filters: Add grayscale LUT image
  * libobs-opengl: OpenGL thread-safety on Mac
  * deps/obs-scripting: Expose matrix3 & 4 to scripting
  * UI: Fix compile issue
  * UI: Add option to use percent instead of dB
  * libobs: Fix corrupted pointers when removing properties
  * libobs-d3d11: Increase the frame queue capacity
  * linux-v4l2: Add support for controls
  * libobs: Update version to 24.0.6
  * CI: Fix QtNetwork in Mac packaging script
  * obs-filters: Use volume texture for LUT
  * libobs: Add support for volume textures
  * UI: Ensure OBS launches when theme is missing
  * obs-qsv11: Add all TargetUsage values
  * rtmp-services: Add YouStreamer
  * CI: Fix error deleting QT network framework on OSX
  * CI: Fix mbedtls id in mac deploy script
  * libobs: Null check hotkey device on macos
  * obs-browser: Disable system flash
  * UI: Add save button next to replay buffer button
  * rtmp-services: Increase FB max bitrate to 6Mbps
  * CI: Fix up QT network framework on OSX
  * CI: Fix osx executable path in plist
  * CI: Fix framework symlinks when building osx app
  * obs-ffmpeg: Enable VAAPI Rate Control
  * UI: Add Start Streaming settings check on start
  * UI: Create UI Validation Helper Class
  * libobs: Do not include unrelated flags in filter check
  * rtmp-services: Add Konduit.live
  * libobs: Update version to 24.0.5
  * CI: Don't run clang format on some submodule plugins
  * libdshowcapture: Update to latest submodule
  * UI: Allow switch to existing theme to reload
  * UI: Don't modify theme if already set
  * Decklink: Explicit casts for truncation warnings
  * libobs: Remove C99 hacks for older VC++
  * UI: Delete cookies before connecting account
  * UI: Fix bug in untested/unused function code path
  * UI: Fix source icons being shifted to the right
  * CI: Add Cirrus-CI config for FreeBSD builds
  * UI: Add Grid Mode to Scenes Widget
  * UI: Rename deprecated QPalette::ColorRole
  * UI: Fix Qt deprecation warnings
  * libobs: add missing FreeBSD #include to fix build
  * UI: Use new ffmpeg-encoded-output for non-RTMP urls
  * obs-ffmpeg: Add new ffmpeg-encoded-output
  * obs-ffmpeg: Expose ffmpeg_data_init and ffmpeg_data_free methods
  * libobs: fix building modules once installed
  * UI: Default stream / record confirm dialogs to "No"
  * deps/media-playback: Don't use interrupt cb for local files
  * deps/media-playback: Don't exit thread on AVERROR_EXIT
  * CI: Keep artifacts for PRs labelled "Seeking Testers"
  * libobs: Enable compilation on aarch64
  * libobs: Add aarch64 compatibility layer
  * win-dshow: Suppress MJPEG error spam
  * UI: Create an API for opening projector windows
  * UI: Break out the opening of a projector into a slot function
  * UI: Add source icons
  * libobs: Robust COM initialization
  * win-wasapi: Verify and balance CoInitializeEx call
  * UI: Fix wrong icon if recording stopped while paused
  * linux-capture: Fix cursor draw bug when cropping window cap.
  * UI: Fix wrong icon if recording stopped while paused
  * rtmp-services: Add scenecut=0 to mixer requirements
  * UI: Fix swap scene issue with double click mode
  * UI: Change advanced networking strings
  * UI: Add setting for Twitch chat add-ons choice
  * UI: Fix Twitch panels not using dark first time
  * obs-outputs: Log FTL during configure
  * libobs: Remove _WIN32 ifdef from enum
  * UI: Fix invalid escape sequences in regex string
  * UI: Add system tray icon to indicate when paused
  * libobs: fix new virtual key codes display
  * libobs: add missing virtual key codes for Windows
  * deps/obs-scripting: Fix formatting
  * obs-scripting: Fix Python in new MacOS .app bundles
  * obs-text: add missing locale include to fix build
  * UI: Remove help icon from Interact titlebars
  * win-dshow: Support bottom-up DIBs
  * win-dshow: Fix format switching issue
  * decklink-ui: Show the state of outputs in the decklink dialog
  * UI: Use radio buttons for FLV track selection
  * libobs: Add more X.org / Unix hotkey defines
  * obs-filters: Reload the mask image when file change is detected
  * obs-filters: Add toggle for scroll filter looping
  * libobs: Send activate and show signals to filters
  * rtmp-services: Type check apply_encoder_settings
  * obs-ffmpeg: Remove unexposed vaapi parameters
  * UI: Fix main transition being set to the quick one
  * win-capture: Fix rare crash when GL program exits
  * libobs: Fix race condition
  * CI: Use custom macdylibbundler for OSX deps
  * UI: Upgrade stream link hotlink to a button
  * rtmp-services: Add YouNow service and implement ingest lookup
  * README.rst: Add Crowdin progress badge
  * UI: Fallback to XGetWMName if XFetchName fails
  * mac-vth264: Manually mark priority bits for frames
  * git: Add VSCode working dir to .gitignore
  * UI: Fix audio bitrate not being set in simple mode
  * UI: Add fade to black in studio mode
  * rtmp-services: Add Stars.AVN.com streaming service
  * libobs: Add video info to filename formatting
  * UI: Fix desktop entry for GNOME Shell
  * Revert "Rename com.obsproject.Studio.desktop to obs.desktop"
  * UI: Add ability to change projector type
  * UI: Simplify fullscreen toggle code
  * win-wasapi: Log device sample rate when initialized
  * UI: Display Sample Rate with proper formatting
  * libobs-d3d11: Fix null input layout rebuild
  * obs-ffmpeg: use avcodec_find_best_pix_fmt_of_list
  * win-capture: Add additional exe to window capture blacklist
  * obs-ffmpeg: Use vendor and device ID for NVENC blacklist
  * UI: Fix checkable property groups
  * UI: Add stats reset hotkey
  * cmake: Use C++17 for compilation
  * UI: Don't influence headers with using namespace
  * obs-scripting: Quiet CMake SWIG warnings
  * CI: Remove dead PPA to fix Linux build failure
  * libobs: Export obs_group_from_source
  * UI: Add support for Custom Twitch Dashboard Docks
  * CI: Update scripts for reorganized OSX bundle
  * docs/sphinx: Fix various typos
  * libobs-d3d11: Use vendor ID instead of string match
  * libobs: Use proper resource paths when running from an OSX bundle
  * enc-amf: Upgrade to v2.6
  * UI: frontend api "trans. duration changed" event
  * libobs: Strict objc_msgSend support
  * rtmp-stream: Fix comparison between signed and unsigned ints
  * rtmp-services: Add ChathostessModels
  * obs-qsv11: Enable option for Custom Quantization Matrix
  * obs-qsv11: Add platform enums for KBL and ICL
  * libobs: Add gs_begin_frame for duplicators
  * obs-ffmpeg: Use av_opt_set on context instead of priv_data
  * obs-filters: Fix sharpness not being translated
  * UI: Fix issue with preview projector
  * UI: Add ability to rename filters with F2 (Return on Mac)
  * Rename com.obsproject.Studio.desktop to obs.desktop
  * Build: Added BUILD_CAPTIONS to linux build script
  * cmake: Compile option to fix libcaption linking
  * UI: Remove unused code from visibility item widget
  * libobs-d3d11: Add GPU driver version to log
  * UI: Add copy/paste of multiple selected sources
  * linux-capture: Fix bug with xshm input showing multiple 0x0 windows
  * libobs-d3d11: Log monitor names
  * libobs-d3d11: Log display refresh rates
  * obs-scripting: Link _obspython as dynamic_lookup on MacOS
  * obs-scripting: Fix python lib path on MacOS
  * obs-scripting: Fix script plugin destination path on MacOS
  * frontend-tools: output timer tab stop order
  * obs-text: text transform add start case
  * obs-text: text transform add locale
  * cmake: no -Werror-implicit-function-declaration for C++
  * libobs-opengl: Require OpenGL 3.3 instead of 3.2
  * win-capture: Remove support for feature level 9.3
  * libobs-d3d11: Remove "support" for feature level 9.3
  * win-capture: Remove unused variable from D3D12 capture
  * UI: Switch from RGBA to BGRA swap chain format
  * graphics: libobs-d3d11: Use DXGI_SWAP_EFFECT_FLIP_DISCARD on Windows 10
  * libobs-opengl: Support BGRA swap chains on Windows
  * UI: set names on scenes duplicated for Studio Mode
* Tue Dec 17 2019 jimmy@boombatower.com
- Update to version 24.0.6:
  * CI: Fix QtNetwork in Mac packaging script
  * UI: Ensure OBS launches when theme is missing
  * CI: Fix mbedtls id in mac deploy script
  * CI: Fix error deleting QT network framework on OSX
  * libobs: Null check hotkey device on macos
  * rtmp-services: Increase FB max bitrate to 6Mbps
  * CI: Fix up QT network framework on OSX
  * CI: Fix osx executable path in plist
  * CI: Fix framework symlinks when building osx app
  * obs-browser: Disable system flash
  * UI: Fix invalid escape sequences in regex string
* Fri Dec 13 2019 jimmy@boombatower.com
- Update to version 24.0.5:
  * libobs: Update version to 24.0.5
  * CI: Don't run clang format on some submodule plugins
  * Merge pull request #2010 from wanhongqing123/master
  * Merge pull request #2042 from WizardCM/custom-twitch-docks
  * Merge pull request #2183 from ratwithacompiler/macos-python-fix-2
  * Merge pull request #2085 from ratwithacompiler/macos-python-fix
  * Merge pull request #2090 from jpark37/dxgi-refresh-rate
  * Merge pull request #2089 from jpark37/dxgi-driver-version
  * UI: Delete cookies before connecting account
  * UI: Fix bug in untested/unused function code path
  * deps/media-playback: Don't use interrupt cb for local files
  * deps/media-playback: Don't exit thread on AVERROR_EXIT
  * deps/obs-scripting: Fix formatting
  * Merge pull request #2152 from Rosuav/fix-cursor-position
  * UI: Fix Twitch panels not using dark first time
  * Merge pull request #1914 from YouNow/master
  * Merge pull request #2140 from DevWolk/avn-obs
  * Merge pull request #2045 from wolf247/master
  * Merge pull request #2179 from WizardCM/remove-help-interact
  * Merge pull request #2125 from DDRBoxman/appbundle
  * Merge pull request #2168 from kkartaltepe/vaapi-profile-fix
  * Merge pull request #2148 from eulertour/master
  * Merge pull request #2146 from Fenrirthviti/recording-bitrate-fix
  * libobs: Fix race condition
  * Merge pull request #2147 from JohannMG/vscode-ignore
  * Merge pull request #2134 from WizardCM/wasapi-samplerate
  * Merge pull request #2129 from Fenrirthviti/win-blacklist-update
  * Merge pull request #2131 from jpark37/input-layout-error
  * Merge pull request #2128 from Xaymar/return-to-break
  * Merge pull request #2121 from cg2121/fix-warning
  * Merge pull request #2110 from derrod/ffmpeg-output-fix
  * Merge pull request #2106 from cg2121/fix-preview-bug
  * Merge pull request #2126 from Fenrirthviti/linux-ci-fix
  * Merge pull request #2091 from Programatic/xshm_wrong_windows
  * Merge pull request #2120 from jpark37/objc-msgsend
* Tue Oct 15 2019 jimmy@boombatower.com
- Update to version 24.0.3:
  * obs-browser: Remove "monitor by default" flag
  * Revert "libobs/audio-monitoring: Don't init until used"
  * libobs-d3d11: Fix code styling
  * libobs: Update version to 24.0.3
  * libobs-d3d11: Fix calling convention of loaded func
  * obs-browser: Only disable NetworkService on macOS
  * libobs-d3d11: Use unordered_map for duplicator collection
  * win-capture: Fix extra duplicator refs
  * UI: Fix issue where multiview doesn't update
  * libobs: Update version to 24.0.2
  * libobs-d3d11: Don't set GPU priority on Intel adapters
  * libobs/audio-monitoring: Add error logging
  * libobs/audio-monitoring: Don't init until used
  * obs-browser: Use older chromium network implementation
  * libobs-d3d11: Set maximum GPU priority
  * Exclude build dir from clang format
  * UI, libobs: Fix compiler warnings
  * Revert "UI: Remove FFZ from twitch integration"
  * UI: Remove FFZ from twitch integration
  * libobs-d3d11: Disable NV12 format support for WARP
  * obs-ffmpeg: Remove unbuffered mode from media source
  * obs-transitions: Fix stingers sometimes getting cut off
  * obs-browser: Update version to 2.7.12
  * obs-ffmpeg: Fix deadlock with nvenc lookahead
  * UI: Fix path calculation for disk space check
  * obs-ffmpeg: Do not enable hardware decoding by default
* Sun Sep 22 2019 jimmy@boombatower.com
- Update to version 24.0.1:
  * obs-browser: Fix a deadlock
  * libobs: Update version to 24.0.1
  * libobs: Add API to get last OBS version of a source
  * obs-browser: Signal whether audio active/inactive
  * UI: Hide mixer sources if audio deactivated
  * libobs: Add funcs to determine whether audio active
  * obs-browser: Turn rerouting audio off by default
  * UI: Check for null pointer
  * UI: Fix crash closing mixer dock panels
  * win-dshow: Do not allow H264 to have same priority as MJPEG
  * win-dshow: Disable HW decode in DirectShow for now
  * UI: Adjust locale name for zh-TW
* Thu Sep 19 2019 jimmy@boombatower.com
- Update to version 24.0.0:
  * obs-browser: Update translations from crowdin
  * Update translations from Crowdin
  * libobs: Update version to 24.0.0
  * libobs: Check to swap BGRX/BGRA in async filters
  * obs-browser: Map absolute to file URLs
  * UI: Fix extra browser panels always creating on startup
  * obs-browser: Fix panels not remembering last URL set
  * UI: Fix browser docks being unchecked when created
  * win-dshow: Fix color range when using FFmpeg decode
  * Revert "UI: Various screen reader fixes"
  * UI: Fix pause hotkey not working properly
  * obs-browser: Fix portable mode not saving cookies
  * obs-browser: Fix minor bug when using older CEF versions
  * UI: Disable NVENC lookahead if dynamic bitrate on
  * obs-browser: Fix browser panel visibility bug
  * CI: Update CEF on osx to 3770
  * obs-browser: Fix large local media file access
  * Revert "image-source: Set default size of color source to canvas size"
  * obs-browser: Fix build error on macOS
  * obs-browser: Fix browser panel crash
  * UI: Shut down browsers when browser docks hidden
  * UI: Refactor all browser dock classes in to one
  * UI: Various screen reader fixes
  * obs-browser: Allow users to use CEF audio instead of OBS
  * UI/updater: Fix variable type to format specifier
  * graphics-hook: Fix format specifier
  * obs-browser: Do not use WasHidden() for visibility on 3507+
  * obs-browser: Fix browser panel crash
  * libobs: Remove redundant function param and for loop
  * libobs: Make sure to offset unpause audio data
  * libobs: Fix pause cutting out video data prematurely
  * libobs: Fail pause/unpause if still waiting for them
  * libobs: Give a little extra time for pause to start/stop
  * libobs: Fix Area shaders missing for RGB output
  * obs-qsv11: Remove leftover stack variable
  * obs-ffmpeg: Fix video warnings
  * libobs: Fix video warnings
  * CI: Update Windows CEF version
  * libobs: Use correct pointer
  * libobs: Call debug marker after null check, not before
  * libobs: Don't render scene item texture if it's null
  * obs-browser: Do not process Qt events for browser source
  * libobs: Add graphics API to get graphics object pointer
  * deps/media-playback: Remove cuda for hardware decoding
  * deps/media-playback: Fix hw decode dropping last few frames
  * libobs-d3d11: Print feature level as %%x for readability
  * libobs-d3d11: Consistent exception catch parameters
  * rtmp-services: Update GameTips.TV
  * deps/media-playback: Use hwaccel with non-alpha WebM files
  * obs-browser: Ensure FPS always matches OBS
  * obs-browser: Don't signal frame begin if feature disabled
  * obs-browser: Actually fix browsers sometimes not rendering
  * libobs: Fix default mixer values
  * obs-qsv11: Do not enable b-frames on sandy/ivy bridge
  * obs-browser: Fix browser source sometimes not rendering
  * libobs: Insert sources to linked lists after creation
  * libobs: Add missing static to function
  * libobs: Fix null potential pointer dereference
  * libobs: Fix Lanczos calculations
  * libobs: Simplify bicubic weight calculations
  * obs-ffmpeg: Use NV_FAILED() instead of FAILED()
  * obs-ffmpeg: Force I-Frame when reconfiguring jim-nvenc
  * deps/media-playback: Fix memory leak
  * deps/media-playback: Fix hw accel decode crash
  * libobs: add pointer check in reset_raw_output
  * UI: Clarify dynamic bitrate support in tooltip
  * obs-x264: Do not display log messages every update
  * UI: Move "area" scale below bilinear, above bicubic
  * UI: Fix bug where FTL was using AAC instead of opus
  * obs-browser: Fix audio cutting out
  * libobs: Add audio lines
  * UI: Simplify toggle pause code
  * UI: Update tooltip when paused
  * UI: Fix inconsistency with spaces
  * UI: Add dynamic bitrate support to the UI
  * obs-outputs: Add dynamic bitrate to RTMP output
  * libobs: Mark encoders that support dynamic bitrate
  * obs-outputs: Allow changing bitrate test limit on the fly
  * obs-x264: Do not show reconfigure details in log
  * obs-ffmpeg: Allow FFmpeg NVENC to be reconfigured
  * linux-capture: Texture unbound after GS_GL_DUMMYTEX changes
  * Revert "win-capture: Don't leak dynamic library references"
  * libobs-opengl: Fix Clang warnings
  * UI: Redundant/bad casts
  * libobs-opengl: Redundant cast
  * UI: Add box select to preview
  * libobs: Fix browser source settings resetting pre-24
  * cmake: Fix SWIG deprecation warnings
  * UI: Use "-inf" for muted volume level
  * UI: Clarify extra browser dock text
  * libobs-d3d11: Disable NV12 usage for Intel
  * UI: Fix Area sample count text
  * obs-text: Fix formatting
  * libobs: Reset mixers for "monitoring only" sources
  * libobs, obs-scripting, vlc-video: Fix compiler warnings
  * UI: Fix compiler/Acri warnings
  * win-wasapi: Fix typo with description
  * libobs: UI: Add Area scaling for downscale output
  * libobs: Remove unnecessary divides from Lanczos
  * libobs: Fix dark lines using Lanczos
  * UI: Change Connect Account to Recommended
  * libobs: Merge obs_source_process_filter_(tech_)?end functions
  * libobs: Fix apply_settings & remove_by_name for groups
  * UI: Fix look of extra panels trash icon
  * obs-browser: Update to 2.6.1
  * libobs-opengl: Fix gl_error_to_str
  * libobs-opengl: Fix DUMMY textures left bound
  * Revert "libobs-opengl: Add GS_RGBX format"
  * linux-capture: Revert GS_RGBX usage
  * deps/media-playback: Convert YUV alpha formats to RGB on GPU
  * obs-ffmpeg: Add YUV alpha formats for completeness
  * libobs: Add YUV alpha formats
  * deps/media-playback: Add missing header to CMake
  * UI: Rename Mixer to Audio Mixer
  * libobs: Separate textures for YUV input
  * obs-scripting: Use a recursive mutex for Lua scripting
  * UI: Add the ability to create custom browser docks
  * UI: Add LineEditChanged and LineEditCanceled
  * obs-browser: Fix a few panel issues
  * libobs: Fix stale format in async frame cache
  * UI: Fix pause button checked color with Rachni theme
  * obs-scripting: Add pause scene script
  * UI: Remove Twitch from MultichannelWarning message
  * libobs: Add missing pixel format to format_is_yuv and get_video_format_name
  * win-dshow: Use unbuffered by default for MJPEG
  * win-dshow: Clarify function name/purpose
  * libobs, obs-ffmpeg, win-dshow: Fix FFmpeg 4.0 deprecation
  * win-dshow, obs-ffmpeg: Add hardware decoding support
  * libobs: Add GPU timestamp query support
  * UI: Partially revert PR #1979
  * UI: Fix Lanczos label with correct sample count
  * libobs: Separate textures for YUV output, fix chroma
  * CI: Only download Qt if it doesn't exist already
  * libobs: Optimize lanczos shader, remove scaling
  * obs-browser: Update to 2.5.0 (audio capture support)
  * libobs: Add "monitoring by default" source cap
  * libobs: Optimize bicubic shader
  * libobs: Default sampler sometimes unset for GL
  * libobs: Fix benign typo
  * win-dshow: Use FFmpeg for MJPEG decompression
  * libobs: obs-ffmpeg: win-dshow: Planar 4:2:2 video
  * UI: Pass QColor as reference
  * win-capture: Don't leak dynamic library references
  * libobs: Don't leak dynamic library references
  * libobs: Return NULL if there is no get_properties callback
  * win-wasapi: Catch by reference
  * UI: Catch by reference
  * libobs-d3d11: Catch be reference
  * libobs: Supress clang-tidy warning clang-tidy-cert-flp30-c
  * UI: Stop recording when disk space is low
  * libobs-opengl: Remove unused VERTEXID code
  * libobs-opengl: Support gl_FragCoord and cull unused interpolants
  * libobs-opengl: Fix GS_R8G8 values
  * UI: Add links for Facebook stream key
  * obs-transitions: Fix suffix with stinger transition
  * UI: Add ability to disable hotkeys when not in focus
  * UI: Fix param logic of ResetHotkeyState calls
  * libobs: Rework RGB to YUV conversion
  * libobs: Remove YUV transformation on CPU
  * UI: Fix hotkeys working even when disabled in focus
  * UI: Add option to warn on stop recording
  * UI: Improve look of adv audio control dialog
  * UI: Add Restream.io link to stream key page
  * UI: Add Restream.io bandwidth test stream key param
  * UI: Add channels widget to Restream.io integration
  * UI: Declare missing overrides
  * cmake: Fix typo
  * obs-text: Use array type for unique_ptr uint8_t[]
  * rtmp-services: Remove redundant null checks
  * libobs: Improve timing of unbuffered deinterlacing
  * win-dshow: Update libdshowcapture to 0.6.1
  * UI: Display infinity symbol when volume is at 0 percent
  * rtmp-services: Add Stripchat streaming service
  * obs-qsv: Enable high profile for QSV H.264
  * obs-qsv: Remove check for AsyncDepth in InitParams
  * libobs: UI: Remove DrawBackdrop() to save fullscreen pass
  * UI: Set default maximum name length to 170 characters
  * frontend-tools: Make start/stop buttons checkable
  * UI, obs-plugins: Add spinbox suffixes where necessary
  * libobs: obs-filters: Area upscale shader
  * file-updater: Use transparent HTTP compression
  * frontend-tools: Add option to pause output timer when rec is paused
  * obs-qsv: Enable LA_CBR as QSV rate control
  * libobs-opengl: Fix glGetError() infinite loop
  * UI: Simplify resize output code
  * obs-browser: Fix CEF 75.0.13 support
  * libobs: Fix formatting
  * UI: Add enable preview button
  * rtmp-services: Add Steam
  * obs-qsv: Enable Content Adaptive Quantization
  * obs-qsv: Enable B-frames and B-pyramid for encoder
  * CI: Run clang format on linux and osx CI and fail if changes are made
  * libobs: Call both get_defaults and get_defaults2
  * UI: Fix toggled signal of property groups
  * libobs: Fix formatting
  * obs-qsv: Add newer platforms to CPU enum
  * UI: Make Dark theme group box title bold
  * linux-v4l2: Add "Default" color range setting
  * win-dshow: Add "Default" color range setting
  * UI: Change default recording format to MKV
  * Apply clang-format to objective c code
  * obs-ffmpeg: Separate logging code
  * libobs: Clear module variable in case module reloaded
  * linux-capture: Fix xcompcap robustness
  * libobs-opengl: Fix GS_GL_DUMMY textures creation
  * libobs-opengl: Add GS_RGBX format
  * libobs-opengl: Add error enum to string function
  * UI: Add pause support
  * obs-ffmpeg: Add support for pausing
  * libobs: Implement pausing of outputs
  * obs-ffmpeg: Remove unnecessary function
  * libobs: Correct raw output starting audio data
  * libobs: Add obs_get_frame_interval_ns
  * UI: Don't display MP4/MOV warning if lossless
  * obs-ffmpeg: Check for replay buffer button press
  * UI: Make adv. streaming audio encoder independent
  * libobs: Buffer-smoothing enhancements
  * win-dshow: Decouple audio from video
  * rtmp-services: Update and prune services
  * libobs-d3d11: Set texture using initializer list
  * obs-outputs: Minor pointer fixes
  * UI: Avoid ternary operator for mixed types
  * libobs: Fix format selection
  * libobs-d3d11: Unnecessary type conversions
  * .git-blame-ignore-revs: Add file to handle mass reformatting
  * clang-format: Remove redundant params
  * rtmp-services: Update ingest list for Restream.io
  * obs-text: fix text transform on updated file
  * libobs-opengl: Empty VAO
  * libobs-d3d11: Fix missing vertex buffer clear in NV12 check
  * obs-ffmpeg: Move external headers to external dir
  * clang-format: Apply formatting
  * clang-format: Add clang-format files
  * cmake: Install 'libobs.pc' under the correct 'libdir'
  * libobs: Full-screen triangle format conversions
  * UI: Use stream track if no tracks are selected
  * Revert "UI: Use theme colors setting for Projectors too"
  * libobs, UI: Implement item_locked event
  * libobs-d3d11: Clean up device_projection_pop
  * libobs: Area-resampling shader optimizations
  * libobs: linux-v412: obs-ffmpeg: Add packed BGR3 video support
  * libobs: Remove unnecessary frame pipelining
  * libobs: Improve low-resolution bilinear sampling
- Upstream moved pkgconfig/libobs.pc to libdir for x86_64.
* Mon Jun 17 2019 jimmy@boombatower.com
- Update to version 23.2.1:
  * libobs: Update version to 23.2.1
  * obs-frontend-api: Add func to add custom docks
  * libobs: Disable blending when converting sources
  * UI: Fix editor inheriting source list stylesheet
  * UI: Fix bug with custom source list item color
  * UI: Fix tray icon showing up on startup even if off
  * libobs: Fix null pointer dereference
* Thu Jun 13 2019 Jimmy Berry <jimmy@boombatower.com>
- Update %%post script for new desktop file name.
- Include appdata in files list.
- Include obs-ffmpeg-mux in files list.
* Thu Jun 13 2019 jimmy@boombatower.com
- Update to version 23.2.0:
  * libobs: Update version to 23.2.0
  * Update translations from Crowdin
  * UI: Make two-auth message a bit friendlier
  * UI: Use better link for Twitch two-factor warning
  * win-capture: Add discord to game capture blacklist
  * UI: Fix transition A/B labels on macOS/Linux
  * UI: Add two-factor authentication warning for Twitch
  * UI: Add ability to use rich text in warning dialogs
  * UI: Fix output icon size. Add padding to settings list items
  * UI/updater: Update some text for clarity
  * UI/updater: Add marquee progress bar for existing file check
  * UI/updater: Add manifest file for DPI awareness
  * UI: Revert Dark theme Scenes font change
  * CI: Fix travis test on OSX
  * CI: Build CEF with OS X 10.11 target
  * UI: Ensure frontend event is removed on object deletion
  * win-wasapi: Speaker enum fixes
  * UI: Fix "Toggle Preview" hotkeys duplicating
  * GitHub: Add funding buttons
  * libobs-d3d11: Bad indices in log output
  * libobs: Pair encoders only when output actually starts
  * UI: Fix issue where rec time left would show negative time
  * libobs: Remove unreachable YUV decode paths
  * obs-filters: Remove unused key_rgb shader variable
  * obs-filters: Remove unused variable for color key
  * libobs: Remove saturate from RGB -> YUV conversion
  * UI: Remove unused helper function renderVB
  * obs-browser: Close browser panels early
  * UI: Remove 5 file limit for drag & drop
  * libobs: Fix lockup when an encode call fails
  * UI: Dark theme consistency for Scenes vs Sources
  * UI: Remove unused hotkey qss items
  * UI: Fix theme issues with hotkey icons
  * UI: Add hover color to hotkey icons
  * UI: Add Transition Previews
  * libobs: Add transition and showing counter functions
  * README.rst: Add contributing/donating link
  * obs-ffmpeg: Fix VAAPI CBR
  * libobs: UI: Remove Qt usage from graphics thread
  * obs-outputs: Fix undefined MSG_NOSIGNAL
  * libobs: Restore casts to fix Clang warnings
  * obs-qsv: Update libmfx, fix QSV with new DCH drivers
  * UI: Block SIGPIPE in all threads
  * obs-outputs: Return error instead emitting SIGPIPE
  * obs-frontend-api: Add func to trigger a Studio Mode transition
  * obs-frontend-api: Add methods to get/set transition duration
  * libobs: Fix various alpha issues
  * UI: Change fader type to log
  * UI: Make volume faders more precise
  * UI: Change volume to dB in adv audio properties
  * UI: Use escaped html for about dialog
  * UI: Add Patreon contributors to About dialog
  * win-dshow: fix issue decoding some H.264 stream
  * UI: Fix system tray not working
  * UI: Hide Alpha channel field from the color picker
  * UI: fix crash due to NULL dereference
  * rtmp-services: Update GameTips.tv
  * libobs: Fix crashes from wrong types
  * CI: Use swig 3.0.12 on OSX
  * UI: Fix theme showing incorrect theme when on Dark
  * CI: Use swig 3.04 on OSX
  * obs-ffmpeg: Fix jim-nvenc initial DTS for fractional FPS
  * UI: Add ability to set properties spinbox suffix
  * libobs: Add ability to set spinbox property suffix
  * UI: Use icons for hotkey buttons
  * UI: Truncate text in hotkeys interface
  * UI: Remove icons from settings button box
  * UI: Improve look of Dark theme
  * UI: Remove settings horizontal lines
  * UI: Remove mac browser workarounds, improve stability
  * UI: Only execute "What's New" code on win32
  * UI: Check for valid systen tray pointer
  * UI: Increment bitrates by 50
  * libobs: Use RTLD_FIRST when loading libraries on macOS
  * UI: Fix theme issues with vis/lock checkboxes
  * obs-ffmpeg: Move ffmpeg-mux to executable dir
  * libobs/util: Add function to get executable path
  * obs-filters: Use int sliders for opacity
  * obs-filters: Fix opacity on image mask/blend filter
  * libobs: Support limited color range for RGB/Y800 sources
  * decklink, win-dshow: Use obs_source_output_video2
  * libobs: Add better default source color range handling
  * Revert "libobs: libobs-d3d11: obs-filters: No excess alpha"
  * UI: Fix theme bug when updating from older versions
  * UI: Add ability to copy/paste scene filters
  * UI: Fix unable to escape when renaming scene
  * UI: Fix group checkbox icons not working in Dark theme
  * UI: Simplify locked/visibility checkboxes
  * UI: Change icons to svg
  * UI: Fix preview/program label alignment
  * libobs: Fix GS_UNSIGNED_LONG definition
  * obs-outputs: Fix leak with certs for rtmp
  * UI: Rename UI files for consistency
  * UI: Fix whitespace issues with "ignore wheel" widgets
  * UI: Do not remove focus on mouse leave events
  * win-wasapi: Unapply/reapply audio monitoring on reconnect
  * win-wasapi: Fix audio capture after unplugging device
  * win-wasapi: Call CoInitializeEx in reconnect thread
  * decklink-output-ui: Fix memory leak
  * rtmp-services: Update Mixer keyframe interval
  * UI: Do not allow mouse wheel for volume slider
  * libobs: UI: Fix rotated line scale
  * obs-ffmpeg: Add logging of last error for passing to UI
  * libobs: Allow Win32 pipes to pass STDERR for logging of errors
  * UI: Update error message severity levels and show additional info
  * UI: Add warning / critical QMessageBox wrappers
  * Use proper capitalization for string
  * UI: Add support for property groups
  * libobs: Add property groups
  * Decklink: inital preview out work
  * UI: Use theme colors setting for Projectors too
  * UI: Correct custom property implementation
  * vlc-video: Enable subtitle track selection
  * UI: Add default color for the preview background
  * UI: Fix Linux build without PulseAudio
  * UI: Estimate recording time left until disk is full
  * libobs: Fix shader for GLSL
  * UI: Add Linux AppStream metadata
  * UI: Add hotkey to toggle preview
  * win-capture/graphics-hook: Check if mutex abandoned
  * UI: Remove SourceListWidget
  * UI: Ignore wheelEvent for properties
  * rtmp-services: Add OnlyFans streaming service
  * CONTRIBUTING.rst: Improve commit guidelines
  * UI: Fix remux dialog ignoring filename changes
  * UI: Separate delegate class into header file
  * UI: Show a message in the empty source list
  * deps/media-playback: YUV444P support
  * libobs: Simplify YUV conversion
  * UI: Add null check for rename of default theme
  * UI: Don't hide cursor over multiview
  * UI: Add ability to center items vertically/horizontally
  * UI: Rename Default theme to System
  * libobs: Add additional effect debugging information
  * Remove double spaces from localization
  * UI: Fix size of output icon
  * vlc-video: Enable audio track selection
  * UI: Add text autoselect for source rename
  * UI: Add text autoselect on scene rename
  * libobs: UI: Use graphics debug markers
  * libobs/graphics: Support debug markers
  * libobs: Fix move assignment operator for ComPtr
  * libobs: libobs-d3d11: obs-filters: No excess alpha
  * UI: Don't update stats dock if hidden
  * UI: Fix bandwidth test flag being saved to stream key
  * cmake: Generate obs.rc out-of-tree
  * libobs: Add function to remove properties
  * linux-capture: Add randr support
  * obs-frontend-api: Access system tray icon from API
  * UI: Fix incorrect padding usage in Rachni theme
  * UI: Show correct version in about dialog
  * UI: Log group items on startup
  * UI, libobs, text-freetype2: Add missing pragma once in header files
  * libobs: Add support for F25-F35 hotkeys on Linux
  * UI: Hide border for Output Settings container
  * UI: Hide border for General Settings container
  * UI: Refactor Audio Settings tab structure
  * plugins: Clear all compiler warnings
  * libobs: Clear all compiler warnings
  * UI: Fix Q_PROPERTY compiling warnings
  * libobs-opengl: Clear some conversion and uncaught switch cases warnings
  * image-source: Set default size of color source to canvas size
  * CI: Build caption output support on OSX by default
  * deps/obs-scripting: Expose obs_output_output_caption_text1 to scripts
  * Improve locales
  * obs-filters: Add luma key filter
  * libobs: Add minimum display duration to caption data
  * UI: Show output's last error in failure dialog
  * libobs: Initialize service before starting output
  * UI: Fix unencoded stream failure
  * obs-ffmpeg: Bind network buffer size in the UI
* Sat Apr  6 2019 Jimmy Berry <jimmy@boombatower.com>
- Add libqt5-qtsvg-devel as a build dependency.
* Sat Apr  6 2019 jimmy@boombatower.com
- Update to version 23.1.0:
  * obs-ffmpeg: Remove "A" variants from NVENC blacklist
  * libobs: Fix and simplify Area scale filter
  * Update translations from Crowdin
  * libobs: Update version to 23.1.0
  * UI: Do not show [x] (close) for primary dock widgets
  * UI: Fix file browser showing up when dir selected
  * UI: Fix issue where space/esc hotkeys would be blank
  * UI: Fix crash when using ctrl-c in Linux terminal
  * UI: Allow smaller Restream docks
  * libobs, image-source: Fix ABI break in image_file_t structure
  * UI: Fix act. feed version hide check to <= 23.0.2
  * libobs: Change internal version to 23.0.3 (temporarily)
  * obs-ffmpeg: Show encoder name when logging jim-nvenc
  * UI: Hide act. feed by default if prev ver below 23.1
  * UI: Remove help icon from source select dialog
  * UI: Don't open settings or close in event subloop
  * libobs: Update version to 23.1.0
  * CI: Add Restream secrets for AppVeyor
  * obs-ffmpeg: Fix blacklisted adapter check
  * UI: Add Restream integration
  * win-dshow: Update libdshowcapture for crash fix
  * libobs: Remove dead code in sharpness effect
  * obs-filters: Remove unused function in shader
  * libobs: Fix Area scale filter for GLSL
  * CI: Don't build service integration in PRs&Forks
  * CI: Build service integration on Azure Pipelines
  * obs-browser: Make DispatchJSEvent asynchronous
  * libobs: Fix ABI break
  * UI: Remove and ignore obs.rc
  * libobs-opengl: Fix bad log string
  * libobs: Fix output type specifiers
  * libobs: Fix invalid max_anisotropy value
  * UI: Use icons from theme on Linux
  * Revert "UI: Add obs.rc to .gitignore"
  * libobs: Fix obs_property_float_set_limits
  * image-source: Re-add fix of repeating images
  * UI: Remove Area downscale filter option
  * UI: Add obs.rc to .gitignore
  * Revert "obs-ffmpeg: Add option to use b-frames as reference"
  * libobs: Fix effect parsing log specifiers
  * rtmp-services: Add GameTips.tv
  * obs-ffmpeg: Use correct calling convention on CreateDXGIFactory1
  * image-source: Add memory usage limit to slideshow
  * libobs/graphics: Add memory usage member to image file
  * libobs: Add function to get libobs object data
  * image-source: Revert slideshow dynamic loading
  * libobs: Fix frame not being cleared
  * CI: Build for Linux on Azure Pipelines
  * CI: Build on Ubuntu Xenial for Travis CI
  * Adjust locales for better consistency
  * libobs-d3d11: Log errors from HasBadNV12Output just in case
  * libobs-d3d11: Improve NV12 validity check for AMD
  * CI: Always send travis webhook and remove IRC sections
  * obs-ffmpeg: Change clear on media end wording for media source
  * cmake: Fix Qt DLL filenames for debug builds
  * UI: Add confirmation dialog for bandwidth test mode
  * UI: Add PAL 25 & 50 FPS as common FPS values
  * UI: Fix yes/no not using localization in no source dialog
  * UI: Change HDD to Disk in locale
  * UI: Add checkbox for Twitch bandwidth test mode
  * CI: Build 32/64 bit Windows parallel on Azure
  * CI: Build for windows on Azure Pipelines
  * obs-text, win-capture: Do not use premultiplied alpha
  * Add "Area" scale filter
  * UI: Fix "What's New" showing again each patch version
  * UI: If from 23.0.1 or 23.0.0, hide activity feed
  * UI: Add Twitch Activity Feed
  * libobs: Remove unnecessary count check
  * libobs: Fix code styling
  * libobs: Fix first frame when output restarted
  * UI: Redo settings icons
  * CI: Fix building on trusty
  * UI: Add (Do not show again) checkbox to dock closing warning
  * Revert "Merge pull request #1418 from cabirdme/qsv_feature_add"
  * Revert "obs-qsv: Enable b-pyramid & change packet priority"
  * UI: Warn when closing dock widgets for first time
  * UI: Add way to exec std::function via invokeMethod
  * obs-ffmpeg: Check avformat context before use
  * obs-ffmpeg: Fix crash on failed audio codec init (for real)
  * UI: Always set first scene collection/profiles
  * obs-ffmpeg: Fix crash on failed audio codec init
  * libobs-d3d11: Check for bad NV12 output on all devices
  * libobs-d3d11: Perform actual test for NV12 driver bug
  * libobs-d3d11: Remove NV12 blacklist
  * libobs: Always query shared texture handle for encoding
  * UI: Add preview/program labels in studio mode
  * decklink: Fix locale (missing word)
  * decklink: Allow selecting input connections.
  * decklink: Fix FC<->LFE channel swap for some devices
  * obs-text: Add text transform property
  * win-dshow: Fix "Highest FPS" algorithm
  * libobs-d3d11: Reset handle and re-lock if texture rebuilt
  * libobs-d3d11: Use discrete function to get shared handle
  * libobs-d3d11: Set acquired bool when texture acquired
  * obs-ffmpeg: Always output SEI
  * obs-ffmpeg: Fix SEI data output
  * frontend-tools: Fix memory leak when reloading scripts
  * UI: Show video container warning when selecting MOV
  * UI: Update tab stop order in Settings
  * libobs: Tell filters that we want to load
  * CI: macOS builds on Azure Pipelines
  * obs-qsv11: Fix crash on destructor after init failure
  * obs-qsv11: Don't try to free non allocated array on destruction
  * cmake: Fix pkg-config handling of libvlc
  * obs-ffmpeg: Fix NVENC blacklisted card check
  * decklink: Update SDK to 10.11.4
  * UI: Add ability to copy & paste filters from the mixer
  * UI: Fix locale for 'disabled' devices in audio settings
  * rtmp-services: Added GamePlank to services
  * image-source: Fix repeating of images with slideshow source
  * libobs-opengl: Log shader compiler errors
  * libobs/media-io: Fix mono upmix
  * UI: Reset replay buffer button on "stop" signal
  * obs-ffmpeg: Add option to use b-frames as reference
  * obs-filters/expander: Various improvements
  * linux-v4l2: Add setting to change color range
  * UI: Automatically generate Windows file description
* Fri Mar  8 2019 jimmy@boombatower.com
- Update to version 23.0.2:
  * UI: Fix "What's New" showing again each patch version
  * libobs: Fix code styling
  * libobs: Fix first frame when output restarted
  * CI: Fix building on trusty
  * UI: Add (Do not show again) checkbox to dock closing warning
  * Revert "Merge pull request #1418 from cabirdme/qsv_feature_add"
  * Revert "obs-qsv: Enable b-pyramid & change packet priority"
  * UI: Warn when closing dock widgets for first time
  * UI: Add way to exec std::function via invokeMethod
  * obs-ffmpeg: Check avformat context before use
  * obs-ffmpeg: Fix crash on failed audio codec init (for real)
  * UI: Always set first scene collection/profiles
  * obs-ffmpeg: Fix crash on failed audio codec init
  * libobs-d3d11: Check for bad NV12 output on all devices
  * libobs-d3d11: Perform actual test for NV12 driver bug
  * libobs-d3d11: Remove NV12 blacklist
  * libobs: Always query shared texture handle for encoding
  * UI: Reset replay buffer button on "stop" signal
  * libobs-d3d11: Reset handle and re-lock if texture rebuilt
  * libobs-d3d11: Use discrete function to get shared handle
  * libobs-d3d11: Set acquired bool when texture acquired
  * obs-ffmpeg: Always output SEI
  * obs-ffmpeg: Fix SEI data output
  * frontend-tools: Fix memory leak when reloading scripts
  * UI: Update tab stop order in Settings
  * CI: macOS builds on Azure Pipelines
  * obs-qsv11: Fix crash on destructor after init failure
  * obs-qsv11: Don't try to free non allocated array on destruction
  * obs-ffmpeg: Fix NVENC blacklisted card check
* Wed Feb 27 2019 jimmy@boombatower.com
- Update to version 23.0.1:
  * obs-browser: Fix widgets being initially blank on high-DPI
  * libobs: Update version to 23.0.1
  * libobs-d3d11: Disable NV12 textures if NVENC unavailable
  * UI: Don't show "What's New" for new users
  * UI: Don't delete auto-remux file (just in case)
  * libobs-d3d11: Blacklist certain adapters from NV12
  * UI: Do not allow post-GPU rescaling on gpu encoders
  * libobs: Add func to get encoder caps by encoder pointer
  * obs-ffmpeg: Fix bitrate being set on NVENC CQP/lossless
  * UI: Fix Mixer allowing endless login retries
  * UI: Make workaround for Logitech plugin hard lock
  * UI: Check CEF available when loading auth
  * libobs-d3d11: Improve check for NV12 texture support
* Tue Feb 26 2019 Jimmy Berry <jimmy@boombatower.com>
- Include pkg-config (.pc) file in devel subpackage.
* Mon Feb 25 2019 jimmy@boombatower.com
- Update to version 23.0.0:
  * UI: Rename a bunch of bad file names
  * image-source: Change max loaded slideshow images to 21
  * enc-amf: Update translations
  * obs-ffmpeg: Add more blacklisted NVENC adapters
  * Update translations from Crowdin
  * UI: Fix replay buffer checked state when no hotkey is set
  * UI: Refine strings for About dialog
  * Update translations from Crowdin
  * UI: Force Twitch moderation tools to system browser
  * UI: Fix wrong filename building for Remux dialog
  * obs-ffmpeg: Free NVENC textures after sending EOS
  * libobs: Update version to 23.0.0
  * obs-browser, obs-vst: Update translations
  * UI: If auth startup failed, keep connected in settings
  * UI: If Twitch account disconnected, retry login
  * UI: If Mixer account disconnected, retry login
  * UI: Fix scene list text edit sizing on dark theme
  * UI: Actually fix non-windows compilation
  * UI: Fix non-windows compilation
  * UI: Do not display threaded message boxes on startup
  * UI: Defer autoconfig to message queue
  * obs-text: Use custom draw flag
  * Update translations from Crowdin
  * UI: Set replay buffer check w/ --startreplaybuffer
  * UI: Fix disabling "resize output to source"
  * UI: Make sure user can still stream if auth fails
  * UI: Do not auto-remux if using FFmpeg output
  * UI: Use QFileInfo for remux
  * UI: Clean up code styling of ternary operator usage
  * UI: Allocate space for null terminator
  * image-source: Actually defer slideshow, not image source
  * obs-frontend-api: Make a few frontend API thread-safe
  * UI: Fix profile duplicates using wrong cookies
  * libobs: Fix missing mutex unlock from 26dbe54
  * libobs: Check fwrite return value for extra safety
  * libobs-d3d11: Fix rebuild of NV12 textures
  * libobs-d3d11: Actually use paired NV12 member variable
  * libobs-d3d11: Don't inline rebuild funcs
  * UI: Fix inconsistent use of ellipsis
  * obs-ffmpeg: Fix constant QP mode in new NVENC
  * UI: Set preferHardware only when hw encoder is avail.
  * UI: Hide instead of disable rescale
  * obs-ffmpeg: Update advice for CFA
  * vlc-video: Fix a video format not playing back correctly
  * UI: Add back auth for custom RTMP servers
  * obs-ffmpeg: Add more blacklisted non-NVENC adapters
  * UI: Disable stream settings if streaming
  * UI: Suggest hw encoding by default depending on hw
  * obs-browser: Update default URL
  * UI: Remove unused help icon
  * frontend-tools: Remove unused help icon
  * UI: Remove unused "Beta" texts
  * obs-browser: Don't use UNUSED_PARAMETER in app class
  * UI: Delete cookies on profile removal
  * obs-ffmpeg: Enable NVENC psycho_aq by default for now
  * obs-browser: Have child processes detect crashes
  * UI: Wait for browser init before "what's new" dialog
  * UI: Clear key in autoconfig when service disconnected
  * UI: Estimate better resolution if using NVENC
  * obs-outputs: Increase GetAdaptersAddresses buffer size
  * decklink-output-ui: Add note about keyer output
  * libobs: Fix indent
  * libobs: Fix race conditions
  * libobs: Fix potential race condition on shutdown
  * UI: Add default preset for NVENC in simple output
  * decklink-ouput-ui: Remove unused help icon
  * frontend-tools: Remove unused help icons
  * UI: Remove additional unused help icons
  * win-capture: Don't try to find window every frame
  * obs-ffmpeg: Mark unused parameter
  * decklink-output-ui: Fix memory leak in save settings
  * obs-ffmpeg: Don't expose new settings to old NVENC (yet)
  * UI: Don't enable rescale if on "Use stream encoder"
  * UI: Fix encoder preset locale text
  * UI: Fix potential race condition for hover items
  * UI: Add OBSBasicPreview::Get helper func
  * obs-ffmpeg: Fix crash when audio not configured
  * UI: Add missing text string for Remux dialog
  * UI: Allow compressed responses in RemoteTextThread
  * image-source: Defer update of slideshow source
  * Revert "UI: Use Twitch dashboard chat popout"
  * UI: Use Twitch dashboard chat popout
  * UI: Remove help icon from auth/what's new titlebars
  * libobs: Fix crash starting raw encoder before gpu encoder
  * UI: Add minimum size of OAuth login dialog
  * UI: Fix autoconfig authentication not working
  * libobs: Fix texture-based encoder decklock
  * UI: Increase Twitch "Stream Stats" height by 50
  * UI: Allow animated BTTV emojis
  * decklink-output-ui: Fix memory leak
  * UI: Enter graphics context before destroying texture
  * libobs: Make sure to destroy effect
  * UI: Make "What's New" dialog modeless
  * obs-ffmpeg: Add a few line breaks for new tooltips
  * UI: Check that CEF loaded before loading integrations
  * obs-ffmpeg: Use CQP in jim-nvenc properties text
  * UI: Fix being unable to drag/drop source list items
  * UI: Fix issue with Mixer
  * UI: Do one time reset of dock lock state for v23
  * obs-ffmpeg: Add tooltips for new NVENC settings
  * UI: Start projector user-facing monitor count at 1
  * UI: Adjust Acri and Rachni themes
  * CI: Build service-integration on Windows
  * image-source: Increase slideshow max loaded to 15
  * obs-ffmpeg: Disable psycho_aq by default (for now)
  * UI: Fix twitch stream stat window not centering
  * UI: Add bttv emote button to Twitch chat window
  * UI: Change preview handles/outline and add hover
  * UI: Add scene item canvas overflow to preview
  * obs-ffmpeg: Do not allow new NVENC on gpu idx > 0
  * enc-amf: Update plugin to Version 2.5.1
  * UI: Use new NVENC by default in simple output mode
  * obs-ffmpeg: Add texture-based NVENC encoder implementation
  * obs-ffmpeg: Update NVENC properties and property defaults
  * obs-ffmpeg: Update display name of FFmpeg NVENC encoder
  * obs-ffmpeg: Update nvEncodeAPI.h to latest version
  * UI: If hardware encoder selected, disable post rescale
  * UI: Use hardware encoding by default if available
  * libobs: Add texture-based encoding support
  * libobs: Split do_encode in to two funcs
  * libobs/media-io: Add frame funcs for separate GPU thread
  * obs-ffmpeg: Implement NVENC video card blacklist
  * libobs/util: Fix bug with get_winver
  * libobs/util: Fix bug with circlebuf_data
  * libobs: Add ability to reroute encoders
  * libobs/util: Add get_win_ver_int() func (windows)
  * libobs: Use NV12 textures when available
  * libobs: Add obs_video_active() function
  * libobs/graphics: Add NV12 texture support
  * libobs/graphics: Add texture sharing functions
  * UI: Fix potential race condition
  * UI: Add Twitch integration
  * UI: Add Mixer integration
  * UI: Add auth. support to settings/autoconfig
  * UI: Add obfuscation func
  * UI: Add Auth and OAuth classes
  * UI: Add func to load browser/cookies, but show dialog
  * UI: Add per-profile browser panel cookie management
  * UI: Switch to new browser panel code
  * UI: Improve/refactor autoconfig/settings service UI
  * UI: Add function for adding extra docks to main window
  * UI: Make assignDockToggle an actual function
  * UI: Add function to get main window more easily
  * UI: Add functions for executing funcs without blocking
  * UI: Add CreateQThread helper function
  * UI: Unlock UI by default
  * UI: Add alternate constructor for RemoteTextThread
  * UI: Add timeout parameter to RemoteTextThread
  * UI: Only def. BROWSER_AVAILABLE for WIN32 (for now)
  * UI: Remove "service type" from auto-config stream page
  * obs-filters: Fix unused parameter warnings
  * obs-vst: Fix resizing on windows (submodule update)
  * UI: Enable high DPI scaling, for Qt >= 5.11
  * UI: Use Next button for GPL license page in windows installer
  * win-capture: Add a few more blacklisted capture exes
  * win-capture: Do not capture "explorer.exe" with null titles
  * libobs: Fix scanf type specifiers
  * frontend-tools: Call modified prop callbacks on script load/reload
  * CI: Use modified macOS QT installer
  * win-capture: Start user-facing monitor count at 1
  * UI: add a default black background to the PGM output of the multiview
  * rtmp-services: Remove LiveEdu from services
  * decklink: Remove redundant const qualifiers
  * UI: Clear out previous projectors when loading saved projectors
  * rtmp-services: Update Twitch and Smashcast ingests
  * obs-filters: Add downward expander filter
  * UI: Fix audio recording for lossless simple (#1616)
  * cmake: Use multiprocessor compilation on Windows (#1605)
  * rtmp-services: restore STAGE TEN (now using rtmps)
  * Use Premultiplied Alpha for Text and Game Capture (#1578)
  * rtmp-services: updating castr.io ingests
  * Add Bangalore, India server to Restream
  * rtmp-services: Add Camplace.com RTMP Services (#1631)
  * UI: Fix a series of mem leaks (#1614)
  * syphon: Remove references to game capture
  * obs-ffmpeg: Show additional details in failed to write error
  * win-capture: Disable cached offsets writing
  * win-capture: Improve reading from get-graphics-offsets
  * obs-qsv: Enable b-pyramid & change packet priority
  * README.rst: Clarify that project is GPL2+
  * Add GPL Cooperation Commitment to base directory
  * UI: Fix accessibility/narration text on sources list
  * UI: Add support for Restream "Auto" server in auto-config
  * decklink: Initialize member variables
  * UI: Fix infinitely incrementing showing ref
  * UI: Set minimum negative sync offset to -950
  * libobs, UI: Do not log redundant warnings
  * UI: Add date/time to log file
  * Authors: Update Contributors list
  * UI: Fix Defaults button not triggering UI update
  * rtmp-services: Update service json format version
  * Decklink: only use RGBA when using keyer
  * obs-qsv11: Log errors on init
  * Decklink: Keyer support
  * libobs: Add get_defaults2 and get_properties2 for encoders
  * rtmp-services: Update Chaturbate POPs
  * libobs: Allow const argument in obs_set_cmdline_args
  * Add Discord badge to README
  * libobs: Fix circlebuf_pop_back returning front
  * libobs: Fix Windows Game Mode detection on newer Windows 10 versions
  * UI: Save scene collection before export
  * UI: Support fractional scaling
  * UI: Revert default tab in Settings > Output: Advanced to Stream tab
  * Add support for building on PPC64LE using x86 Intrinsic Compat Shim
  * libobs: Fix utf-8 bom is not properly skipped
  * UI: Show "OBS Studio" in linux desktop link
  * UI: Fix display of mono source with surround output
  * CONTRIBUTING.rst: Add Discord server and dev chat
  * rtmp-services: Remove dead servers/services
  * linux-v4l2: Make V4L device names unique
  * UI: Add French to UI/dist/obs.desktop
  * win-mf: Initialize member variable
  * rtmp-services: Added Bongacams ingest point
  * UI: Add /LARGEADDRESSAWARE for MSVC x86 executable
  * libobs: Fix crash when pixel or vertex shader are missing
  * libobs: Log audio source when buffering is added
  * libobs: Fix starting timestamp for preloaded frames
  * rtmp-services: Add Restream FTL ingests
  * obs-output: Update ftl-sdk version
  * rtmp-services: Allow seamless service renaming
  * rtmp-services: Add Lightcast.com
  * rtmp-services: Add Linkstream
  * libobs/util: Make default val INVALID_HANDLE_VALUE
  * libobs: Background color of 0 should not be gray
  * CI: Use proper VLC release tarball
  * CI: Use VLC 3.0.4 instead of master for macOS
  * obs-libfdk: Compatibility fix for new API
  * obs-filters: Add limiter filter
  * libobs: memset() the correct buff size
  * libobs: Do not process panning if panning centered
  * decklink: Add declaration file for integer types
  * libobs: Fix audio offset not reset for all tracks
  * CI: Update Qt path on Windows
  * UI: Fix batch remux compiler warning
  * Add AppVeyor CI status badge to README
  * Add Travis CI status badge to README
  * UI: Remove scrollbar line controls for Dark theme
  * Decklink: add UI to control output
  * UI: Fix bug when loading saved projectors
  * UI: Emit STREAMING_STOPPING event immediately
  * linux-capture: XCompCap now chooses glXFBConfigs based on window depth
  * decklink: Initialize member variable
  * UI: Add multi-track FFmpeg output support
  * obs-ffmpeg: Enable multiple audio tracks for FFmpeg output
  * libobs: Add multi-track support to non-encoded outputs
  * UI: Don't transition if already transitioning (studio mode)
  * libobs: Add obs_enum_scenes for enumerating scenes
  * libobs-d3d11: Use mip levels are used in resource view
  * libobs-opengl: Add int2-4 support
  * enc-amf: Update to 2.5.0.1 and update repository address
  * UI: Fix typo with resize output text
  * Revert "Merge pull request #1498 from Xaymar/patch-obs-amd-encoder"
  * Decklink: add output support
  * UI: Fix auto remux warning
  * rtmp-services: Update liveedu.tv servers
  * rtmp-services: Add DLive
  * obs-ffmpeg: Add linux VAAPI h.264 encoding support
  * libobs: Add pkgconfig support
  * enc-amf: Update to 2.5.0 and update repository address
  * UI: Change resize output text
  * linux-capture: Fix repeated swapping of swapRedBlue and improve robustness further
  * rtmp-services: Add Vimm.TV
  * libobs: Truncate thread names on Linux
  * UI: Add ability to resize output based on source size
  * UI: Add option to auto remux
  * UI: Remove '?' from remux title bar
  * CI: Add mbedTLS dependency for AppVeyor Linux
  * CI: Build on Linux with AppVeyor
  * CI: Use cmd prefix on AppVeyor as needed
  * CI: Move AppVeyor install commands to a script file
  * cmake: Find Qt first before going to subdirectories
  * cmake: Fix UI being dependent on browser plugin files
  * UI: Fix array length computation
  * docs/sphinx: Add missing obs_sceneitem_get_id info
  * UI: Fix scrollbar misalignment for Acri theme
  * UI: Fix scrollbar handle alignment for Dark theme
  * libobs: Fix heap corruption in obs_source_output_video
  * image-source: Decrease slideshow source memory usage
  * UI: Fix system tray context menu creation
  * UI: Organize unused/duplicate includes
  * libobs/audio-monitoring: Use libobs CFString utils
  * coreaudio-encoder: Use libobs CFString utils
  * decklink: Use libobs CFString utils
  * mac-capture: Use libobs CFString utils
  * mac-vth264: Use libobs CFString utils
  * libobs: Add CFString utils
  * UI: Undo/fix stats dock changes to main window
  * decklink: Remove inactive audio channels (linux, macOs)
  * UI: Add 4th aux audio input device
  * frontend-tools: Increase instant replay playback retry interval
  * frontend-tools: Add VLC support to instant replay script
  * UI: Batch remux and drag/drop support on remux dialog
  * UI: Change about dialog bottom color (light theme)
  * win-capture: Add option to adjust hook rate for game capture
  * linux-capture: Improve XComposite capture robustness
  * libobs: Don't call width/height funcs if context invalid
  * rtmp-services: Update Lahzenegar settings
  * obs-filters: Add "Invert Polarity" audio filter
  * obs-filters: Avoid skewing chroma key's box filter average
  * obs-filters: Optimize chroma key's box filter
  * cmake: Make static VC runtime libraries consistent
  * Plugins: Add descriptions to modules
  * libobs: Export image-file to c
  * obs-browser: Fix local macOS build issues
  * obs-qsv: enable High Profile for QSV h264
  * UI: Add ability to style preview background color
  * UI: Dark theme padding and alignment fixes
  * UI: Add Filter to Hotkeys settings menu
  * Fix README hyperlinks under Credits
  * cmake: Fix an error when SWIG isn't found
  * UI: Set about dialog as non-resizable
  * docs/sphinx: Add annotation api functions
  * libobs: Add additional gs_effect_get_ functions
  * libobs: Add HLSL annotation parsing
  * Update decklink SDK to version 10.11
  * obs-filters: Add base canvas resolution option
  * libobs/util: Fix undefined behavior and optimize util_mul64_64
  * UI: Add ability to reset sliders when double clicked
  * UI: Implement stereo balancing
  * UI: Remove license agreement dialog
  * UI: Add about dialog
  * cmake: Make directory before copying file
  * decklink: Add deactivate when not showing option to decklink
  * cmake: Add install_obs_data_file function
  * Update AUTHORS file
  * UI: Prevent format-truncation compiler warning
  * obs-outputs: Fix unused variable compiler warning
  * obs-outputs: Make rtmp packet alloc code path clearer
  * UI: Fix not all projectors using ProjectorAlwaysOnTop
  * win-ivcam: Remove and prohibit useless member functions
  * linux-jack: Fix snprintf format specifier
  * libobs: Remove VLA in pulse monitoring backend
  * cmake: Add variable-length array checks
  * libobs: Update version to 22.0.3
  * obs-browser: Fix macOS crash
  * UI: Blacklist LockApp and Text Input from Game Capture
  * UI: Add retina support and updated icons
  * UI: Add rename scene/source shortcut
  * libobs-opengl: Store FBOs per texture instead of per device
  * UI/updater: Fix update bug for 32bit/64bit installs
  * UI: Add ctrl+up/down shorcuts to move filters around
  * UI: Add delete as shortcut for removing filters
  * UI: Make stats dockable
  * rtmp-services: Remove offline/unavailable servers/services
  * rtmp-services: add STAGE TEN
  * UI: Name parameters in definition same as in declaration
  * image-source: Add psd and *.* to file filter
  * UI: Use themeID for red message in settings view
  * obs-qsv: Expose additional QSV encoder settings through GUI
  * libobs/UI: Allow Access To argc/argv
  * win-capture: Modify log for sharedmem
  * obs-filters: Use less automagic for SpeexDSP detection
  * deps/obs-scripting: Use less automagic for Lua/Python detection
* Fri Dec  7 2018 Jimmy Berry <jimmy@boombatower.com>
- Remove workaround for utilizing proper libdir as it interferes
  with building plugins.
* Wed Nov 14 2018 Jimmy Berry <jimmy@boombatower.com>
- Set ExclusiveArch to i586 and x86_64.
* Wed Nov 14 2018 Jimmy Berry <jimmy@boombatower.com>
- Restrict to ffmpeg3 to avoid Tumbleweed segfault.
  https://bugs.links2linux.org/browse/PM-143
* Thu Sep 13 2018 jimmy@boombatower.com
- Include optional build dependencies to enable more features.
* Fri Aug 31 2018 jimmy@boombatower.com
- Update to version 22.0.2:
  * Revert "UI: Do not fire load events until program loaded"
  * Revert "UI: Reset sources list manually on first load"
  * UI: Always show filter preview if video source
  * obs-browser: Update version to 2.1.5
  * UI: Reset sources list manually on first load
  * UI: Remove "Beta" from auto-config tools menu text
  * libobs: Update version to 22.0.2
  * obs-browser: Update version to 2.1.4
  * UI: Make sure quick transition hotkey is not zeroed
  * UI: Do not fire load events until program loaded
  * UI: Use AlwaysOnTop option for windowed projectors
  * UI: Fix a rare multiview crash when clicked
  * UI: Fix macOS bug (scrollbar blocking lock icons)
  * CI: Use Qt 5.10.1 instead of 5.11.1 for macOS
  * UI: Remove beta warning from auto-config wizard
  * libobs: Blacklist old obs-browser version on macOS
  * UI: Fix filter layout issue
  * UI/updater: Add missing header
  * obs-outputs: Revert f1f49bc1 to fix RTMP authentication
  * UI: Select item that user adds
  * CI: Rename one more missed cef-bootstrap name
  * CI: Rename cef-bootstrap to obs-browser-page
  * obs-browser: Update browser version to 2.1.3
  * UI: Set browser hwaccel def. to false if winver <=7
  * rtmp-services: Only do URL check for Facebook
  * UI: Close remux output before showing dialog
  * rtmp-services: update Periscope settings
  * CI: Use env variable for CEF cache on Windows
  * CI: Build Browser Source on Windows
  * UI: Use QT font picker on OSX
* Tue Aug 21 2018 jimmy@boombatower.com
- Update to version 22.0.1:
  * obs-browser: Update translations
  * libobs: Update version to 22.0.1
  * obs-browser: Fix local files not being processed correctly
  * libobs: Update to version 22.0.0
  * UI: Fix path for File > Show Recordings
  * obs-browser: Blacklist certain hwaccel adapter combos
  * UI: Fix mixer context menu toggling layout on kde
  * cmake: Add luajit 2.1 support to build
  * obs-browser: Update version number to 2.1.0
  * libobs: Revert version update to 22.0.0 (instead, do RC2)
  * UI: Fix snapping of group sub-items
  * CI: Use HTTPS for downloading macOS deps package
  * libobs: Fix typo in function names
  * UI: Remove warning when using separate QSV encoders
  * Update translations from Crowdin
  * Update translations from Crowdin
  * updater: Prepare for transition to Fastly CDN
  * libobs: Update version to 22.0.0
  * UI: Hide Dock Icon on Mac OSX when minimizing to tray
  * UI: Update Acri theme
  * UI: Fix multiview hang
  * Revert "UI: Use qss themeID for red labels in properties view"
  * UI: Fix dark theme link color
  * UI: Update Rachni theme
  * obs-browser: Fix "shutdown when invisible" issue
  * UI: Use qss themeID for red labels in properties view
  * UI: Use theme for red message in audio settings
  * UI: Allow centering/stretching for groups items
  * UI: Fix group sub-item selection bug
  * UI: Fix flip/rotate transform menu with group items
  * libobs: Add function to force a sceneitem transform update
  * UI: Fix bug grabbing handles of group sub-items
  * rtmp-services: Add DTube
  * UI: Set replay buffer button as checkable
  * libobs: Fix applying group transform of flipped sources
  * UI: Allow resetting transform of group sub-items
  * rtmp-services: Do not check for valid URL if using "auto"
  * libobs: Initialize hotkey pair ID variable properly
  * UI: Allow the transform dialog for group sub-sources
  * UI: If users renames a source, only revert on Esc
  * obs-browser: Fix a number of bugs
  * UI: Protect GUID generation in mutex
  * UI: Make the information dialog a big wider
  * UI: Add release candidate checking to info dialog
  * cmake: Add release candidate versions/cmake variables
  * libobs/media-io: Prevent overwriting of remux input
  * libobs: Update version from latest tag
  * obs-qsv11: Protect context variable in clear_data
  * rtmp-services: Remove unnecessary null check
  * libobs: Remove unnecessary null check
  * UI: Add adv. settings checkbox for browser HW accel
  * libobs: Add functions to get/set global private data
  * libobs: Move function declarations to correct spot
  * UI: Use NVIDIA laptop GPU hint
  * CI: Update OSX Deps package
  * win-capture: Avoid segfault when retrieve size
  * cmake: Prevent policy CMP0072 warning
  * Revert "libobs-d3d11: Initialize variable to zero"
  * win-capture: Avoid tex size mismatch for cursor
  * UI: Make OBS bitness more specific in title bar and log
  * obs-qsv11: Initialize member variable
  * CI: Fix building libvpx dep on osx
  * rtmp-services: Ensure set URL exists within server list
  * rtmp-services: Change Facebook stream URL to use RTMPS
  * obs-outputs: Add support for and use mbedTLS for SSL
  * libobs: When ungrouping groups, duplicate items
  * libobs: Add internal function to dup. scene item data
  * libobs: Add function to save hotkey pair data
  * UI: Remove QNetworkReply from window-basic-main.hpp
  * UI: Use obsproject.com URL for discord invite
  * libobs-opengl: Fix segfault on access of invalid window
  * libobs-opengl: Improve X error handler message
  * obs-filters: Fix segfault in Compressor Filter
  * UI: Add missing va_end() call
  * CI: Update macOS dependencies in build script
  * CI: Update Travis scripts to target OSX 10.11+
  * CI: Update Travis Mac builds to Xcode 9.4 and macOS 10.13
  * UI: Add ability to join discord server from help menu
  * UI: Add Color Coding to Source Tree Widget
  * win-mf: Add missing va_end() call
  * obs-browser: Add hardware acceleration option (win32)
  * UI: Add missing return statement
  * UI: Uncheck record/replay buffer buttons if fail
  * UI: Use QScopedPointer (not QPointer) where applicable
  * UI: Hide preview for sources and filters where possible
  * UI: Fix disabled items in Dark theme being too light
  * libobs: Log libobs bitness in crash logs
  * UI: Add confirmation dialog if there are no sources
  * libobs-d3d11: Initialize variable to zero
  * UI: Check pointer before the first dereference
  * UI: Add intro startup page (windows)
  * deps: Add json11 library for convenience
  * UI: Only allow stream/record hotkeys if the UI buttons are enabled
  * OSX: Add NSCamera and NSMicrophone UsageDescription for 10.14
  * CI: Use Qt 5.11.1 on Travis for macOS
  * CI: Use Qt 5.11.1 on AppVeyor for Windows
  * frontend-tools: Add QAction explicitly for Qt 5.11 compatibility
  * Fix typo in contributor guide
  * UI: Fix start up crash with saved projectors
  * rtmp-services: Add Piczel.TV server
  * enc-amf:  Version 2.4.2
  * libobs: Always try to update transform in current thread
  * libobs: Only update scene item texture on frame tick
  * libobs: Don't assign variables before if/return
  * UI: Do not open properties dialog for groups
  * obs-outputs: Update librtmp with upstream patches
  * CI: Add AppVeyor webhook for Discord bot
  * CI: Add travis webhook for Discord bot
  * UI: Add signal for when theme has changed
  * UI: Add ability to parse OBSStyle from qss
  * libobs: Copy the device uid string for mac audio monitor
  * libobs: Pass address of cf_uid rather than the contents of cf_uid
  * libobs: Fix setting of audio monitor device on Mac
  * libobs: Rework checking Mac audio device capabilities
  * UI: Fix bug with advanced output service settings
  * libobs: Add function to get encoder object's defaults
  * obs-browser: Fix error and warning
  * obs-browser: Update to latest version
  * libobs: Defer update of scene item texture
  * UI: Allow alt-cropping on bounding box scene items
  * libobs/util: Don't use assert for darray_push_back_array
  * obs-qsv:  Allow for multiple QSV encoders
  * obs-output: Update ftl-sdk version
  * CI: Update Sparkle default base_url
  * rtmp-services: Update ingest list for Restream.io
  * rtmp-services: Update ingest list for GamePlank
  * UI: Fix signals for sub-items of groups
  * UI: Add OBSBasic::SavingDisabled() function
  * UI: Allow copying/pasting of groups
  * libobs: Allow group duplication
  * libobs: Change groups to actual public types
  * libobs: Abstract resize_group to resize_scene_base
  * libobs: Refactor creation of scenes
  * libobs: Remove group_sceneitem from obs_scene struct
  * libobs: Add obs_data_array_push_back_array
  * Update INSTALL
  * UI: Fix OBS_FRONTEND_EVENT_TRANSITION_LIST_CHANGED
  * rtmp-services: Add KakaoTV
  * libobs: Update libcaption library
  * rtmp-services: Adding Castr.io ingests to service list
  * vlc-video: Load libvlccore.dylib on macOS
  * CI: Fix CEF Path on Package Build
  * libobs: Remove unnecessary const qualifier
  * libobs: Remove unused variable
  * libobs: Remove unused variable
  * libobs: Fix equality check
  * libobs: Add missing return type
  * libobs: Remove unused variable
  * libobs: Change int to size_t
  * UI: Fix stream button checkable state
  * UI: Update Acri theme for disabled buttons
  * UI: Add frontend event for when OBS finishes loading
  * Revert "obs-x264: Specify x264 color space for BT.601"
  * UI: Fix cramped source tree sub-widgets on macOS
  * UI: Fix bug where color property shows transparency
  * UI: Fix display bug with color property
  * libobs: prevent crash from unbounded copy and bfree
  * UI: If group's name exist, start it from 2
  * UI: Fix mixer dock widget minSize being too big
  * obs-transitions: Fix potential stinger divide by 0
  * libobs: add obs_source_frame_copy
  * libobs: Fix compilation issue on case-sensitive filesystems
  * libobs: Add check for cf_uid pointer free
  * libobs: Fix Monitoring devices showing input devices
  * obs-x264: Specify x264 color space for BT.601
  * UI: Fix mem leak in VolControl
  * librtmp: Fix memory leak
  * UI: Fix mem leak with QCompleter
  * UI: Fix mem leak with multiview projector menu
  * UI: Fix mem leak with tray menu
  * UI: Fix mem leak with volume meter
  * UI: Compact ClearVolumeControls()
  * UI: Update hotkey label on quick transition rename
  * libobs: Update hotkey label on scene item rename
  * libobs: Enable setting hotkey name and description
  * UI: Add grouping
  * UI: Fix missing newline at the end of a file
  * UI: Refactor DrawCircleAtPos
  * UI: Use vector value for nudge callback
  * UI: Move frontend API initialization to constructor
  * libobs: Add scene item grouping
  * libobs: Add custom size support to scenes
  * libobs: Do not signal reorder while scene mutex locked
  * libobs: Defer and refactor scene item transform update
  * libobs: Refactor item signaling (add func to signal parent)
  * libobs: Do not draw item texture if source size 0
  * libobs: Fix bug where cropped items would recalc transform
  * libobs: Zero scene data instead of setting members manually
  * libobs/callback: Add signal reference counting
  * libobs: Refactor obs_scene_add to allow adding internally
  * UI: Fix a few unused lambda closure captures
  * libobs: Copy metadata for tracks/streams when remuxing
  * obs-filters: Use double-precision where viable
  * libobs: Avoid busy cursor when starting processes
  * libobs: Allow custom core data paths
  * libobs: Handle 'in', 'out', and 'inout' keywords in shader parsers
  * obs-ffmpeg: Set average framerate in video stream
  * Make alpha visible in property color
  * Use selected color in color property label
  * CI: Upgrade to VS2017 on Appveyor
  * UI: Add new Multiview Layout for up to 24 scenes
  * UI: Move more fixed values to multiview update
  * UI: Adjust the multiview num sources by the layout
  * UI: Calculate fixed values of the Multiview once
  * UI: Move multiview setting checks from draw path
  * UI: Add option to toggle multiview draw safe area
  * UI: Update multiview safe areas
  * UI: Add option to toggle multiview scene names
  * UI: Add option to toggle multiview mouse switching
  * UI: Move multiview settings to its own groupbox
  * UI: Update multiview on scene list reorder
  * UI: Update multiview on resolution change
  * UI: Adjust multiview label size
  * UI: Add proper source markers to multiview
  * UI: Simplify multiview draw code
  * UI: Change multiview non-studio selection color
  * UI: Remove the outerbox markers in multiview
  * UI: Make the multiview lines use the same color
  * UI: Make the sources border color a little darker
  * UI: Clean up Projector Creation
  * UI: Clean up projector's render regions creation
  * UI: Make multiview colors easier to manage
  * UI: Clarify multiview layout names
  * UI: Convert multiview layout string profiles to int
  * UI: Use enum for multiview layout
  * UI: Add Vertical Mixer option
  * UI: Simplify Volume Control draw logic
  * UI: Avoid copies in Volume Control
  * UI: Clean up includes and code-style
  * CI: Use QT 5.10.1 for AppVeyor builds
  * Use obsproject.com for log file uploads
  * UI: Fix OBS_FRONTEND_EVENT_PREVIEW_SCENE_CHANGED
  * UI: Remove ENABLE_WIN_UPDATE cmake variable
  * UI: Always enable auto-updater for windows
  * UI: Fix memory leak when drag/dropping
  * text-freetype2: Remove trailing whitespace
  * text-freetype2: Add chat line count property
  * libobs: Use xcb-xinput when available for events
  * cmake: Add xcb-xinput support
  * UI: Add opt. to enable/disable in-focus hotkey blocking
  * win-capture: Fix cursor draw size with certain cursors
  * win-dshow: Allow synchronous create/update
  * UI: Block when calling obs_frontend_set_current_scene
  * UI: Add obs_frontend_add_scene_collection API call
  * UI: Use WaitConnection() when adding scenes
  * UI: Add WaitConnection() helper func
  * UI: Use "source_create" to add scenes to listbox
  * libobs: Make callback optional for obs_load_sources
  * libobs: Don't signal "source_create" for private sources
  * win-capture: Update D3D9 signature for Win10 April 2018 Update
  * libobs: Expose source save/load signal
  * docs/sphinx: Fix typo in script sources section
  * obs-browser: Use BGRA textures instead of RGBA
  * UI: Don't defer load on non-macOS systems
  * UI: Also defer first scene collection load
  * libobs: Use unaligned store rather than aligned store
  * libobs: Convert sse inline funcs to macros
  * libobs: Add "static" to inline func
  * libobs, UI: Add true peak measurements
  * rtmp-services: Update ingest list for Restream.io
  * UI: Fix no_space file naming for replays
  * UI: Explicitly initialize the crash handler
  * libobs: Separate crash handler from startup
  * UI: Change remux dialog to be non-modal
  * libobs: Add functions to get output capability flags
  * win-capture: Avoid obs functions in init_hooks
  * libobs: Add functions to get raw video output
  * libobs: Deactivate unnecessary GPU ops when not encoding
  * libobs: Log *nix window manager
  * UI: Disable paste filters unless a source is selected
  * CI: Add description to OSX deps build script
  * .gitmodules: Update submodules to new obsproject org
  * UI: Set OBS icon to projector and stats window
  * libobs-d3d11: Do not allow Alt+Enter interception
  * UI: Sort audio controls by source name
  * libobs: Add function to get last main output texture
  * libobs: Fix potential filter rendering race condition
  * UI: Clean up delete Source/Scene shortcut
  * UI: Don't close windows for "Always on Top" (win32)
  * UI: Hold the clip flash for at least one second
  * UI: Add Selected and Hidden Array Values
  * UI: Move OpenSavedProjecters call to OBSBasic::Load()
  * obs-ffmpeg: fill in more fields on audio frames
  * libobs: Fix pasting filters crash when missing sources
  * UI: Do not generate "already active" logs
  * obs-browser: Update to browser source refactor
  * CI: Reduce travis output verbosity
  * UI: Defer startup OBSBasic::Load (macOS CEF workaround)
  * UI: Change monitoring device on profile change
  * UI: Add frontend API to defer saving
  * rtmp-services: Update recommended parameters for Nood.tv
  * obs-outputs/flv: Fix ECMA array size
  * CI: change travis osx artifact repo name
  * UI: Save windowed projectors on exit
  * UI: Remove a second call to OpenSavedProjectors
  * UI: Clean up OBSProjector creation
  * UI: Update Projectors title on source name change
  * UI: Clean up save and load projector code
  * UI: Add helper functions to Projector
  * UI: Add Scene to ProjectorType
  * UI: Simplify Projector Init
  * UI: Refactor Projector OBSRender source usage
  * UI: Move ProjectorType enum to projector header
  * UI: Make OpenSavedProjectors indentation clear
  * UI: Fix the Multiview window not using translation
  * UI: Check if source is valid earlier
  * UI: Simplify the OpenProjector logic
  * UI: Only load projectors if SaveProjectors is true
  * frontend-tools: Include 'QAction' to fix build against Qt 5.11
  * mac-vth264: Fix video info set logic
  * mac-vth264: Set the fullrange variable before calling vt_h264_video_info
* Sat May 12 2018 jimmy@boombatower.com
- Update to version 21.1.2:
  * libobs: Update version to 21.1.2
  * win-capture: Update D3D9 signature for Win10 April 2018 Update
  * CI: Check out OSX branch of obs-browser
  * cmake: Include windows style DLL when copying Qt files
  * obs-browser: Update submodule to latest version
  * UI/updater: Delete visual studio runtimes after execution
  * deps/obs-scripting: Prevent python unload more than once
  * obs-browser: Update submodule to latest version
  * deps/obs-scripting: Don't allow unloading more than once
  * enc-amf: Version 2.3.3
  * libobs: Update version to 21.1.0
  * deps/obs-scripting: Add obs_source_enum_filters
  * rtmp-services: Update ingest list for Aparat.com
  * mac-capture: Fix bug where audio device couldn't be changed
  * UI: Add Help -> Crash Reports submenu
  * UI: Add subdir param to OBSBasic::UploadLog
  * UI: Specify whether crash/profiler/logs have prefix
  * UI: Specify subdir/variable to save to for get_last_log
  * rtmp-services: Update ingest list for Nood.tv
  * UI: Replace gist with hastebin for log uploads
  * UI/updater: Return false on integrity check failure
  * UI/updater: Don't update modules of opposite arch
  * UI/updater: Add automatic check/install for VS2017 redist
  * UI/updater: Fix a few type size mismatch warnings
  * UI/updater: Fix resource compiling bug
  * UI/updater: Fix bug with restrict keyword on VS2017
  * UI/updater: Set license of windows update module to ISC
  * UI/updater: Rewrite function
  * Update translations from Crowdin
  * UI: Refresh multiview projector menu per click
  * cmake: Remove extraneous checks
  * UI: Refresh system tray projector menu per click
  * UI: Remove unnecessary casts
  * Update README.rst
  * libobs-opengl: Request at least 8 bits for alpha
  * linux-capture: Request at least 8 bits for alpha
  * UI: Remove check for updates on Linux
  * cmake, libobs, win-capture: Fix VS2017 warnings
  * cmake: Add .vs directories to .gitignore
  * deps/obs-scripting: Fix tick function arg number
  * obs-ffmpeg: Fix locale typo
  * rtmp-services: Update ingest list for Restream.io
  * deps/obs-scripting: Expose obs video info to swig
  * image-source: Fade to transparency if slideshow list is cleared
  * rtmp-services: Add Vimeo to services list
  * libobs: Fix property text typo
  * libobs/util: Fix blank config file values being ignored
  * obs-ffmpeg: Use FFmpeg's "fast" AAC encoder by default
  * obs-ffmpeg: Remove cutoff hack for AAC encoder
  * win-mf: Deprecate plugin
  * win-capture/graphics-hook: Fix memory offset calculation
  * UI: Remove duplicate line
  * obs-output: Update ftl-sdk version and ftl logging values
  * enc-amf: Version 2.3.2
  * UI: Allow nested docks
  * UI: Don't draw bounding boxes for sources without video flag
* Wed Feb 21 2018 jimmy@boombatower.com
- Update to version 21.0.3:
  * libobs: Update to version 21.0.3 (mac update)
  * libobs: Log YUV space/range on video reset
  * obs-filters: Clear unused parameter warning
  * libobs/util: Cache windows CPU frequency
  * rtmp-services: Add SermonAudio to services list
  * libobs-opengl: Log adapter and driver info
  * obs-ffmpeg: Add speed percentage option
  * deps/media-playback: Use a struct for media init data
  * UI: Remove __FUNCTION__ usage
  * UI: Import scene collection with correct filename
  * obs-vst: Add layout to QMacCocoaViewContainer (update submodule)
  * UI: Link Qt5::MacExtras
  * obs-vst: Link Qt5::MacExtras (update submodule)
  * libobs/media-io: Change speaker layout to match FFmpeg aac.
  * CI: Include style plugins when packaging on OSX
  * CI: Comment out OSX _obspython copy (not ready yet)
  * deps/obs-scripting: Fix cur. script being NULL for script_tick
  * deps/obs-scripting: Allow NULL script with script_log
  * UI: Fix grayed out Copy option in sources context menu
  * CI: Don't install python for OSX
  * cmake: Fix LuaJIT search
  * CI: Add rpath info to _obspython
  * CI: Move obspython.so so it can be found in a .app
  * CI: Update python rpath on osx
  * CI: Make sure that lua can find obslua
  * CI: Fetch RVM gpg key on osx
  * CI: Fix a ruby issue on travis OSX
  * CI: Update OSX deps build scripts
* Thu Jan 25 2018 jimmy@boombatower.com
- Update to version 21.0.2:
  * libobs: Update version to 21.0.2 (mac tag)
  * CI: Point to newer brew python
  * deps/obs-scripting: Make ENABLE_SCRIPTING a user variable
* Tue Jan 23 2018 jimmy@boombatower.com
- Update to version 21.0.1:
  * obs-filters: Fix hard cross-lock when using ducking
  * win-dshow: Fix decoding issues from encoded devices
  * UI: Acri theme adjustments
  * libobs: Update version to 21.0.1
  * docs/sphinx: Clarify Python windows installation
  * CI: Install swig and luajit for osx travis
  * deps/obs-scripting: Prevent potential python startup issues
  * enc-amf: Prevent detect-amf from showing fail dialogs
  * UI: Reduce size of "refresh" icons
  * Revert "obs-outputs: Fix FMS auth with query string"
  * UI: fix Multiview labels readability
  * Update translations from Crowdin
  * CI: Enable scripting in Linux builds
  * cmake: Search for Python 3.4
  * CI: Update CEF version on travis for osx
  * libobs: Update version to 21.0.0
  * UI: Add simple output mode encoder fallback
  * frontend-plugins: Only show script file names in script dialog
  * enc-amf: Test for AMF support in separate process first
  * obs-ffmpeg: Remove NVENC detection code for now
  * UI: Add command line arguments to log
  * obs-ffmpeg: Fix signed mismatch warning
  * frontend-tools: Fix a few issues with the clock source script
  * frontend-tools: Add script to update text source from URL
  * deps/obs-scripting: Fix script_log in python to append newline
  * frontend-tools: Add a lua script that draws an analog clock
  * UI: Add audio meter decay rate option
  * UI: Optimize theme PNG images (smaller files)
  * frontend-tools: Add "Clear" button to script log window
  * frontend-tools: Warn if no active replay buffer w/ instant replay
  * frontend-tools: Make instant replay script also save replay
  * frontend-tools: Add "instant replay" script
  * obs-ffmpeg: Do not return last replay path if currently muxing
  * libobs/callback: Add calldata_create and calldata_destroy
  * deps/obs-scripting: Fix frontend API lua table creation
  * deps/obs-scripting: Fix a few more VC warnings from swigluarun.h
  * obs-ffmpeg: Add proc to get last replay buffer
  * deps/obs-scripting: Ensure that ffi module gets loaded
  * UI: Add Acri theme
  * obs-ffmpeg: Call av_register_all before nvenc check
  * obs-ffmpeg: Don't try to detect NVENC on mac
  * obs-ffmpeg: Improve NVENC detection
  * linux-pulseaudio: Surround speaker map
  * UI: Set max size for names in name dlg. to 256
  * UI: Use snprintf and std::string when creating profiles
  * libobs: Fix rendering if filter context no longer exists
  * libobs: Fix double -> float conversion warning
  * libobs: Optimize clearing of unused source audio mixes
  * libobs: Fix audio buffer clear in custom source mixing
  * Fix typo in README.rst
  * deps/obs-scripting: Fix installed files/locations on linux
  * UI: Put clip detection back in to volume meter
  * deps/obs-scripting: Add image-file to lua
  * deps/obs-scripting: Set current_lua_script earlier to prevent a crash
  * UI: Set linker flags required for luajit on OSX
  * deps/obs-scripting: Don't crash obs trying to unload a script that failed to load
  * docs/sphinx: Clarify vertex buffer usage
  * test/test-input: Add audio buffering sync test source
  * win-capture: Make minor clarification to locale string
  * UI: Fix tab bars for docked widgets in Dark theme
  * libobs: Fix log message
  * Revert "obs-ffmpeg: Improve NVENC detection"
  * deps/media-playback: Free frame data before freeing frame
  * deps/media-playback: Use avcodec_free_context when possible
  * CMake: Fix FindSwigDeps search path
  * UI: Disable Youtube bandwidth test (for now)
  * UI: Fix warning
  * UI: Use GDI+ text for multiview on windows
  * libobs-d3d11: Allow multiple display captures of same monitor
  * UI: Fix qpushbutton menu icon
  * UI: Style dock widgets in dark and rachni themes
  * libobs: Fix audio issue with scene items
  * UI: Add the "-60" volume control marker
  * decklink: Default to 5.1 if invalid channel value 7
  * decklink: Fix bug with old channel formats
  * UI: Change default theme to dark for new users
  * win-capture: Change string for memory capture option
  * linux-pulseaudio: Default sample format float32le
  * cmake: add more LuaJIT lib names
  * Revert "CI: Add Python path for AppVeyor"
  * frontend-plugins: Add "Description" string
  * frontend-plugins: Remove unused strings
  * cmake: Fix copying lua51.dll (luajit) dep on windows
  * CI: Add Python path for AppVeyor
  * deps/obs-scripting: Fix swig/python lookup on windows
  * libobs: Fix pulseaudio monitor playback stuttering
  * libobs: Fix for int-in-bool-context-warning
  * rtmp-services: Add Twitch Helsinki ingest
  * obs-outputs: Fix FMS auth with query string
  * UI: Add frontend API funcs for enabling/disable preview
  * mac-capture: Update fix for Soundflower
  * decklink: Add 2.1 & 4.1 surround layouts
  * coreaudio-encoder: Surround sound improvements
  * obs-libdk: Unlock bitrates for surround layouts
  * UI: Add Multiview Layout Options
  * UI: Add Single/Double click options to Multiview
  * UI: Add help portal link to help menu
  * libobs/media-io: Replace quad with 4.0
  * libobs/media-io: Clean surround API
  * UI: Rework volume-meters, adding more information
  * obs-filters: Fix heavy distortion in Noise Suppression filter
  * libobs: Fix scene filter duplication
  * libobs: Fix bad source release placement
  * obs-filters: Fix minor leaks with LUT filter
  * UI: Fix possible source reference leakage
  * docs/sphinx: Fix vec3_set
  * libobs: Log which security software is in use
  * deps/scripting: Add python rpaths to the obs binary on OSX
  * docs/sphinx: Add scripting documentation
  * doc/sphinx: Add frontend API documentation
  * frontend-tools: Add scripting tool
  * deps/obs-scripting: Add scripting support
  * libobs: Add obs_property_set_modified_callback2
  * libobs: Add obs_properties_add_button2
  * libobs: Fix function to be static inline
  * libobs: Exclude certain declarations from SWIG processing
  * UI: Allow temporarily disabling filter/source types
  * UI: Do not show deprecated filters
  * UI: Add scene collection cleanup event to frontend API
  * UI/obs-frontend-api: Move function declarations
  * UI: Trigger scene change event on scene collection load
  * UI: Add refresh/reload button icons
  * UI: Call frontend callbacks in reverse order
  * UI: Add preload callbacks to frontend API
  * UI: Set ENABLE_UI and DISABLE_UI as root CMake variables
  * libobs: Prevent access to OBS context during shutdown
  * libobs: Store string copies in properties
  * libobs: Add ability to disable source types
  * libobs/callback: Add global callback to signal handler
  * libobs/callback: Add signal_handler_remove_current func
  * libobs/util: Add THREAD_LOCAL macro
  * libobs: Add video tick callback functions
  * cmake: Add helper module for finding Lua
  * cmake: Add Lua/Luajit as part of MSVC dependencies
  * libobs/util: Ignore PRINTFATTR if using SWIG preprocessor
  * libobs/util: Optimize strlist_* functions
  * libobs: Add obs_source_info::get_properties2
  * libobs: Add obs_source_info::get_defaults2
  * linux-v4l2: Add 4k and 21:9 resolutions
  * libobs: Add obs_render_main_texture
  * libobs: Fix incomplete struct in scaler call
  * UI: Fix minor Rachni theme bugs
  * obs-ffmpeg: Fix ffmpeg output recording in x264
  * libobs: Make get_reg_dword handle missing keys
  * Fix typo in README
  * Move documentation to links in CONTRIBUTING file
  * Add documentation links
  * win-capture: Fix memory capture crash on new capture
  * enc-amf: Version 2.3.1
  * win-capture: Rename structs to avoid SDK conflict
  * rtmp-services: Add Twitch Salt Lake City ingest
  * ui: Fix unsaved changes dialog showing twice
  * Fix a number of GCC warnings
  * Fix a number of MSVC warnings
  * obs-ffmpeg: Use correct function with older FFmpeg vers.
  * libobs/media-io: Add ifdef for newer FFmpeg functions
  * Fix a number of MSVC warnings
  * obs-vst: Fix a few warnings (update submodule)
  * cmake: Correct CMake checks for LINUX
  * Revert "CI: Linux - Install FFmpeg from source"
  * git: Add Clion to .gitignore
  * cmake: Do not require X11 on OSX
  * CI: Fix Mac builds on Travis CI's Xcode 8.3 image
  * UI: Duplicate when double-click switching is used
  * UI: Move multiview options to view menu
  * UI: Fix draw issues with multiview projector
  * obs-filters: Add sidechain source option to compressor
  * libobs/util: Add funcs to push zeroed data to circlebufs
  * decklink: Rename 5.1 and 7.1 multi-channel formats
  * rtmp-services: Remove Coderwall / Fix Livestream service name
  * deps/media-playback: Fix compilation with older FFmpeg versions
  * obs-ffmpeg: Improve NVENC detection
  * rtmp-services: Add Mobcrush to services list
  * CI: Fix macOS builds on Travis CI's Xcode 8.3 image
  * UI: Add Multiview projector
  * libobs/graphics: Add gs_effect_set_color
  * CI: Fix Mac builds on Travis CI's Xcode 8.3 image
  * UI: Fix issue where studio preview scene would stick
  * UI: Fix scene override when switching off studio mode
  * UI: Don't override transition if quick transition
  * UI: Fix preview/program projectors being swapped
  * UI: Implement per-scene transition overriding
  * libobs: Duplicate private scene/source settings
  * UI: Fix studio program projectors
  * CI: fix curl download if file doesn't exist
  * win-dshow: Improve automatic Elgato audio device selection
  * UI: Add Studio Mode layout option for portrait mode displays
  * UI: Fix bug with studio mode double-click switching
  * libobs: Fix height return value condition
  * docs/sphinx: Add sphinx documentation
  * libobs: Add vertex/index buffer "direct" flush functions
  * libobs: Add option to duplicate vertex/index buffer data
  * libobs-opengl: Make update_buffer data param const
  * UI: Add Studio Preview Projector
  * UI: Add transition on double-click studio mode option
  * linux-capture: Log window capture's target
  * mac-capture: Log window capture's target
  * win-capture: Log window capture's target
  * libobs: Add surround sound audio support
  * cmake: Add CMake option to disable building plugins
  * UI: Fix a memory leak when renaming mixer sources
  * rtmp-services: Add MyLive streaming platform
  * CI: Update curl version used by appveyor
  * rtmp-services: Add Lahzenegar.com streaming platform
  * libobs-d3d11: Fix gs_enable_color
  * UI: Add ability to rename audio sources from the mixer
  * win-wasapi: Fix timestamp calculation
  * obs-ffmpeg: Log bad muxer settings with FFmpeg output
  * obs-ffmpeg: Use muxer settings with AVIOContext
  * obs-vst: Update to latest plugin version
  * UI: Make streaming/recording buttons checkable
  * UI: Handle update_properties signal in OBSBasicFilters window
  * libobs: Copy enabled state when duplicating filters
  * UI: Allow keyboard events on X11 fullscreen projector
  * rtmp-services: Add Eventials streaming platform
  * rtmp-services: Add us-west1 Picarto ingress
  * UI: Add Frontend API function to save replay buffer
  * UI: Disable source copy if no sources are selected
  * linux-alsa: Display the "Custom" entry once only
* Fri Nov 17 2017 jimmy@boombatower.com
- Update to version 20.1.3:
  * libobs: Update to version 20.1.3
  * libobs: Fix FFmpeg constants
  * libobs: Update to version 20.1.2
  * libobs-d3d11: Allow rebuild even if output duplicator fails
  * graphics-hook: blacklist OpenGL capture for "cm_client.exe"
  * UI: Fix custom ffmpeg output file / URL entry
  * linux-pulseaudio: Get correct default device
  * libobs: Rename obs_video_thread to obs_graphics_thread
  * libobs: Use new ffmpeg constants
  * obs-ffmpeg: Use new ffmpeg constants
  * deps/media-playback: Use new ffmpeg constants
  * UI: Log when output timer events stop outputs
* Thu Oct 26 2017 jimmy@boombatower.com
- Update to version 20.1.1:
  * libobs: Add wrapper function to query Windows registry
  * libobs: Log Windows 10 Gaming Features
  * CI: Update Travis script to target OSX 10.10+
  * enc-amf: Version 2.2.4
  * libobs: Update to version 20.1.1
  * rtmp-services: Add Picarto eu-west1 ingress server
  * rtmp-services: Add stream.me streaming platform
* Wed Oct 18 2017 jimmy@boombatower.com
- Update to version 20.1.0:
  * libobs/util: Fix *nix CPU core counts
  * libobs: Log *nix system info more like Windows/Mac
  * libobs: Fix XCB keyboard mapping size calculation
  * linux-capture: Watch for VisibilityNotify events
  * libobs: Fix a potential divide by zero crash
  * UI: Allow volume peak to be customized via .qss
  * UI: Fix parent window geometry loading
  * Build with CEF 3112 on OSX
  * obs-browser: version 1.30.1
  * rtmp-services: Update ingest list for Restream.io
  * obs-outputs: Enable FTL logging and reduce verbosity
  * obs-outputs: Fix invalid stream key error
  * rtmp-services: Add new twitch ingest servers
  * obs-outputs: Improve new netcode if encoder reports 0 bitrate
  * rtmp-services: Fixing misspell in a country name
  * vlc-source: Add media control hotkeys
  * rtmp-services: Update ingest list for Restream.io
  * rtmp-services: Add looch.tv streaming platform
  * libobs/util: Add memory usage functions
  * UI: Add memory usage to Stats window on linux/mac
  * libobs: Add Pulseaudio audio monitoring support
  * UI: Enable audio monitoring on linux if pulse available
  * linux-pulseaudio: Use actual sink device names
  * libobs: Fix texture_ready feedback for CPU conversion path
  * libobs: Fix I420 shader for (width/2)%%4 == 2 resolutions
  * libobs: Add private settings to scene items/sources
  * UI: Allow right-clicking mixer sources to bring up menu
  * UI: Allow hiding/unhiding sources in the mixer
  * UI: Add missing option to context menu
  * UI: Use Qt standard buttons in source properties
  * obs-ffmpeg: Don't mark to destroy media unless valid
  * libobs: Fix ImageMagick header path
  * libobs: Stop configure if ImageMagick is preferred, but not found
  * libobs: Adjust grammar of an error message
  * UI: Enable Replay Buffer in Advanced Mode
  * obs-transitions: Add audio monitoring to stinger
  * obs-transition: Add crossfade option to stinger
  * obs-transitions: Fix integer conversion warning
  * UI: Lock graphics context when adding new sources
  * obs-ffmpeg: Fix potential seek issues with media source
  * libobs: Restore Windows Vista compatibility
  * UI/updater: Use TLS 1.2 with WinHTTP
  * libobs: Fix paired audio encoder discarding one segment
  * libobs: Fix starting video packet offset in outputs
  * libobs: Move macro to internal C file
  * obs-outputs: Fix FLV muxing bug
  * libobs: When interleaving packets, make video come first
  * obs-outputs: Fix up the internal FLV output
  * libobs: Set video timing_adjust to obs video time
  * win-capture: Remove buffering from window capture
  * win-wasapi: Subtract frame duration from timestamp
  * test: Add sync tests
  * libobs/media-io: Fix decompress_420 function
  * vlc-video: Set properties to defer update mode
  * graphics-hook: Blacklist specific game from GL capture
  * libobs: Initialize randomization seed in video thread
  * vlc-video: Fix shuffle not being quite that random
  * win-dshow: Fix video playback when default format is MJPEG
  * file-updater: fix crash due to network timeout
  * UI: Log generic stream startup failures
  * libobs: Disable pulseaudio dependency lookup on mac
  * libobs-opengl: Disable v-sync on mac
  * UI: Add ini option to use different graphics adapters
  * libobs/util: Fix Windows 10 revision detection
  * rtmp-services: Only update Twitch ingests when necessary
  * libobs: Add async video/audio decoupling functions
  * decklink: Use unbuffered by default, and decouple
  * obs-outputs: Signal stop if stop called when not active
  * UI: Log when starting / stopping via hotkey or timer
  * UI: Add missing text for replay buffer hotkey log
  * obs-outputs: Only set stop events if still active
  * UI: Disallow pasting duplicates of sources with DO_NOT_DUPLICATE
  * rtmp-services: Don't show "service not found" if name empty
  * UI: Fix Pulse Audio not loading saved device
  * libobs: Update version to 20.1.0
  * Update translations from Crowdin
* Wed Oct 18 2017 jimmy@boombatower.com
- Revert dropping of _service for URL in spec by non-maintainer.
* Sun Oct  8 2017 hillwood@opensuse.org
- Use %%suse_update_desktop_file.
- Fix wrong Group tag.
- Update %%post and %%postun.
- Use URL in Source tag.
- Remove %%clean tag, it's not necessary now.
* Fri Aug 11 2017 jimmy@boombatower.com
- Update to version 20.0.1:
  * UI: Add Studio Mode features in the Frontend API
  * CI: Download deps if they are outdated
  * plugins: Clear warnings about -Wincompatible-pointer-types
  * UI: Add new theme, update theme capabilities
  * .editorconfig: Add file to speed up editor configuration
  * libobs: Fix an int underflow in log_frame_info
  * rtmp-services: Add Chaturbate Streaming Service
  * libobs-d3d11: Fix potential issue rebuilding shared texture
  * UI: Fix potential crash with unsupported video cards
  * vlc-video: Add network caching property
  * libobs-d3d11: Better error message for missing D3DCompiler
  * rtmp-services: Rename beam.pro to Mixer.com
  * vlc-video: Fix integer conversion warning
  * deps/jansson: Update jansson to version 2.9
  * UI: Add fullscreen projector to systray menu
  * UI: Add fullscreen UI option to view menu
  * libobs: Fix bug where obs_data default might not be set
  * UI: Add "Defaults" button to filters/properties windows
  * obs-text: Fix file reader occasionally not updating
  * text-freetype2: Fix file reader occasionally not updating
  * cmake: Add _CRT_NONSTDC_NO_WARNINGS def to all projects
  * UI, libobs: Add ability to lock individual scene items
  * UI, libobs: Add Japanese shortcut keys for Windows
  * rtmp-services: Update servers for Vaughn Live/Breakers.tv
  * libobs/util: Make minor optimization to circlebuf pops
  * libobs: Add <> or \| on RT 102-key as hotkey
  * libobs/plugins/UI: Suppress unused variables warnings
  * UI: Make sure "Defaults" buttons aren't default buttons
  * UI: Make lock/unlock icons slightly smaller
  * UI: Fix lock/visibility sub-widget sizes on OSX
  * obs-qsv11: change re-enter locker implementation
  * decklink: Add feature to detect resolution/format
  * UI: Add ability to drop html files
  * UI: Allow zoom with the scroll wheel
  * win-capture: Log when game capture compatibilty mode is set
  * UI: Remove unused function from volume control
  * libobs: Add obs_volmeter_get_cur_db function
  * UI: Change meter color to red when audio is clipping
  * UI: Add backwards compatible theme fallback
  * rtmp-services: Add LiveEdu (accidentally removed)
  * UI: Ensure theme backward compat. with older OBS vers.
  * obs-filters: Optimize and fix alpha in color grade filter
  * UI: update installer script to latest version
  * rtmp-services: Update twitch.tv ingests
  * UI: Add missing separator in mediaExtensions initializer
  * libobs: Add API to specify codec support on encoded outputs
  * libobs: Add ability for service to specify its output type
  * obs-qsv11, obs-x264: Allow bframe count overriding
  * rtmp-services: Add ability to specify different outputs
  * rtmp-services: Allow services to override bframe count
  * UI: Allow services to use different outputs
  * UI: Allow outputs to use different audio codecs
  * obs-outputs: Fix a few issues with CMakeLists.txt
  * rmtp-services: Don't display warning for invalid file ver.
  * rtmp-services: Fix incorrect RTMP output ID
  * rtmp-services: Update Twitch ingests
  * libobs: Do not save hotkeys for private sources
  * libobs: Add transition callbacks for starting/stopping
  * libobs: Add function to get current transition time
  * libobs: Add ability for transitions to render sources directly
  * obs-ffmpeg: Add proc handler function to get media duration
  * obs-transitions: Add stinger transition
  * rtmp-services: Add Twitter / Periscope as a service
  * UI: Fix problem with exporting scene collections/profiles
  * UI: Add --multi flag to suppress multi-instance warning
  * libobs: Add post-load module callback
  * libobs: Ensure scene items don't have pre-multiplied alpha
  * libobs: Fix item copying during scene duplication
  * rtmp-services: Update Picarto maximum audio bitrate
  * UI: Fix potential crash when outputs change
  * UI: Add "Below Normal" priority option
  * UI: Add modular UI
  * UI: Fix build issue with older linux Qt5 packages
  * UI: Fix settings window minimum width/height
  * libobs: Add API function to get version string
  * deps/file-updater: Add func to get single remote file
  * obs-ffmpeg: Rename obs-ffmpeg-aac.c file
  * obs-ffmpeg: Make FFmpeg audio encoder abstractable
  * obs-ffmpeg: Ensure sample rate is supported in audio encoder
  * obs-ffmpeg: Add Opus audio encoder
  * obs-outputs: Add FTL output
  * rtmp-services: Add Mixer FTL service
  * UI: Update Mixer (formerly Beam) in auto configuration
  * UI: Remove trailing whitespace
  * UI: Return false if audio encoder creation fails
  * rtmp-services: Fix ingest update request user agent
  * rtmp-services: Add Twitch ingest update API
  * rtmp-services: Add "Auto" server option for Twitch
  * UI: Add support for Twitch "Auto" server in auto-config
  * UI: Fix incorrect properties set for Hardware (AMD)
  * rtmp-services: Remove Twtich "Auto" if API down and not cached
  * Revert "UI: Add support for Twitch "Auto" server in auto-config"
  * Revert "libobs: Fix an int underflow in log_frame_info"
  * libobs: Log output frame count instead of encoded count
  * UI: Test first 3 closest Twitch ingests in auto-config
  * UI: Fix Delete key not working on scenes/sources
  * deps/media-playback: Add concat playback support
  * UI: Update Hitbox to Smashcast in autoconfig wizard
  * enc-amf: Update to 2.2.1
  * libobs: Add ability to transition to NULL source
  * image-source: Add 'loop' and 'hide on stop' to slideshow
  * image-source: Add activate/deactivate behavior to slideshow
  * image-source: Add "manual (hotkey)" mode to image slideshow
  * UI: Move adv. audio props. to each audio config button
  * obs-x264: Remove VFR mode as an advanced option
  * vlc-video: Don't allow VLC sources to be cloned
  * rtmp-services: Update Switchboard ingests
  * UI: Fix stats window geometry saving on shutdown
  * UI: Show error if empty recording path specified
  * libobs: Export obs_output_get_last_error
  * obs-ffmpeg: Improved output error handling
  * UI: Report more detailed output errors if available
  * UI: Show error if empty recording path specified
  * obs-ffmpeg: Add proc handler for getting number of frames in video
  * obs-transitions: Add frame transition point option to stinger
  * obs-transitions: Fix stinger transition locale
  * obs-outputs: Change loglevel of ftl status thread to debug
  * enc-amf: Update to 2.2.2
  * UI/updater: Restart progress bar when installing updates
  * UI/updater: Improved handling of failure conditions
  * libobs: Update version to 20.0.0
  * rtmp-services: Initialize mutex/dynamic array
  * rtmp-services: Require cmake var to enable ingest updates
  * obs-transitions: Rename stinger ID to prevent conflict
  * Update translations from Crowdin
  * rtmp-services: Always check service updates on non-windows
  * image-source: Fix potential crash with slideshow
  * UI: Fix conditions for redraw the stats labels
  * libobs: Update version to 20.0.1
  * libobs: Add default hotkey id to duplicated item
  * UI: Fix Stats not showing stream data until start
* Thu Jun 22 2017 jimmy@boombatower.com
- Update to version 19.0.3:
  * rtmp-services: Update Twitch ingests
  * librtmp: Fix build error with ENODATA on FreeBSD
  * rtmp-services: Rename Beam to Mixer
  * UI/installer: Specify "source" in plugins section
  * UI/installer: Fix broken realsense plugin install locations
  * UI/installer: Update installer VC redist download link
  * win-wasapi: Fix potential null pointer deref in enumeration
  * UI: Look for plugins in ~/Library/Application Support/obs-studio/plugins/
  * libobs/plugins/UI: Suppress -Wimplicit-fallthrough introduced by GCC 7
  * win-capture: Limit OpenProcess flags to prevent A/C issues
  * deps/media-playback: Output av_read_frame error string
  * deps/media-playback: Start decoding regardless of keyframe
  * obs-ffmpeg: Add network buffering property
  * deps/media-playback: Call stop callback on failure
  * deps/media-playback: Fix lockup issues
  * Revert "rtmp-services: Rename Beam to Mixer"
  * rtmp-services: Add new twitch.tv ingests
  * UI/updater: Fix incorrect path in portable mode
  * deps/media-playback: Add timeout when waiting for frames
  * deps/media-playback: Fix AV_NOPTS_VALUE being used as timestamp
  * deps/media-playback: Fix playback reset fail after stop
  * obs-ffmpeg: Don't preload media frames if set to pause on end
  * win-capture/graphics-hook: Fix D3D10/D3D11 detection
  * UI: Ignore first 2.5 seconds of bandwidth test
  * UI: Initialize Stats window values after OBSInit/reset
  * win-capture: Add IDXGISwapChain1::Present1 hook support
  * win-capture: Use PROCESS_QUERY_INFORMATION for game capture
  * obs-ffmpeg: Do not precache if set to close when inactive
  * UI: Use QT_TO_UTF8 with name dialog
  * libobs-d3d11: Fix shader const array size miscalculation
  * UI: Preserve source if audio settings device changed
  * libobs: Update version to 19.0.3
  * UI: Set error mode to SEM_FAILCRITICALERRORS
  * ffmpeg-mux: Set error mode to SEM_FAILCRITICALERRORS
  * get-graphics-offsets: Set error mode to SEM_FAILCRITICALERRORS
  * inject-helper: Set error mode to SEM_FAILCRITICALERRORS
  * enc-amf: Version 2.1.6
  * obs-ffmpeg: Remove "Buffering (MS)" property
* Wed Jun 14 2017 jimmy@boombatower.com
- Update to version 19.0.2:
  * UI: Fix drag & drop bug
  * frontend-tools: Add automatic scene switcher for Linux
  * UI: Add option to disable audio ducking on windows
  * rtmp-services: Update ingests
  * libobs/util: Add Get function to BPtr<>
  * UI, obs-qsv11: Fix build in VisualStudio 2017
  * UI: Fix warning in VisualStudio 2017
  * obs-qsv11: Fix SEI crash caused by dangling pointer
  * UI: Add ability to output to window
  * UI: Always alternatively open backup scene json file
  * libobs: Don't call unlink unnecessarily
  * libobs/util: Add os_safe_replace function
  * libobs/util: Use os_safe_replace in safe file writes
  * libobs/util: Flush text files when writing
  * libobs/util: Use MoveFileEx with MOVEFILE_REPLACE_EXISTING
  * vlc-video: Add ability to shuffle playlist in VLC source
  * Various: Optimize bundled PNG files
  * text-freetype2: Make font lookup recursive on mac
  * libobs: Use tex.Load for reverse NV12/I420 funcs
  * UI: Fix settings dialog crashing on linux
  * libobs: Fix tex.Load lookup (needs int3, not int2)
  * libobs: Add random shader
  * libobs: Fix skipped frames reporting
  * libobs: Add functions to get logical/physical cores
  * libobs: Pass exact data when calling obs_get_video_info
  * libobs: Add function to allow custom output drawing
  * libobs: Add function to allow getting output connect time
  * libobs: Don't allow lagged frames to be counted as skipped
  * obs-outputs: Add null output
  * obs-outputs: Add connect time callback for rtmp output
  * obs-outputs: Fix frame dropping when using ultrafast
  * UI: Add function to enable/disable outputs
  * UI: Don't subject base/output resolutions defaults
  * UI: Limit default canvas res to 1920x1080 or below
  * UI: Add 1920x1080/1280x720 to the settings base res list
  * UI: Remove colon from a few locale items
  * UI: Add auto-configuration wizard
  * CI: OSX - Use wget instead of curl
  * libobs: Fix os_safe_replace not working linux
  * UI: Show invalid Bind to IP entries in the settings
  * decklink: Fix compiler warning about ignored const
  * decklink: Add option to disable the plugin
  * decklink: Remove unused variables to fix warning
  * win-capture: Hide cursor when in background (game capture)
  * Various: Don't use boolean bitfields
  * win-capture: Hide cursor when in background (window capture)
  * rtmp-services: Rename hitbox.tv to Smashcast
  * obs-ffmpeg: Add signal/proc to restart media playback
  * CI: exclude .gitignore
  * CI: Use git fetch --unshallow for OSX
  * libobs/util: Add function to get free disk space
  * libobs-opengl: Fix potential crash w/ viewports
  * libobs: Add function to get average render time
  * libobs: Add functions to get total/lagged frames
  * libobs: Add obs_output_reconnecting func
  * obs-ffmpeg: Implement get_total_bytes in recording outputs
  * UI: Add function to get current memory usage (win32)
  * UI: Add themeID values for colors to style sheets
  * UI: Add stats dialog
  * UI: Fix a few locale items, and add a few missing ones
  * UI: Make Qt use locale text for QWizard buttons
  * UI: Add helper class to translate message box buttons
  * UI: Make sure all message box buttons are translated
  * UI: Fix locale text for "OK" in question dialogs
  * UI: Bring stats to front if it already exists
  * UI: Add option to show stats on startup to general
  * UI: Save/remember stats window geometry
  * Revert "libobs: Allow source to fully control source flags (for now)"
  * libobs: Don't use source flags for async buffering
  * UI: Don't use "quit on last window closed"
  * UI: Fix bug where Pre19Defaults would always be set
  * UI: Don't count debug log messages in repeat detection
  * UI: Warn user if multiple instances of the UI are open
  * enc-amf: Version 2.1.3
  * image-source: Allow custom bounding source size/aspect
  * UI: Update quick transitions on transition add/removal
  * libobs: Add scene item IDs
  * win-dshow: Update libdshowcapture to 0.5.12
  * UI: Add support for showing output error messages
  * libobs: Add support for output error messages
  * obs-outputs: Add output error messages for RTMP
  * UI: Fix misleading log message when updating settings
  * UI: Change output blocking bool to integer ref counter
  * UI: Prevent user from starting ouputs while in settings
  * UI: Move Stats to the view menu
  * UI: Make Stats a regular window rather than dialog
  * UI: Check to see if outputs valid when updating stats
  * deps/media-playback: Remove unnecessary logging
  * UI: Fix creation of log files with non-english paths
  * libobs-d3d11: Only load vertex buffer before drawing
  * deps/media-playback: Include SSE flags
  * deps/media-playback: Do not seek network streams
  * deps/media-playback: Init avformat in thread
  * obs-ffmpeg: Only preload frames for local files
  * obs-ffmpeg: Always close network sources when inactive
  * libobs: Update to version 19.0.0
  * libobs: Make obs_source_default_render exported
  * obs-filters: Add Render Delay filter
  * UI: Sort filter names when adding filters
  * deps/media-playback: Discard packet returns of invalid sizes
  * deps/media-playback: Use new FFmpeg decode funcs when possible
  * deps/media-playback: Always check for new frame first
  * UI: Fix cases where wizard bitrate is not capped
  * UI: Remove advanced settings from final wizard results
  * UI: Actually update service for wiz. bitrate limits
  * UI: Fix enumeration of scene collections on first run
  * obs-ffmpeg: Disable media source HW accel. for now
  * libobs: Do not allow incompatible filters on sources
  * rtmp-services: Preserve settings if service renamed
  * obs-filters: Increase allowable render delay to 500ms
  * enc-amf: Version 2.1.4
  * VST: bump vst submodule ref
  * Update translations from Crowdin
  * UI: Change default autoconfig test bitrate
  * AUTHORS: Update with data from Git and Crowdin
  * deps/media-playback: Fix bug where inverted media would crash
  * UI: Remove whitespace from end of autconfig stream key
  * libobs/util: Also remove CR/LF from dstr_depad
  * UI: Fix bug where auto-config settings wouldn't apply
  * Fix German locale inconsistencies
  * libobs: Always call stop callback
  * UI: Unlock mutex before trying to stop output
  * libobs: Fix bug where outputs would not set stopped event
  * libobs: Update version to 19.0.1
  * enc-amf: Version 2.1.5
  * UI: Fix creation of crash log with non-english paths
  * libobs-d3d11: Fix bug where vertex buffers would be reset
  * UI: Fix autoconfig capping bitrate with "custom server"
  * libobs: Update to version 19.0.2
  * Revert "obs-ffmpeg/nvenc: Remove "default" preset"
  * UI: Fix tooltip for "prefer hardware encoding"
* Tue May  2 2017 jimmy@boombatower.com
- Update to version 18.0.2:
  * UI/updater: Fix temp files being created and not deleted
  * UI/updater: Fix potential fail case when no files to patch
  * UI/updater: Fixed a bug with deflating
  * UI/updater: Ignore 64bit files on 32bit windows
  * CI: Use ccache to speed up the build
  * CI: OSX - Fix obs.png
  * UI/updater: Fix incorrect inflate use
  * CI: Linux - Install libfdk-aac-dev
  * image-source: Move file modification check before animation processing
  * UI: Add workaround to fix deleting final scene bug
  * rtmp-services: Update ingest list for Restream.io
  * rtmp-services: Update maximum bitrate for Twitch
  * UI: Fix segfault when no system tray exists
  * CI: Linux - Install FFmpeg from source
  * obs-ffmpeg/nvenc: Remove "default" preset
  * libobs: Add obs_source_copy_filters function
  * UI: Add copying/pasting of sources/filters
  * UI: Disable filter pasting when scene collection changed
  * UI: Fix bug where items can't be deleted in last scene
  * libobs: Remove unimplemented exports
  * rtmp-services: Add Livestream service
  * win-dshow: Fix issue with activating when not set to
  * rtmp-services: Update Picarto maximum bitrates
  * libobs: Delay stop detection of audio source
  * libobs: Allow source to fully control source flags (for now)
  * libobs: Add ability to preload async frames
  * libobs: Remove multiple calls to free_type_data
  * deps: Add media-playback static lib
  * obs-ffmpeg: Change from libff to media-playback
  * deps/libff: Remove network init
  * UI: Remove libff as a dependency
  * deps/libff: Don't build libff (deprecated)
  * obs-ffmpeg: Remove unnecessary open call
  * obs-ffmpeg: Always open on update unless set otherwise
  * obs-ffmpeg: Fix bug on non-MSVC compilers
  * UI: Fix property widgets not being disabled
  * mac-avcapture: Ability to directly add iOS devices over USB
  * audio-monitoring: Add ability to monitor Outputs
  * decklink: Add option to select channel format
  * decklink: Add workaround for audio timestamp jump issue
  * Improve README/CONTRIBUTING files
  * win-dshow: Fix reallocation issue in ffmpeg-decode
  * UI: Add window name to remux dialog
  * UI: Hide OpenGL and D3D adapter on Windows
  * UI: Continue to show OpenGL if already in use
  * UI: Increase MAX_CRASH_REPORT_SIZE to 150 KB
  * CI: Use webhooks for notifications
  * CI: Fix notification frequency
  * libobs-opengl: Log OpenGL version on all systems
  * Fix various typos across multiple modules
  * Update Linux kernel coding style URL in CONTRIBUTING
  * UI: Ctrl+E to Edit Transform
  * UI: Remove unused defines from old updater code
  * win-capture: Log if shared texture capture is unavailable
  * win-capture: Update get-graphics-offsets
  * win-capture: Add missing 32 bit offsets
  * win-capture: Fix and clarify window capture prioritization
  * UI: Add front-end API functions to get/modify service
  * UI: Display filename when dragging & dropping
  * obs-outputs: Always call RTMP_Init before connecting
  * UI: Make sure all dialogs have close buttons
  * UI: Add command line option for starting up always on top
  * frontend-tools: Rename some files
  * frontend-plugins: Abstract captions
  * enc-amf: Update to v2.1.0(.0)
  * win-ivcam: Fix potential null pointer dereference
  * libobs: Update to 18.0.2 (windows hotfix)
  * UI/updater: Add opt to disable building update module
* Tue Mar  7 2017 jimmy@boombatower.com
- Update to version 18.0.1:
  * CI: Fix true / false on stable builds
  * CI: Add boolean arg parser to OSX
  * CI: Deploy on tags and master branch
  * CI: OSX - Deploy on all branches in the master repo.
  * CI: OSX - Include branch in pkg
  * enc-amf: Update to 1.4.3.11
  * UI: Use correct string for systemTrayEnabled
  * CI: OSX - Update to CEF 2987
  * CI: Use correct folder for building browser
  * CI: OSX - Use bash variable for CEF version
  * UI: Don't exit on unknown command line arguments
  * CI: OSX - export cef version so we can use it elsewhere
  * CI: Fix cef version variable
  * obs-outputs: Fix 100%% CPU usage with new network code
  * CI: OSX - Move CEF version to .travis
  * VST: Fix save / load of plugin state. More interface options.
  * UI: Fix audio monitoring dev. not being set on startup
  * UI: Log audio monitoring dev. on start and when changed
  * UI: Add logging of audio monitoring to sources
  * VST: Fix crash when OBS is set to mono
  * Revert "win-dshow: Add LGP timestamp fix"
  * win-dshow: Actually fix LGP issue
  * obs-outputs: Various fixes to new network code
  * Update translations from Crowdin
  * AUTHORS: Update with data from Git and Crowdin
  * libobs: Apply sync offset to win32 audio monitoring
  * UI: Disable network settings while outputs active
  * Update translations from Crowdin
  * AUTHORS: Update with data from Git and Crowdin
  * CI: OSX - Brew install speexdsp
  * CI: OSX - enable sparkle
  * deps/blake2: Fix compiler warning
  * UI: Fix game capture check when about to update
  * deps: Add liblmza
  * libobs: Update to 18.0.1
  * updater: Add windows updater module
  * UI/updater: Wait for OBS to close before updating
  * obs-outputs: Improve shutdown behavior of new socket loop
  * UI/updater: Use better function for getting process names
* Tue Feb 28 2017 jimmy@boombatower.com
- Update to version 18.0.0:
  * UI: Add more command line options
  * obs-browser: Update submodule to latest version
  * Revert "Revert "win-capture: Use FindWindowEx to traverse window list""
  * CI: Add in inital appveyor config
  * CI: Move browser source before building app
  * CI: Build VLC plugin for OSX on travis
  * rtmp-services: remove shut down services
  * CI: Build Windows version and upload artifacts
  * obs-browser: Update browser ref
  * CI: Update permissions on CEF app plist before packaging
  * cmake: Enable COPY_DEPENDENCIES by default on Windows
  * rtmp-services: Update Vaughn Live ingests
  * libobs: Log correct amount of memory on 32bit (windows)
  * UI: Convert to wide before outputting debug text (win)
  * UI: Protect debug text static string var with mutex
  * libobs: Add ability to get output congestion
  * obs-output: Add ability to get congestion to rtmp output
  * obs-outputs: Increase default drop threshold
  * UI: Add connection status square to status bar
  * UI: Add separate timers to status bar
  * UI: Add option to always minimize to tray
  * UI: Hide/show dialogs when minimizing to tray
  * UI: Do not quit program when last windows are projectors
  * UI: Add option to save projectors
  * UI: Add auto-start replay buf. opt. when stream starts
  * UI: Fix scaling in viewport when source flipped
  * UI: Fix linux display/resize bug with preview widget
  * rtmp-services: Add Restream.io Los Angeles server
  * libobs: Add optional ultrawide -> wide scaling techniques
  * obs-filters: Add option to undistort ultrawide -> wide
  * obs-filters: Add "Color Grading" filter
  * rtmp-services: Add new beam.pro ingests
  * CI: Add post install script to OBS installer to fix CEF permissions
  * rtmp-services: Add Web.TV streaming service
  * Add VST Plugin
  * obs-filters: Fix compiler warnings
  * UI: Remove unused variables
  * UI: Clarify "Always minimize to tray" option
  * obs-filters: Rename "Color Grade" filter to "LUT Filter"
  * obs-filters: Change "LUT Filter" to "Apply LUT"
  * CI: Fix VLC download
  * CI: Unzip VLC quietly
  * rtmp-services: Update twitch/hitbox ingest and youtube recommendations
  * CI: Fix OSX post-install script
  * UI: Fix locale text alignment
  * UI: Make advanced settings pane a bit more compact
  * libobs: Mark last video ts even when buffering off
  * libobs: Mark parameter as constant if not modifying
  * libobs: Use original audio structure for audio signal
  * libobs: Implement audio monitoring
  * win-wasapi: Mark audio outputs as unmonitorable
  * UI: Add audio monitoring to settings/adv audio props.
  * UI: Prevent thread stalls with fader/volume widgets
  * obs-transitions: Convert premultiplied alpha to straight
  * UI: Add 24 NTSC as a common FPS value
  * obs-ffmpeg: Do not use HW accel by default on mac
  * rtmp-services: Update twitch ingests
  * obs-ffmpeg: Fix compiler warnings
  * UI: Fix compiler warning
  * UI: Change volume meter update interval to 30fps
  * UI: Add warning if starting the output fails
  * obs-ffmpeg: Be more verbose when custom params fail
  * obs-ffmpeg: Fix custom audio codec parameters
  * CI: Retry failed downloads
  * UI: fix ffmpeg output file extension
  * UI: Clean up general pane of settings dialog
  * UI: Add function to get remote file
  * UI: Add front-end auto-updater
  * UI: Update installer to latest version
  * UI: Add latest installer fixes from R1CH
  * obs-ffmpeg: Add 'save' to replay buffer proc handler
  * win-capture: Fall back to GetWindow if FindWindowEx fails
  * libobs: Fix audio monitoring delaying perpetually
  * rtmp-services: Update max video bitrate for beam
  * libobs/util: Use a mutex with config files
  * win-capture: Blacklist chrome/firefox from game capture
  * win-dshow: Add LGP timestamp fix
  * UI: Trigger frontend api scene change after transition
  * Add AUTHORS file
  * mailmap: Disambiguate between a few authors
  * mailmap: Disambiguate between another author
  * rtmp-services: Add "Pandora TV Korea"
  * UI: Trigger scene list change event when scene removed
  * CI: Speedup msbuild by using all CPU cores
  * UI: Improve accessibility text on main window
  * CI: Download VLC repo instead of cloning from git
  * CI: Disable test discovery on AppVeyor
  * CI: Cache dependencies downloads on AppVeyor
  * CI: Disable deps download in AppVeyor and use cache
  * CI: Download deps if they aren't in build cache
  * UI: Use blake2b instead of SHA1 for updater
  * UI: Make installer execute 64bit on 64bit windows
  * obs-text: Fix issue drawing some chinese characters
  * obs-filters: Add audio compression filter
  * obs-outputs: Port windows socket loop from OBS Classic
  * librtmp: Clean up our extra RTMP fields on close
  * UI: Add options for new socket loop
  * UI: Make sure size-specific spacers are fixed
  * UI: Fix some settings layouts on non-windows systems
  * win-capture: Add hook exception for theHunter: COTW
  * obs-ffmpeg/ffmpeg-mux: Fix failing when no video
  * image-source: Add solid color source
  * image-source: Add missing locale
  * Fix various null pointer issues detected by Coverity
  * obs-ffmpeg: Allow saving with different video codecs
  * UI: Add support for other codecs
  * graphics-hook: Account for sizeof(wchar_t) in len
  * obs-qsv11: Fix various issues detected by Coverity
  * obs-ffmpeg: Make gop size configurable
  * UI: Add gop size option for custom ffmpeg output
  * libff: Add override for codec compatability check
  * UI: Add codec compatability checkbox to ffmpeg output
  * UI: Add warning about recording to mp4 format
  * CI: Fetch git tags on OSX build
  * CI: Exit on errors when building the OSX package
  * UI: Fix typo in general settings
  * enc-amf: Update to version 1.4.3.9
  * CI: Build on Linux
  * libobs: Update version to 18.0.0
  * libobs: Fix bug where scenes would not properly mix audio
  * UI: If scene/source names exist, start from 2
  * CI: Don't skip_join for Travis IRC notifications
  * obs-frontend-api: Use virtual destructor (fix memory leak)
  * libobs: Add missing mutex unlock in audio monitoring
  * CI: Get some codesigning and sparkle stuff in place
  * CI: Use combined cert for signing OSX
  * CI: Set keychain timeout & allow productsign
  * CI: Add some logging to the before deploy script on OSX
  * CI: Possibly fix OSX cert import issue
  * CI: OSX - Brew install jack
  * CI: Notify on failure and only for fixed builds
  * CI: Reformat Travis CI IRC notification
  * UI: Hide auto update option for linux
  * obs-filters: Change attack/release ms limit to 300 (from 100)
  * obs-filters: Increase max compressor release/attack values
  * Update translations from Crowdin
  * AUTHORS: Update with data from Git and Crowdin
  * UI: Update Simple Mode AMD Presets
  * enc-amf: Update to hotfix 1.4.3.10
  * CI: OSX Set builds to stable on tagged builds
  * CI: Update public OSX install key
* Wed Jan 18 2017 jimmy@boombatower.com
- Update to version 17.0.2:
  * libobs: Update to 17.0.2
* Tue Jan 17 2017 jimmy@boombatower.com
- Update to version 17.0.1:
  * deps/libff: Fix VP8/VP9/webm alpha support
  * rtmp-services: Increase video bitrate limit for YouTube
  * obs-outputs: fix build error on freebsd
  * Update translations from Crowdin
  * [CI] Use prebuilt deps so we can build on 10.9
  * CI: Build more features into FFMPEG deps
  * CI: Update browser plugin ref and build scripts.
  * CI: Fix zip permission issue on CEF plist files
  * obs-x264: ignore opencl param
  * enc-amf: Update to 1.4.3.8
  * CI: Ability to make packages on travis
  * CI: actually call packagesbuild from the right place 😑
  * cmake: Remove unnecessary find_package calls
  * libobs: Fix scale filtering bug when duplicating scenes
  * win-capture: Don't use FindWindow for game capture keepalive
  * CI: Install Packages and use the full version
  * Revert "win-capture: Use FindWindowEx to traverse window list"
  * obs-filters.c: Fix color correction filter OpenGL crash
  * obs-filters.c: Fix color correction filter saturation
  * Update translations from Crowdin
  * UI: Fix bug with uncopied profile import/export files
  * win-capture: Fix game capture size bug when rehooking
  * libobs: Add func to enum active and inactive child tree
  * libobs: Enumerate full tree when adding active child
  * libobs: Add callback for enumerating all scene children
  * obs-x264: Allow opencl through much longer alias
  * libobs: Update to version 17.0.1
* Mon Dec 26 2016 jimmy@boombatower.com
- Update to version 0.17.0:
  * rtmp-services: Update ingest list for Restream.io
  * Revert "CI: Build on OSX 10.10 on travis"
  * Remove python dep
  * win-capture: Use static runtimes for hooks/helpers
  * cmake: Fix OSX fixup_bundle.sh to copy non-system deps
  * cmake: Fix permissions with OSX fixup_bundle.sh
  * libobs-opengl: Add xcb message poll to empty out the queue
  * frontend-tools: Add options to start output timers every time
  * libobs-d3d11: Add optional macro to log shader disassembly
  * Revert "obs-transitions: Avoid branching in slide_transition.effect"
  * rtmp-services: remove shut down services
  * libff: Allow custom demuxer options
  * obs-outputs: Fix librtmp IP bind / resolve behavior
  * UI: Fix frontend-api event call for adding scenes
  * libobs/util: Add function to get circlebuf data offset
  * libobs/util: Add function to generate formatted filenames
  * libobs: Fix bug where outputs cannot initialize hotkeys
  * cmake: Add _CRT_SECURE_NO_WARNINGS to all projects
  * libobs: Fix deprecated macro
  * libobs/util: Do not ignore deprecation on windows
  * libobs: Use reference counting for encoder packets
  * obs-ffmpeg: Add replay buffer output
  * UI: Disable simple output rec. settings when active
  * UI: Add replay buffer options to simple output mode
  * UI: Clarify replay buf. hotkey error message
  * UI: Separate replay buffer from recording
  * UI: Add file prefix/suffix options for replay buffer
  * UI: Fix replay buffer compile issues on older compilers
  * win-capture: Only duplicate to get cur thread handle
  * win-capture: Always use minimal access rights within hook
  * win-capture: Do not require pipe/mutex within hook
  * win-capture: Fix getting proper UWP window handles
  * win-capture: Use window for keepalive check
  * win-capture: Create all named objects within hook
  * win-capture: Don't use "Local\" for game capture shared mem
  * win-capture: Remove redundant function
  * win-capture: Use wide strings for named objects
  * win-capture: Add ability to open UWP named kernel objects
  * win-capture: Open UWP named objects with helper functions
  * win-capture: Output hook debug messages if addresses missing
  * win-capture: Log plugin-side when capture successful/lost
  * win-capture: Don't hook suspended processes
  * win-capture: Wait a few frames for hook to load
  * win-capture: Fix "attempting to hook [executable]" message
  * win-capture: Add ApplicationFrameHost to game capture blacklist
  * win-capture: Don't hard fail if thread ID not found
  * win-capture: Fix cursor not painting with UWP windows
  * win-capture: Add debug messages when hooking
  * win-capture: Do not fall back to other windows for UWP windows
  * UI: Fix property name bug in frontend API
  * libobs: Fix possible reverse order mutex hard lock
  * UI: Remove deleteLater view from filter window layout
  * libobs: Convert Y800 to RGBX manually
  * UI: Use dedicated GPU on Hybrid AMD GPU systems
  * libobs: Fix format not being set for new source frames
  * libobs: Fix line size issue when copying Y800 data
  * obs-ffmpeg: Don't allow 32kb/s with FFmpeg AAC encoder
  * libobs/graphics: Fix the 2D vector dot product func
  * UI: Make close button default in transform dialog
  * UI: Add ability to copy-paste scene item transforms
  * UI: Add import/export of scene collections & profiles
  * enc-amf: Update to 1.4.3.4 for AMD Driver 16.12.1
  * obs-filters: Improve "Color Correction" filter
  * image-source: Do not change blend state
  * obs-text: Do not reset blend state
  * libobs-d3d11: Don't crash if unable to rebuild shared texture
  * libobs: Increase maximum audio tracks to 6
  * UI: Increase maximum audio tracks to 6
  * UI: Update locale for 6 tracks
  * UI: Fix endif in installer
  * UI: Use 64bit desktop link by default in installer
  * UI: Clarify startup error messages related to video
  * obs-ffmpeg: Fix nvenc_h264 deprecated message
  * libobs: Fix bug drawing RGB/BGR async sources
  * libobs: Process all scene audio actions if no audio playing
  * UI: Fix buddy controls with new audio tracks
  * UI: Add default audio track bitrates
  * UI: Fix video initialization failure error message
  * UI: Fix settings window stacked widget index
  * win-capture: Capture all D3D12 backbuffers
  * win-capture: Use FindWindowEx to traverse window list
  * win-capture: Fix possible null pointer dereference
  * win-capture: Do not add certain windows to window lists
  * win-capture: Add a few new blacklisted game capture exes
  * obs-filters: Add "Color" option to color correction filter
  * obs-filters: Fix comment messages
  * obs-qsv11: Use d3d9 allocator on Win7
  * win-capture: Fix possible access of array beyond size
  * win-capture: Refactor DX12 backbuffer code
  * win-capture: If backbuffer count is 1, disable dxgi 1.4 use
  * win-capture: Release backbuffers immediately upon init
  * libobs/util: Fix C++ compilation issue
  * Add libcaption library
  * libobs: Add ability to insert captions into frames
  * frontend-tools: Move source helper functions to a header
  * frontend-tools: Add caption generation tool (windows)
  * Update translations from Crowdin
  * frontend-tools: Add ability to select caption language
  * frontend-tools: Detach caption thread if critical failure
  * frontend-tools: Reset stop event before starting captions
  * frontend-tools: Don't include colon in "Audio Source"
  * frontend-tools: Set buddied controls for captions dialog
  * libobs: Fix caption encoder packet reallocation
  * libobs: Create referenced parsed AVC encoder packet
  * obs-outputs: Free encoder packet data manually
  * libobs: Fix bug in AVC encoder packet allocation
  * UI: Fix Export QFileDialog parent
  * libobs: Eliminate an unnecessary allocation with captions
  * frontend-tools: Fix output-timer translation bug
  * libobs: Update to version 17.0.0
* Mon Nov 21 2016 jimmy@boombatower.com
- Update to version 0.16.6:
  * UI: Add --verbose and --unfiltered_log command line options
  * libobs: Duplicate filters of a scene when it is is duplicated
  * obs-ffmpeg: Fix assumption about plane height with i444
  * libobs: Refactor check for Windows bitness/arch
  * libobs: Add Windows bitness/arch to crash handler
  * enc-amf: Update to version 1.4.1.5
  * UI: Add preview scaling options
  * rtmp-services: Change YouTube keyint from 4 to 2
  * libobs: Ensure async source sizes are always reset
  * UI: Fix crash when switching encoders in advanced mode
  * UI: Fix scrolling while preview is locked
  * libobs: Ensure AVC priority is always highest for keyframes
  * obs-outputs: Use correct variable for drop priority
  * enc-amf: Update to commit which prevents crash on startup
  * enc-amf: Update to temporary fix branch
  * win-capture: Do not load 64bit hook offsets on 32bit systems
  * win-capture: Defer hook offset loading to separate thread
  * text-freetype2: Defer loading of plugin until source created
  * obs-qsv11: Manually mark priority bits for QSV frames
  * Revert "libobs: Ensure AVC priority is always highest for keyframes"
  * libobs: Update to 0.16.6
  * Update translations from CrowdIn
  * UI: tray icons are redrawn for better visibility and contrast
  * UI: Update settings and fix presets for simple AMD encoder
  * enc-amf: Update to 1.4.2.2
  * enc-amf: Update to 1.4.2.3
  * cmake: Add module to find RSSDK
  * cmake: Add macro to compile .tlb files via midl
  * win-ivcam: Add Intel RealSense plugin
  * UI: Update installer script to latest version
  * libobs-opengl: Add warning when used on windows
  * Update translations from Crowdin
  * enc-amf: Avoid using C++17 for VS2013 compatibility
* Tue Nov  8 2016 jimmy@boombatower.com
- Update to version 0.16.5:
  * libobs-d3d11: Include GDI surface in rebuild
  * libobs-d3d11: Remove possible null pointer dereference
  * libobs: Update to 0.16.5
* Fri Nov  4 2016 jimmy@boombatower.com
- Update to version 0.16.4:
  * libobs/util: Fix get_dll_ver not reporting DLL name
  * Display license in MSI installer
  * rtmp-services: Add Asian Livecoding.tv server and increase video bitrate
  * UI: Enable HiDPI scaling.
  * frontend-tools: Fix crash when adding invalid regex
  * UI: Use Qt lib for screen info instead of x11 libs
  * enc-amf: Update to 1.3.2.3
  * UI: Only scale HiDPI on QT 5.6+
  * enc-amf: Update to 1.3.3.1
  * libobs-d3d11: Log GetDeviceRemovedReason
  * Add 256x256 icon to windows ico for HiDPI displays
  * UI: Add Portable Mode indicator to title bar and log
  * UI: Add raw text and text file to drag&drop support
  * UI: Split Properties window with a QSplitter
  * CMake: Warn if empty QTDIR/DepsPath vars on Windows
  * OSX Travis build
  * CI: Upload artifacts on all pushes
  * CI: Add irc notifications to travis config
  * CI: Reduce travis irc notice to one line
  * CI: Package OSX build into an actual app
  * CI: Use python2 to run package script
  * Build browser plugin on travis for OSX
  * Update obs-browser submodule to a working version
  * obs-frontend-api: Add library version
  * cmake: Fix FFmpeg search path on debian
  * decklink: Update Blackmagic SDK to 10.8.0
  * CI: Build on OSX 10.10 on travis
  * UI: Fix bug in frontend API event
  * frontend-tools: Add output timers
  * frontend-tools: Code cleanup of output timers
  * frontend-tools: Add ability to start timer if output is already active
  * UI: Fix sys. tray crashes when sys. tray not available
  * UI: Fix poor handling of system tray pointers
  * UI: Fix improper brace placement for function
  * UI: Remove unused variable
  * UI: Fix full screen projector on screens that have reserved areas
  * obs-ffmpeg: Add b-frames to NVENC logging
  * UI: Fix --profile option not working on non-windows
  * rtmp-services: Add Picarto
  * libobs/util: Add Get() function to CoTaskMemPtr
  * libobs: Fix missing call to profile_end() when encoding fails
  * libobs: Add date/time to crash handler
  * obs-transitions: Avoid branching in slide_transition.effect
  * obs-ffmpeg: Fix a couple printf compiler warnings.
  * libobs-d3d11: Store dxgi adapter used for device
  * libobs-d3d11: Store compiled shader data (for rebuilding)
  * libobs-d3d11: Correct error message for pixel shaders
  * libobs-d3d11: Store shader samplers as pointers
  * libobs-d3d11: Correct error message for staging surfaces
  * libobs-d3d11: Correct error message creating blend states
  * libobs-d3d11: Store index and add "Start" function
  * libobs-d3d11: Clear device state before unloading
  * libobs-d3d11: Store swap initialization data (for rebuilding)
  * libobs-d3d11: Store device adapter index (for rebuilding)
  * libobs-d3d11: Store static textures in RAM (for rebuilding)
  * libobs-d3d11: Store static vertex buffer data (for rebuilding)
  * libobs-d3d11: Save all D3D11 object descriptors (for rebuilding)
  * libobs-d3d11: Make shared texture error message less vague
  * libobs-d3d11: Use linked list for all objects (for rebuilding)
  * libobs-d3d11: Remove unused function
  * libobs-d3d11: Add Release funtions to all GS objects
  * libobs-d3d11: Rebuild device and assets if device removed/reset
  * win-capture: Cache cursor textures to prevent reallocation
  * win-capture: Use IUnknown for getting swap backbuffers
  * win-capture: Add D3D12 capture support
  * UI: Allow the ability to use deprecated sources
  * UI: Add AMD presets and update settings
  * enc-amf: Update to release 1.4.0.0
  * Update translations from CrowdIn
  * libobs: Update to version 0.16.3
  * win-mf: Deprecate AMD Media Foundation H.264 encoder
  * UI: Fix tab order of Crop fields in Transform Properties
  * enc-amf: Update to Version 1.4.1.0
  * Revert "UI: Only scale HiDPI on QT 5.6+"
  * Revert "UI: Enable HiDPI scaling."
  * enc-amf: Fix VS2013 compiling issue
  * libobs: Update to version 0.16.4
- Expand libobs-frontend-api.so to include all versions in %%files.
- After upstream fix place libobs-(opengl|frontend-api).so in devel.
* Thu Sep 29 2016 jimmy@boombatower.com
- Update to version 0.16.2:
  * obs-ffmpeg: Fix possible NVENC crash
  * UI: Use rect intersection test for validating position
  * enc-amf: Update submodule to 1.3.1.0
  * obs-text: Add gradient feature
  * enc-amf: Fix warnings caused by warnings( push/pop )
  * libobs: Update to 0.16.2
* Thu Sep 29 2016 jimmy@boombatower.com
- Update to version 0.16.1:
  * UI: Fix window size/pos not saving on exit
  * libobs/util: Fix fread_utf8 not working with files < 3 bytes
  * obs-text: Change file update interval to 1 sec (from 2)
  * libobs: Update to 0.16.1
* Wed Sep 28 2016 jimmy@boombatower.com
- Update to version 0.16.0:
  * enc-amf: Update submodule to 1.3.0
  * UI: Add media/image file drop support
  * enc-amf: Update submodule to 1.3.0.1
  * obs-browser: Add browser plugin as a submodule
  * enc-amf: Update submodule to 1.3.0.3
  * libobs: Update version to 0.16.0
  * enc-amf: Remove unused locale files
  * Update translations from Crowdin
  * UI: Just use 'OK' button for license agreement dialog
* Mon Aug  8 2016 jimmy@boombatower.com
- Update to 0.15.4 release.
* Sat Jul 16 2016 jimmy@boombatower.com
- Update to 0.15.2 release.
* Tue Jul 12 2016 jimmy@boombatower.com
- Update to 0.15.1 release.
* Fri Jul  8 2016 jimmy@boombatower.com
- Update to 0.15.0 release.
* Mon May 16 2016 jimmy@boombatower.com
- Update to 0.14.2 release.
* Tue Apr 26 2016 jimmy@boombatower.com
- Update to 0.14.1 release.
* Sat Apr 16 2016 olaf@aepfle.de
- Use pkgconfig instead of libffmpeg-devel
* Tue Mar 22 2016 jimmy@boombatower.com
- Update to 0.13.4 release.
* Sun Mar 20 2016 jimmy@boombatower.com
- Update to 0.13.3 release.
* Mon Feb 29 2016 jimmy@boombatower.com
- Update to 0.13.2 release.
* Fri Feb  5 2016 jimmy@boombatower.com
- Update to 0.13.1 release.
- Remove patch for gcc 4.8 compatability since it was upstreamed.
* Thu Jan 28 2016 jimmy@boombatower.com
- Update to 0.13.0 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.13.0
- Add rpmlintrc for "bad" things obs-studio requires.
- Add patch for gcc 4.8 compatability.
* Sat Dec 12 2015 jimmy@boombatower.com
- Update to 0.12.4 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.12.4
* Wed Dec  9 2015 jimmy@boombatower.com
- Change build requirement from libffmpeg-devel to ffmpeg-devel to
  follow recent linking of ffmpeg to obs version.
* Sat Dec  5 2015 jimmy@boombatower.com
- Update to 0.12.3 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.12.3
* Sat Nov 21 2015 jimmy@boombatower.com
- Update to 0.12.2 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.12.2
* Tue Nov 17 2015 jimmy@boombatower.com
- Update to 0.12.1 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.12.1
* Fri Sep 25 2015 jimmy@boombatower.com
- Update to 0.12.0 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.12.0
- Remove gcc >= 4.9 requirement since 0.12.0 reverted unintended change.
* Mon Aug 17 2015 jimmy@boombatower.com
- Update to 0.11.4 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.11.4
- Cut off git portion of version string in UI.
- Since 0.11.3 obs unofficially requires gcc 4.9 and higher which makes it
  impossible to compile on obs for openSUSE 13.2.
  https://obsproject.com/mantis/view.php?id=276
* Sun Aug  9 2015 jimmy@boombatower.com
- Update to 0.11.3 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.11.3
* Tue Jul 28 2015 jimmy@boombatower.com
- Update to 0.11.2 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.11.2
* Fri Jul 10 2015 jimmy@boombatower.com
- Update to 0.11.1 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.11.1
* Thu Jul  9 2015 jimmy@boombatower.com
- Update to 0.11.0 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.11.0
- Add curl build dependency.
* Tue May 19 2015 jimmy@boombatower.com
- Update to 0.10.1 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.10.1
* Wed May 13 2015 jimmy@boombatower.com
- Update to 0.10.0 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.10.0
* Fri Mar 27 2015 jimmy@boombatower.com
- Update to 0.9.1 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.9.1
* Thu Mar 26 2015 jimmy@boombatower.com
- Update to 0.9.0 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.9.0
* Sat Feb 21 2015 jimmy@boombatower.com
- Update to 0.8.3 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.8.3
* Thu Feb 12 2015 jimmy@boombatower.com
- Update to 0.8.2 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.8.2
  https://github.com/jp9000/obs-studio/releases/tag/0.8.1
  https://github.com/jp9000/obs-studio/releases/tag/0.8.0
* Thu Jan 15 2015 jimmy@boombatower.com
- Update to 0.7.3 release.
  Details at https://github.com/jp9000/obs-studio/releases/tag/0.7.3
* Wed Jan  7 2015 jimmy@boombatower.com
- Update to 0.7.2 release.
  Details at https://github.com/jp9000/obs-studio/releases/tag/0.7.2 and
    https://github.com/jp9000/obs-studio/releases/tag/0.7.1
* Thu Nov 13 2014 jimmy@boombatower.com
- Initial 0.6.4 release.
